<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:tech.01.03="http://sbr.gov.au/fdtn/sbr.01.03.tech" xmlns:pyde.02.01="http://sbr.gov.au/icls/py/pyde/pyde.02.01.data" xmlns:dtyp.02.15="http://sbr.gov.au/fdtn/sbr.02.15.dtyp" xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" xmlns:tech.01.02="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyid.02.03="http://sbr.gov.au/icls/py/pyid/pyid.02.03.data" xmlns:dtyp.02.03="http://sbr.gov.au/fdtn/sbr.02.03.dtyp" xmlns:dtyp.02.13="http://sbr.gov.au/fdtn/sbr.02.13.dtyp" xmlns:dtyp.02.09="http://sbr.gov.au/fdtn/sbr.02.09.dtyp" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:emsup.02.03="http://sbr.gov.au/icls/em/emsup/emsup.02.03.data" xmlns:dtyp.02.00="http://sbr.gov.au/fdtn/sbr.02.00.dtyp" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:pyin.02.14="http://sbr.gov.au/icls/py/pyin/pyin.02.14.data" xmlns:pyde.02.10="http://sbr.gov.au/icls/py/pyde/pyde.02.10.data" xmlns:pyde.02.12="http://sbr.gov.au/icls/py/pyde/pyde.02.12.data" xmlns:pyde.02.17="http://sbr.gov.au/icls/py/pyde/pyde.02.17.data" xmlns:RprtPyType.02.06="http://sbr.gov.au/dims/RprtPyType.02.06.dims" xmlns:ReportingPartyABN.02.00_typedelement="http://sbr.gov.au/dims/ReportingPartyABN.02.00.dims" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="CGNFT201402Validator_Functions.xsl"/><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/><xsl:param xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-id"/><!--MODE: SCHEMATRON-FULL-PATH-2ATO-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" match="node() | @*" mode="schematron-get-full-path-2ato"><xsl:for-each select="ancestor-or-self::*"><xsl:if test="name(.) != 'documents' and name(.) != 'document'"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->
<xsl:key name="RPfacts" match="xbrli:xbrl/*[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'RP')"/><xsl:key name="CPfacts" match="xbrli:xbrl/*[@contextRef=$CP.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'CP')"/><xsl:key name="CPPEfacts" match="xbrli:xbrl/*[@contextRef=$CPPE.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'CPPE')"/><xsl:key name="INTTACfacts" match="xbrli:xbrl/*[@contextRef=$INTTAC.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'INTTAC')"/><xsl:key name="RPTACfacts" match="xbrli:xbrl/*[@contextRef=$RPTAC.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'RPTAC')"/>

<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><xsl:variable xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="results"><xsl:apply-templates select="/" mode="M46"/><xsl:apply-templates select="/" mode="M47"/><xsl:apply-templates select="/" mode="M48"/><xsl:apply-templates select="/" mode="M49"/><xsl:apply-templates select="/" mode="M50"/><xsl:apply-templates select="/" mode="M51"/><xsl:apply-templates select="/" mode="M52"/><xsl:apply-templates select="/" mode="M53"/></xsl:variable><xsl:if xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:isns="http://www.ato.gov.au/IS/2009/02" test="$results"><xsl:element name="tns:Event" namespace="http://sbr.gov.au/comn/event.02.data" inherit-namespaces="no"><xsl:element name="tns:MaximumSeverity.Code"><xsl:choose><xsl:when test="$results//tns:Severity.Code[.='Error']">Error</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Partial']">Partial</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Warning']">Warning</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Information']">Information</xsl:when><xsl:when test="$results//tns:Severity.Code[.='Progressive']">Progressive</xsl:when><xsl:otherwise>Information</xsl:otherwise></xsl:choose></xsl:element><xsl:element name="tns:EventItems"><xsl:if test="not($results//tns:Severity.Code[.='Error'] or  $results//tns:Severity.Code[.='Partial'])"><xsl:element name="tns:EventItem"><xsl:element name="tns:Error.Code">CMN.ATO.GEN.OK</xsl:element><xsl:element name="tns:Severity.Code">Information</xsl:element><xsl:element name="tns:Short.Description">Message accepted</xsl:element><xsl:element name="tns:Locations"><xsl:element name="tns:Location"><xsl:element name="tns:Location.Instance.Identifier"><xsl:value-of select="$document-id"/></xsl:element></xsl:element></xsl:element></xsl:element></xsl:if><xsl:copy-of copy-namespaces="no" select="$results"/></xsl:element></xsl:element></xsl:if></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable accross all of the CGNFT services.-->
<xsl:variable name="RP.Context" select="xbrli:xbrl/xbrli:context[                                            ./xbrli:period/xbrli:startDate                                            and ./xbrli:period/xbrli:endDate                                           and ./xbrli:entity/                                           xbrli:segment[count(./xbrldi:explicitMember) = 1]/                                            xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                                          ]                                     ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:variable name="CP.Context" select="xbrli:xbrl/xbrli:context[                                            ./xbrli:period/xbrli:startDate                                            and ./xbrli:period/xbrli:endDate                                           and ./xbrli:entity/                                           xbrli:segment[count(./xbrldi:explicitMember) = 1]/                                            xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:ConsolidatedParty$')                                                                          ]                                                                           ]"/><xsl:variable name="CP.ContextId" select="$CP.Context/@id"/><xsl:variable name="CPPE.Context" select="//xbrli:xbrl/xbrli:context[                                              ./xbrli:period/xbrli:startDate                                              and ./xbrli:period/xbrli:endDate                                             and ./xbrli:entity/                                             xbrli:segment                                             [                                                 count(./xbrldi:explicitMember) = 2                                                  and                                                 xbrldi:explicitMember                                                 [                                                     matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                     and                                                      matches(.,'^RprtPyType\.\d{2}\.\d{2}:ConsolidatedParty$')                                                 ]                                                  and                                                 xbrldi:explicitMember                                                 [                                                     matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:SecondaryPartyTypeDimension$')                                                     and                                                      matches(.,'^RprtPyType\.\d{2}\.\d{2}:PurchasingEntity$')                                                 ]                                                                                                                            ]                                         ]"/><xsl:variable name="CPPE.ContextId" select="$CPPE.Context/@id"/><xsl:variable name="INTTAC.Context" select="//xbrli:xbrl/xbrli:context[                                              ./xbrli:period/xbrli:startDate                                              and ./xbrli:period/xbrli:endDate                                             and ./xbrli:entity/                                             xbrli:segment                                             [                                                 count(./xbrldi:explicitMember) = 2                                                  and                                                 xbrldi:explicitMember                                                 [                                                     matches(@dimension,'^DeclarationType\.\d{2}\.\d{2}:DeclarationTypeDimension$')                                                     and                                                      matches(.,'^DeclarationType\.\d{2}\.\d{2}:TrueAndCorrect$')                                                 ]                                                  and                                                 xbrldi:explicitMember                                                 [                                                     matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                     and                                                      matches(.,'^RprtPyType\.\d{2}\.\d{2}:Intermediary$')                                                 ]                                                                                                                            ]                                                                                                                        ]"/><xsl:variable name="INTTAC.ContextId" select="$INTTAC.Context/@id"/><xsl:variable name="RPTAC.Context" select="//xbrli:xbrl/xbrli:context[                                              ./xbrli:period/xbrli:startDate                                              and ./xbrli:period/xbrli:endDate                                             and ./xbrli:entity/                                             xbrli:segment                                             [                                                 count(./xbrldi:explicitMember) = 2                                                  and                                                 xbrldi:explicitMember                                                 [                                                     matches(@dimension,'^DeclarationType\.\d{2}\.\d{2}:DeclarationTypeDimension$')                                                     and                                                      matches(.,'^DeclarationType\.\d{2}\.\d{2}:TrueAndCorrect$')                                                 ]                                                  and                                                 xbrldi:explicitMember                                                 [                                                     matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                     and                                                      matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                 ]                                                                                                                            ]                                                                                                                                                                     ]"/><xsl:variable name="RPTAC.ContextId" select="$RPTAC.Context/@id"/><xsl:variable name="currentContextId" select="xbrli:xbrl/xbrli:context/@id"/><xsl:variable name="cgnft03" select="key('RPfacts', concat('Identifiers.TaxFileNumber.Identifier', 'RP'))"/><xsl:variable name="cgnft04" select="key('RPfacts', concat('OrganisationNameDetails.OrganisationalName.Text', 'RP'))"/><xsl:variable name="cgnft06" select="key('RPfacts', concat('OrganisationDetails.TaxConsolidation.Date', 'RP'))"/><xsl:variable name="cgnft07" select="key('RPfacts', concat('OrganisationDetails.TaxConsolidationMultipleEntryConsolidatedGroup.Indicator', 'RP'))"/><xsl:variable name="cgnft10" select="key('CPfacts', concat('OrganisationNameDetails.OrganisationalName.Text', 'CP'))"/><xsl:variable name="cgnft11" select="key('CPfacts', concat('Identifiers.AustralianBusinessNumber.Identifier', 'CP'))"/><xsl:variable name="cgnft12" select="key('CPfacts', concat('Identifiers.AustralianRegisteredBodyNumber.Identifier', 'CP'))"/><xsl:variable name="cgnft13" select="key('CPfacts', concat('Identifiers.AustralianCompanyNumber.Identifier', 'CP'))"/><xsl:variable name="cgnft14" select="key('CPfacts', concat('OrganisationDetails.TaxConsolidationSubsidiaryMemberEntry.Date', 'CP'))"/><xsl:variable name="cgnft15" select="key('CPfacts', concat('OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Date', 'CP'))"/><xsl:variable name="cgnft16" select="key('CPfacts', concat('OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Code', 'CP'))"/><xsl:variable name="cgnft17" select="key('CPfacts', concat('OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Description', 'CP'))"/><xsl:variable name="cgnft18" select="key('CPfacts', concat('Identifiers.AustralianBusinessNumber.Identifier', 'CP'))"/><xsl:variable name="cgnft19" select="key('CPPEfacts', concat('OrganisationNameDetails.OrganisationalName.Text', 'CPPE'))"/><xsl:variable name="cgnft20" select="key('CPPEfacts', concat('Identifiers.AustralianBusinessNumber.Identifier', 'CPPE'))"/><xsl:variable name="cgnft27" select="key('CPPEfacts', concat('Identifiers.AustralianRegisteredBodyNumber.Identifier', 'CPPE'))"/><xsl:variable name="cgnft23RPTAC" select="key('RPTACfacts', concat('PersonUnstructuredName.FullName.Text', 'RPTAC'))"/><xsl:variable name="cgnft24RPTAC" select="key('RPTACfacts', concat('PersonNameDetails.Position.Text', 'RPTAC'))"/><xsl:variable name="cgnft25RPTAC" select="key('RPTACfacts', concat('ElectronicContact.Telephone.Area.Code', 'RPTAC'))"/><xsl:variable name="cgnft26RPTAC" select="key('RPTACfacts', concat('ElectronicContact.Telephone.Minimal.Number', 'RPTAC'))"/><xsl:variable name="cgnft28RPTAC" select="key('RPTACfacts', concat('Identifiers.TaxAgentNumber.Identifier', 'RPTAC'))"/><xsl:variable name="cgnft29RPTAC" select="key('RPTACfacts', concat('Declaration.Signature.Date', 'RPTAC'))"/><xsl:variable name="cgnft30RPTAC" select="key('RPTACfacts', concat('Declaration.StatementAccepted.Indicator', 'RPTAC'))"/><xsl:variable name="cgnft31RPTAC" select="key('RPTACfacts', concat('Declaration.SignatoryIdentifier.Text', 'RPTAC'))"/><xsl:variable name="cgnft23INTTAC" select="key('INTTACfacts', concat('PersonUnstructuredName.FullName.Text', 'INTTAC'))"/><xsl:variable name="cgnft24INTTAC" select="key('INTTACfacts', concat('PersonNameDetails.Position.Text', 'INTTAC'))"/><xsl:variable name="cgnft25INTTAC" select="key('INTTACfacts', concat('ElectronicContact.Telephone.Area.Code', 'INTTAC'))"/><xsl:variable name="cgnft26INTTAC" select="key('INTTACfacts', concat('ElectronicContact.Telephone.Minimal.Number', 'INTTAC'))"/><xsl:variable name="cgnft28INTTAC" select="key('INTTACfacts', concat('Identifiers.TaxAgentNumber.Identifier', 'INTTAC'))"/><xsl:variable name="cgnft29INTTAC" select="key('INTTACfacts', concat('Declaration.Signature.Date', 'INTTAC'))"/><xsl:variable name="cgnft30INTTAC" select="key('INTTACfacts', concat('Declaration.StatementAccepted.Indicator', 'INTTAC'))"/><xsl:variable name="cgnft31INTTAC" select="key('INTTACfacts', concat('Declaration.SignatoryIdentifier.Text', 'INTTAC'))"/><xsl:template match="text()" priority="-1" mode="M46"/><xsl:template match="@*|node()" priority="-2" mode="M46"><xsl:apply-templates select="*" mode="M46"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable accross all of the CGNFT services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M47">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.Context) != 1                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430296</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. The number of Reporting party contexts must equal 1</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.000209</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $currentContextId = $RPTAC.ContextId                          and                                     count($RPTAC.ContextId) != 1                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500046</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. The number of RP.TrueAndCorrect contexts must not exceed 1.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500046</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $currentContextId = $INTTAC.ContextId                          and                                     count($INTTAC.ContextId) != 1                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500047</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. The number of Intermediary.TrueAndCorrect contexts must not exceed 1.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500047</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RP.Context                         and                         xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.abr.gov.au/abn$'))                         ]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500049</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Entity identifier scheme for Reporting Party must be "http://www.abr.gov.au/abn"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500049</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $INTTAC.Context                         and                         xbrli:context[@id = $INTTAC.ContextId]/xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.abr.gov.au/abn$'))                         ]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500051</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Entity identifier scheme for Intermediary.TrueAndCorrect must be "http://www.abr.gov.au/abn"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500051</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RPTAC.Context                         and                         xbrli:context[@id = $RPTAC.ContextId]/xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.abr.gov.au/abn$'))                         ]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500052</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Entity identifier scheme for ReportingParty.TrueAndCorrect must be "http://www.abr.gov.au/abn"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500052</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $CP.Context                         and                         xbrli:context[@id = $CP.ContextId]/xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                         ]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000017</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Entity identifier scheme for Consolidated Party must be "http://www.ato.gov.au/tfn"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000017</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $CPPE.Context                         and                         xbrli:context[@id = $CPPE.ContextId]/xbrli:entity/xbrli:identifier                         [                                                         not(matches(@scheme,'^http://www.ato.gov.au/tfn$'))                         ]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000018</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Entity identifier scheme for ConsolidatedParty.PurchasingEntity must be "http://www.ato.gov.au/tfn"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000018</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier = $cgnft11[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                                              )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000036</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Subsidiary ABN must not be the same  as the Head company ABN</tns:Short.Description><tns:Detailed.Description>The ABN of the subsidiary member joining or leaving the consolidated group must differ from the ABN of the head company</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000036</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                xbrli:context[@id = $CP.ContextId]/xbrli:entity/xbrli:identifier = $cgnft03[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                                              )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000040</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Subsidiary TFN must not be the same  as the Head company TFN</tns:Short.Description><tns:Detailed.Description>The TFN of the subsidiary member joining or leaving the consolidated group must differ from the TFN of the head company</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000040</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($CP.Context) = 0                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000068</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. The minimum number of Consolidated Party contexts is 1.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000068</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RPTAC.Context                         and                         xbrli:context[@id = $RPTAC.ContextId]/xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                         !=                         xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000098</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>The Declarer Reporting Party Australian Business number should be the same as the Reporting Party ABN</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000098</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($CP.Context) &gt; 45                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000103</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. The number of Consolidated Party contexts must not exceed 45.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000103</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M47"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M47"><xsl:variable name="startDate" select="xbrli:period/xbrli:startDate"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:period/xbrli:startDate[. != $startDate]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500030</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. Period start date must be the same across all duration contexts.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500030</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @id = $INTTAC.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                             string-length(.) != 0                              and                              not(function:ValidateABN(.))                         ]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500054</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Intermediary declarer Australian Business Number has failed the algorithm check</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500054</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                  @id = $RP.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                             string-length(.) != 0                              and                              not(function:ValidateABN(.))                         ]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000001</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid ABN</tns:Short.Description><tns:Detailed.Description>The Head company Australian business number has failed the ABN algorithm check</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000001</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                @id = $CP.ContextId                         and                         xbrli:entity/xbrli:identifier                         [                             string-length(.) != 0                              and                              not(function:ValidateTFN(.))                         ]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000011</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Subsidiary Tax file number must be a valid TFN</tns:Short.Description><tns:Detailed.Description>The Subsidiary Tax file number has failed the Tax File Number algorithm check</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000011</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M47"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $CP.ContextId]/xbrli:entity/xbrli:identifier" priority="1001" mode="M47"><xsl:variable name="cpTFN" select="."/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count(//xbrli:xbrl/xbrli:context[@id = $CPPE.ContextId]/xbrli:entity/xbrli:identifier[. = $cpTFN]) &gt; 1                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000082</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. The number of ConsolidationParty.PurchasingEntity contexts must not exceed 1 for each ConsolidationParty context.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000082</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M47"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $CPPE.ContextId]/xbrli:entity/xbrli:identifier" priority="1000" mode="M47">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       not(some $ident in //xbrli:xbrl/xbrli:context[@id = $CP.ContextId]/xbrli:entity/xbrli:identifier satisfies $ident = .)                  )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000096</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>The Consolidated Party Purchasing Entity Tax file number should be the same as the associated Consolidated Party TFN</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000096</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M47"/></xsl:template><xsl:template match="text()" priority="-1" mode="M47"/><xsl:template match="@*|node()" priority="-2" mode="M47"><xsl:apply-templates select="*" mode="M47"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable across the standalone (EX) part of CGNFT.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M48"><xsl:variable name="startDate" select="xbrli:period/xbrli:startDate"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         xbrli:period/xbrli:endDate[. != $startDate]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000196</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. Period start date must be the same as the Period end date for this form.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000196</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         function:IsDate1GreaterThanDate2($startDate, current-date())                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000197</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. Period start date cannot be any day in the future.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000197</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M48"/></xsl:template><xsl:template match="text()" priority="-1" mode="M48"/><xsl:template match="@*|node()" priority="-2" mode="M48"><xsl:apply-templates select="*" mode="M48"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1004" mode="M49">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId                          and                         matches(.,'[{}|_\\#]')                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000020</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Head company Legal name contains invalid text</tns:Short.Description><tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000020</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $CP.ContextId                          and                         matches(.,'[{}|_\\#]')                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000024</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Subsidiary legal name contains invalid text</tns:Short.Description><tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000024</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $CPPE.ContextId                          and                         matches(.,'[{}|_\\#]')                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000028</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Purchasing entity legal name contains invalid text</tns:Short.Description><tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000028</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId                          and                         not(matches(.,'^(.*)[a-zA-Z0-9](.*)$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000029</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Head company Legal name must contain at least one alpha or numeric character</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000029</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $CP.ContextId                          and                         not(matches(.,'^(.*)[a-zA-Z0-9](.*)$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000031</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Subsidiary legal name must contain at least one alpha or numeric character</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000031</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $CPPE.ContextId                          and                         not(matches(.,'^(.*)[a-zA-Z0-9](.*)$'))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000032</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Purchasing entity legal name must contain at least one alpha or numeric character</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000032</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId                          and                         matches(.,'^(.*) - (.*)$')                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000049</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Head company Legal name cannot contain space hyphen space combinations</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000049</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $CP.ContextId                          and                         matches(.,'^(.*) - (.*)$')                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000051</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Subsidiary legal name cannot contain space hyphen space combinations</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000051</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $CPPE.ContextId                          and                         matches(.,'^(.*) - (.*)$')                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000054</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Purchasing entity legal name cannot contain space hyphen space combinations</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000054</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RP.ContextId                          and                         matches(.,'^(.*)(--|('')('')|  )(.*)$')                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000067</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Head company Legal name cannot contain repeated hyphen, apostrophe, or space characters</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000067</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $CP.ContextId                          and                         matches(.,'^(.*)(--|('')('')|  )(.*)$')                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000070</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Subsidiary legal name cannot contain repeated hyphen, apostrophe, or space characters</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000070</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $CPPE.ContextId                          and                         matches(.,'^(.*)(--|('')('')|  )(.*)$')                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000071</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Purchasing entity legal name cannot contain repeated hyphen, apostrophe, or space characters</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000071</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M49"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1003" mode="M49">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'[{}|_\\#]')                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500037</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Declarer Contact Name contains invalid text</tns:Short.Description><tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500037</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(.*) - (.*)$')                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500057</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Declarer Contact Name cannot contain space hyphen space combinations</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500057</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M49"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyin.02.00:Declaration.SignatoryIdentifier.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M49">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-_''=\[\];:&#34;,.?\s/]*$'))                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500069</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Declarer identifier contains invalid text</tns:Short.Description><tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - _ = [ ] ; : ' " , . ? / or a space character.</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500069</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M49"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Description[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M49">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000025</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Subsidiary member exit reason description contains invalid text</tns:Short.Description><tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000025</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M49"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.Position.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M49">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not(matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$'))                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500059</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Declarer position held of person making the declaration contains invalid text</tns:Short.Description><tns:Detailed.Description>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500059</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M49"/></xsl:template><xsl:template match="text()" priority="-1" mode="M49"/><xsl:template match="@*|node()" priority="-2" mode="M49"><xsl:apply-templates select="*" mode="M49"/></xsl:template>

<!--
                PATTERN FieldPatternsField Length Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1003" mode="M50">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(.) &gt; 15                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500063</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Declarer Telephone number must not exceed 15 characters</tns:Short.Description><tns:Detailed.Description>For Declarer Telephone number, the maximum allowable characters for this form is 15</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500063</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M50"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Description[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M50">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(.) &gt; 200                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000015</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Subsidiary member exit reason description must not exceed 200 characters</tns:Short.Description><tns:Detailed.Description>For Subsidiary member exit reason description, the maximum allowable characters for this form is 200</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000015</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M50"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:PersonNameDetails.Position.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M50">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(.) &gt; 50                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500058</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Declarer position must not exceed 50 characters</tns:Short.Description><tns:Detailed.Description>For Declarer position, the maximum allowable characters for this form is 50</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500058</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M50"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M50">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         string-length(.) &gt; 100                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000191</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Declarer Contact Name must not exceed 100 characters</tns:Short.Description><tns:Detailed.Description>For Declarer contact name, the maximum allowable characters for this form is 100</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000191</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M50"/></xsl:template><xsl:template match="text()" priority="-1" mode="M50"/><xsl:template match="@*|node()" priority="-2" mode="M50"><xsl:apply-templates select="*" mode="M50"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M51">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($RPTAC.Context)                         and                         not($INTTAC.Context)                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500050</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid context. At least one declaration is required from either Intermediary or Reporting Party.</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500050</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/xbrli:context</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             $INTTAC.Context                              and                             not($cgnft23INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                          or                         (                             $RPTAC.Context                              and                             not($cgnft23RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500056</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Declarer contact name must be provided</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500056</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:PersonUnstructuredName.FullName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             not($INTTAC.Context)                              and                              not($cgnft26RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                         or                         (                             $INTTAC.Context                             and                              not($cgnft26INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                                            )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500060</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Contact telephone details must be provided</tns:Short.Description><tns:Detailed.Description>Declarer telephone area code and telephone number must be provided</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500060</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RPTAC.Context                          and                         $cgnft28RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500065</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Declarer tax agent number must not be present for Reporting Party</tns:Short.Description><tns:Detailed.Description>Declarer tax agent number is only applicable for an Intermediary tax agent</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500065</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyid.02.00:Identifiers.TaxAgentNumber.Identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             $INTTAC.Context                              and                             not($cgnft29INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                         or                         (                             $RPTAC.Context                              and                             not($cgnft29RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.307004</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Declaration Signature Date is required</tns:Short.Description><tns:Detailed.Description>Intermediary or Report Party declaration signatory date is required</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500067</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyin.02.00:Declaration.Signature.Date</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             $INTTAC.Context                              and                             not($cgnft30INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                          or                         (                             $RPTAC.Context                              and                             not($cgnft30RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410078</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Declaration Statement Accepted Indicator must be present</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500068</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyin.02.00:Declaration.StatementAccepted.Indicator</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             $INTTAC.Context                              and                             not($cgnft24INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                         or                         (                             $RPTAC.Context                              and                             not($cgnft24RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000023</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Declarer Position held of person making the declaration must be provided</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000023</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:PersonNameDetails.Position.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($cgnft03[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000038</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Head company Tax file number must be provided</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000038</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyid.02.00:Identifiers.TaxFileNumber.Identifier</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($cgnft04[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000043</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Head company Legal name must be provided</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000043</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             $cgnft10[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                             or                             $cgnft11[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                             or                             $cgnft12[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                             or                             $cgnft13[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                             or                             $cgnft14[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                             or                             $cgnft15[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                             or                             $cgnft16[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                             or                             $cgnft17[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                             or                             $cgnft18[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                             or                             $cgnft19[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                             or                             $cgnft20[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                             or                             xbrli:context[@id = $CP.ContextId]/xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                         )                         and                         (                             not($cgnft10[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                             or                             not(xbrli:context[@id = $CP.ContextId]/xbrli:entity/xbrli:identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000065</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>The Subsidiary legal name and Subsidiary Tax file number must be provided</tns:Short.Description><tns:Detailed.Description>The Subsidiary legal name and Subsidiary Tax file number must be provided, when the details of any subsidiary member joining or leaving have been completed  - Tax file number, Legal Name, Australian business number, Australian registered body number, Member entry date, Member exit date, Member exit reason, Member exit reason description, Purchasing entity legal name or Purchasing entity Australian business number</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000065</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not($cgnft10[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000069</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Subsidiary legal name must be provided</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000069</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             $INTTAC.Context                              and                             not($cgnft31INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                         or                         (                             $RPTAC.Context                              and                             not($cgnft31RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410114</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Declaration Signatory Identifier text must be present</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000087</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyin.02.00:Declaration.SignatoryIdentifier.Text</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             $cgnft15[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                             or                             $cgnft16[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                             or                             $cgnft17[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                             or                             $cgnft19[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                             or                             $cgnft20[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                             or                             $cgnft27[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                                                     )                         and                         (                             not($cgnft15[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                             or                             not($cgnft16[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000097</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>The Subsidiary member exit date and Subsidiary member exit reason must be provided</tns:Short.Description><tns:Detailed.Description>The Subsidiary member exit date and Subsidiary member exit reason must be provided, when the details of any subsidiary member leaving have been completed  - Member exit date, Member exit reason, Member exit reason description, Purchasing entity legal name or Purchasing entity Australian business number</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000097</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Date</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M51"/></xsl:template><xsl:template match="text()" priority="-1" mode="M51"/><xsl:template match="@*|node()" priority="-2" mode="M51"><xsl:apply-templates select="*" mode="M51"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyid.02.00:Identifiers.TaxFileNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1012" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                  not(function:ValidateTFN(.))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000102</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Head company Tax file number must be a valid TFN</tns:Short.Description><tns:Detailed.Description>The Head company Tax file number has failed the Tax File Number algorithm check</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000102</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1011" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                                  not(function:ValidateTAN(.))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410009</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>The Tax Agent number has failed the Tax Agent number algorithm check</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.428247</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1010" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                               @contextRef = $CP.ContextId                           and                           not(function:ValidateABN(.))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000076</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid ABN</tns:Short.Description><tns:Detailed.Description>The Subsidiary Australian business number has failed the ABN algorithm check</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000076</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                               @contextRef = $CPPE.ContextId                           and                           not(function:ValidateABN(.))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000084</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid ABN</tns:Short.Description><tns:Detailed.Description>The Purchasing entity Australian business number has failed the ABN algorithm check</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000084</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1009" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                 @contextRef = $CP.ContextId                           and                           not(function:ValidateACN(.))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000091</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid ARBN</tns:Short.Description><tns:Detailed.Description>The Subsidiary Australian registered body number has failed the ARBN algorithm check</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000091</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                 @contextRef = $CPPE.ContextId                           and                           not(function:ValidateACN(.))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000094</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid ARBN</tns:Short.Description><tns:Detailed.Description>The Purchasing entity Australian registered body number has failed the ARBN algorithm check</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000094</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1008" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                 @contextRef = $CP.ContextId                           and                           not(function:ValidateACN(.))                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.428021</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Invalid ACN</tns:Short.Description><tns:Detailed.Description>The Australian Company Number (ACN) has failed the algorithm check.</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.428021</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1007" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           @contextRef = $RP.ContextId                           and                           (                               matches(.,'^(The trustee |The Exec |exec |The TTE )(.*)$','i') or                               matches(.,'^(.*)( The trustee | The Exec | exec | The TTE )(.*)$','i') or                               matches(.,'^(.*)( The trustee| The Exec| exec| The TTE)$','i') or                               matches(.,'^(The trustee|The Exec|exec|The TTE)$','i')                           )                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000033</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Head company Legal name cannot contain "The trustee", "The Exec", "exec" or "the TTE"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000033</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           @contextRef = $CP.ContextId                           and                           (                               matches(.,'^(The trustee |The Exec |exec |The TTE )(.*)$','i') or                               matches(.,'^(.*)( The trustee | The Exec | exec | The TTE )(.*)$','i') or                               matches(.,'^(.*)( The trustee| The Exec| exec| The TTE)$','i') or                               matches(.,'^(The trustee|The Exec|exec|The TTE)$','i')                           )                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000041</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Subsidiary legal name cannot contain "The trustee", "The Exec", "exec" or "the TTE"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000041</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           @contextRef = $CPPE.ContextId                           and                           (                               matches(.,'^(The trustee |The Exec |exec |The TTE )(.*)$','i') or                               matches(.,'^(.*)( The trustee | The Exec | exec | The TTE )(.*)$','i') or                               matches(.,'^(.*)( The trustee| The Exec| exec| The TTE)$','i') or                               matches(.,'^(The trustee|The Exec|exec|The TTE)$','i')                           )                     )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000044</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Purchasing entity legal name cannot contain "The trustee", "The Exec", "exec" or "the TTE"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000044</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           @contextRef = $RP.ContextId                           and                           matches(.,'^(.*)(P/L)(.*)$')                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000060</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Head company Legal name cannot contain "P/L"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000060</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           @contextRef = $CP.ContextId                           and                           matches(.,'^(.*)(P/L)(.*)$')                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000062</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Subsidiary legal name cannot contain "P/L"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000062</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           @contextRef = $CPPE.ContextId                           and                           matches(.,'^(.*)(P/L)(.*)$')                       )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000066</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Purchasing entity legal name cannot contain "P/L"</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000066</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberEntry.Date[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1006" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         function:IsDate1GreaterThanDate2('2002-07-01', .)                         or                         function:IsDate1GreaterThanDate2(., current-date())                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000089</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Subsidiary member entry date is invalid</tns:Short.Description><tns:Detailed.Description>The date the subsidiary member joined the consolidated group must not be prior to 01/07/2002 and cannot be a future date</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000089</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Date[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1005" mode="M52"><xsl:variable name="thisContextId" select="@contextRef"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cgnft14[@contextRef = $thisContextId][1]                         and                         function:IsDate1GreaterThanDate2($cgnft14[@contextRef = $thisContextId][1], .)                                              )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000092</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Subsidiary member exit date must not be earlier than the entry date</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000092</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         function:IsDate1GreaterThanDate2(., current-date())                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000099</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Subsidiary member exit date cannot be a future date</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000099</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.17:OrganisationDetails.TaxConsolidationSubsidiaryMemberExit.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1004" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         upper-case(.) = 'OTHER'                         and                         not($cgnft17[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                                                )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000078</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Subsidiary member exit reason description must be provided</tns:Short.Description><tns:Detailed.Description>When the Subsidiary member exit reason 'Other' is selected, the Subsidiary member exit reason description must be completed</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000078</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          not(. = 'Full-sold')                          and                          (                            $cgnft19[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                            or                            $cgnft20[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                            or                            $cgnft27[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                          )                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000079</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Purchasing entity details present and Subsidiary member exit reason not set to 'Full-sold'</tns:Short.Description><tns:Detailed.Description>When Purchasing entity legal name or Purchasing entity Australian business number are provided, the Subsidiary member exit reason must be set to 'Full-sold'</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000079</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          . = 'Full-sold'                          and                          not($cgnft19[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                          and                          not($cgnft20[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                          and                          not($cgnft27[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000080</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Purchasing entity details absent and Subsidiary member exit reason set to 'Full-sold'</tns:Short.Description><tns:Detailed.Description>When Subsidiary member exit reason is set to 'Full-sold', Purchasing entity legal name and Purchasing entity Australian business number must be provided</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000080</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1003" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         function:IsDate1GreaterThanDate2(., current-date())                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.430255</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Signature date must not be later than today</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500066</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:ElectronicContact.Telephone.Area.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             not($INTTAC.Context)                              and                              not($cgnft26RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                          or                         (                             $INTTAC.Context                              and                              not($cgnft26INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                                            )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500061</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Telephone number is required, if an area code is provided</tns:Short.Description><tns:Detailed.Description>Declarer telephone number is required when Declarer telephone area code is provided</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500061</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             not($INTTAC.Context)                              and                              not($cgnft25RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                          or                         (                             $INTTAC.Context                              and                              not($cgnft25INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )                                            )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.500062</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Area code is required, if a Telephone number is provided</tns:Short.Description><tns:Detailed.Description>Declarer daytime phone area code is required when Declarer daytime phone number is provided</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.500062</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/pyin.02.00:Declaration.StatementAccepted.Indicator[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M52">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             $INTTAC.Context                              and                             $cgnft30INTTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] = 'false'                         )                         or                         (                             $RPTAC.Context                              and                             $cgnft30RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0] = 'false'                         )                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.GEN.410128</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Declaration Statement Accepted Indicator must be 'TRUE'</tns:Short.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.GEN.410128</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M52"/></xsl:template><xsl:template match="text()" priority="-1" mode="M52"/><xsl:template match="@*|node()" priority="-2" mode="M52"><xsl:apply-templates select="*" mode="M52"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M53">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cgnft06[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000009</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Date of consolidation date is not required</tns:Short.Description><tns:Detailed.Description>The chosen Date of consolidation should not be completed when submitting a Notification of members joining and/or leaving the group request. If you are notifying the commissioner of a formation of a consolidated group, please submit a Members Joining/Leaving a consolidated group schedule with the Company tax return.</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000009</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.17:OrganisationDetails.TaxConsolidation.Date</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $cgnft07[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]                      )"/><xsl:otherwise> <tns:EventItem xmlns:tns="http://sbr.gov.au/comn/event.02.data" xmlns:svrl="http://purl.oclc.org/dsdl/svrl" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><tns:Error.Code>CMN.ATO.CGNFT.000010</tns:Error.Code><tns:Severity.Code>Error</tns:Severity.Code><tns:Short.Description>Multiple entry consolidated group indicator is not required</tns:Short.Description><tns:Detailed.Description>The Multiple entry consolidated group indicator must not be set when submitting a Members Joining/Leaving a consolidated group schedule with the Notification of members joining and/or leaving the group request. If you are notifying the commissioner of a formation of a consolidated group, please submit a Members Joining/Leaving a consolidated group schedule with the Company tax return.</tns:Detailed.Description><tns:Parameters><tns:Parameter><tns:Parameter.Identifier>RuleIdentifier</tns:Parameter.Identifier><tns:Parameter.Text>VR.ATO.CGNFT.000010</tns:Parameter.Text></tns:Parameter></tns:Parameters><tns:Locations><tns:Location><tns:Location.Instance.Identifier><xsl:value-of select="$document-id"/></tns:Location.Instance.Identifier><tns:Location.Path.Text><xsl:apply-templates select="." mode="schematron-get-full-path-2ato"/><xsl:text>/pyde.02.17:OrganisationDetails.TaxConsolidationMultipleEntryConsolidatedGroup.Indicator</xsl:text></tns:Location.Path.Text></tns:Location></tns:Locations></tns:EventItem></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M53"/></xsl:template><xsl:template match="text()" priority="-1" mode="M53"/><xsl:template match="@*|node()" priority="-2" mode="M53"><xsl:apply-templates select="*" mode="M53"/></xsl:template></xsl:stylesheet>