<?xml version="1.0" encoding="UTF-8" standalone="yes"?><xsl:stylesheet xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:saxon="http://saxon.sf.net/" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:schold="http://www.ascc.net/xml/schematron" xmlns:iso="http://purl.oclc.org/dsdl/schematron" xmlns:xhtml="http://www.w3.org/1999/xhtml" xmlns:exslt="http://gotdotnet.com/exslt/strings" xmlns:date="http://exslt.org/dates-and-times" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:regexp="http://exslt.org/regular-expressions" xmlns:s="http://www.w3.org/2003/05/soap-envelope" xmlns:wsa="http://www.w3.org/2005/08/addressing" xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:function="http://ato.gov.au/SWSFunctions" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xbrldi="http://xbrl.org/2006/xbrldi" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:ref="http://www.xbrl.org/2006/ref" xmlns:iso4217="http://www.xbrl.org/2003/iso4217" xmlns:xmime="http://www.w3.org/2005/05/xmlmime" xmlns:service="http://sbr.gov.au/comn/list.02.service" xmlns:sbdh="http://sbr.gov.au/comn/sbdm.02.data" xmlns:core="http://sbr.gov.au/comn/core.02.data" xmlns:tech="http://sbr.gov.au/fdtn/sbr.01.02.tech" xmlns:pyde.02.08="http://sbr.gov.au/icls/py/pyde/pyde.02.08.data" xmlns:pyde.02.00="http://sbr.gov.au/icls/py/pyde/pyde.02.00.data" xmlns:pyid.02.00="http://sbr.gov.au/icls/py/pyid/pyid.02.00.data" xmlns:pyin.02.00="http://sbr.gov.au/icls/py/pyin/pyin.02.00.data" xmlns:rvctc2.02.12="http://sbr.gov.au/icls/rvc/rvctc/rvctc2.02.12.data" version="2.0"><!--
            Implementers: please note that overriding process-prolog or process-root is
            the preferred method for meta-stylesheets to use where possible.
        -->


<!--PHASES-->


<!--PROLOG-->
<xsl:import xmlns:isns="http://www.ato.gov.au/IS/2009/02" href="CHTWTHHLD201308Validator_Functions.xsl"/><xsl:variable xmlns:isns="http://www.ato.gov.au/IS/2009/02" name="document-uri"><xsl:value-of select="document-uri(/)"/></xsl:variable><xsl:variable name="Apostrophe">'</xsl:variable><xsl:output xmlns:isns="http://www.ato.gov.au/IS/2009/02" method="xml" omit-xml-declaration="no" standalone="yes" indent="no"/>

<!--XSD TYPES FOR XSLT2-->


<!--KEYS AND FUNCTIONS-->
<xsl:key name="RPfacts" match="xbrli:xbrl/*[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'RP')"/><xsl:key name="RPPOSfacts" match="xbrli:xbrl/*[@contextRef=$RPPOS.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'RPPOS')"/><xsl:key name="TRUSfacts" match="xbrli:xbrl/*[@contextRef=$TRUS.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'TRUS')"/><xsl:key name="RPTACfacts" match="xbrli:xbrl/*[@contextRef=$RPTAC.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'RPTAC')"/><xsl:key name="INTTACfacts" match="xbrli:xbrl/*[@contextRef=$INTTAC.ContextId and not(@i:nil='true' or @i:nil='1')]" use="concat(local-name(),'INTTAC')"/>

<!--DEFAULT RULES-->


<!--MODE: SCHEMATRON-SELECT-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-select-full-path"><xsl:apply-templates select="." mode="schematron-get-full-path"/></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-->
<!--This mode can be used to generate an ugly though full XPath for locators-->
<xsl:template match="*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''"><xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>*:</xsl:text><xsl:value-of select="local-name()"/><xsl:text>[namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose><xsl:variable name="preceding" select="count(preceding-sibling::*[local-name()=local-name(current())                                   and namespace-uri() = namespace-uri(current())])"/><xsl:text>[</xsl:text><xsl:value-of select="1+ $preceding"/><xsl:text>]</xsl:text></xsl:template><xsl:template match="@*" mode="schematron-get-full-path"><xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/><xsl:text>/</xsl:text><xsl:choose><xsl:when test="namespace-uri()=''">
                            @<xsl:value-of select="name()"/></xsl:when><xsl:otherwise><xsl:text>@*[local-name()='</xsl:text><xsl:value-of select="local-name()"/><xsl:text>' and namespace-uri()='</xsl:text><xsl:value-of select="namespace-uri()"/><xsl:text>']</xsl:text></xsl:otherwise></xsl:choose></xsl:template>

<!--MODE: SCHEMATRON-FULL-PATH-2-->
<!--This mode can be used to generate prefixed XPath for humans-->
<xsl:template match="node() | @*" mode="schematron-get-full-path-2"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="preceding-sibling::*[name(.)=name(current())]"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template><!--MODE: SCHEMATRON-FULL-PATH-3-->
<!--
            This mode can be used to generate prefixed XPath for humans
            (Top-level element has index)
        -->
<xsl:template match="node() | @*" mode="schematron-get-full-path-3"><xsl:for-each select="ancestor-or-self::*"><xsl:text>/</xsl:text><xsl:value-of select="name(.)"/><xsl:if test="parent::*"><xsl:text>[</xsl:text><xsl:value-of select="count(preceding-sibling::*[name(.)=name(current())])+1"/><xsl:text>]</xsl:text></xsl:if></xsl:for-each><xsl:if test="not(self::*)"><xsl:text/>/@<xsl:value-of select="name(.)"/></xsl:if></xsl:template>

<!--MODE: GENERATE-ID-FROM-PATH -->
<xsl:template match="/" mode="generate-id-from-path"/><xsl:template match="text()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.text-', 1+count(preceding-sibling::text()), '-')"/></xsl:template><xsl:template match="comment()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.comment-', 1+count(preceding-sibling::comment()), '-')"/></xsl:template><xsl:template match="processing-instruction()" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.processing-instruction-', 1+count(preceding-sibling::processing-instruction()), '-')"/></xsl:template><xsl:template match="@*" mode="generate-id-from-path"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:value-of select="concat('.@', name())"/></xsl:template><xsl:template match="*" mode="generate-id-from-path" priority="-0.5"><xsl:apply-templates select="parent::*" mode="generate-id-from-path"/><xsl:text>.</xsl:text><xsl:value-of select="concat('.',name(),'-',1+count(preceding-sibling::*[name()=name(current())]),'-')"/></xsl:template>

<!--MODE: GENERATE-ID-2 -->
<xsl:template match="/" mode="generate-id-2">U</xsl:template><xsl:template match="*" mode="generate-id-2" priority="2"><xsl:text>U</xsl:text><xsl:number level="multiple" count="*"/></xsl:template><xsl:template match="node()" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>n</xsl:text><xsl:number count="node()"/></xsl:template><xsl:template match="@*" mode="generate-id-2"><xsl:text>U.</xsl:text><xsl:number level="multiple" count="*"/><xsl:text>_</xsl:text><xsl:value-of select="string-length(local-name(.))"/><xsl:text>_</xsl:text><xsl:value-of select="translate(name(),':','.')"/></xsl:template><!--Strip characters--><xsl:template match="text()" priority="-1"/>

<!--SCHEMA SETUP-->
<xsl:template match="/"><ProcessMessages xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><xsl:apply-templates select="/" mode="M35"/><xsl:apply-templates select="/" mode="M36"/><xsl:apply-templates select="/" mode="M37"/><xsl:apply-templates select="/" mode="M38"/><xsl:apply-templates select="/" mode="M39"/><xsl:apply-templates select="/" mode="M40"/><xsl:apply-templates select="/" mode="M41"/><xsl:apply-templates select="/" mode="M43"/><xsl:apply-templates select="/" mode="M44"/></ProcessMessages></xsl:template>

<!--SCHEMATRON PATTERNS-->


<!--
                PATTERN VariablesXBRL variables that are applicable accross all of the TD services.-->
<xsl:variable name="PARENTFORM" select="//xbrli:xbrl[child::link:schemaRef[@xlink:href='http://sbr.gov.au/taxonomy/sbr_au_reports/ato/chtwthhld/chtwthhld_0001/chtwthhld.0001.lodge.request.02.00.report.xsd']]"/><xsl:variable name="TRUS.Context" select="$PARENTFORM/xbrli:context[                                        ./xbrli:period/xbrli:startDate                                        and ./xbrli:period/xbrli:endDate                                       and ./xbrli:entity/                                       xbrli:segment[count(./xbrldi:explicitMember) = 1]/                                        xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:Trustee$')                                                                          ]                                     ]"/><xsl:variable name="TRUS.ContextId" select="$TRUS.Context/@id"/><xsl:variable name="RP.Context" select="$PARENTFORM/xbrli:context[                                        ./xbrli:period/xbrli:startDate                                        and ./xbrli:period/xbrli:endDate                                       and ./xbrli:entity/                                       xbrli:segment[count(./xbrldi:explicitMember) = 1]/                                        xbrldi:explicitMember                                           [                                               matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                               and                                                matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                                          ]                                     ]"/><xsl:variable name="RP.ContextId" select="$RP.Context/@id"/><xsl:variable name="RPPOS.Context" select="$PARENTFORM/xbrli:context[                                        ./xbrli:period/xbrli:startDate                                        and ./xbrli:period/xbrli:endDate                                       and ./xbrli:entity/                                       xbrli:segment[                                                       count(./xbrldi:explicitMember) = 2 and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^AddUsgDim\.\d{2}\.\d{2}:AddressUsageDimension$')                                                           and                                                            matches(.,'^AddUsgDim\.\d{2}\.\d{2}:POS$')                                                       ]                                                       and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                           and                                                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                                                      ]                                                    ]                                     ]"/><xsl:variable name="RPPOS.ContextId" select="$RPPOS.Context/@id"/><xsl:variable name="INTTAC.Context" select="$PARENTFORM/xbrli:context[                                        ./xbrli:period/xbrli:startDate                                        and ./xbrli:period/xbrli:endDate                                       and ./xbrli:entity/                                       xbrli:segment[                                                       count(./xbrldi:explicitMember) = 2 and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^DeclarationType\.\d{2}\.\d{2}:DeclarationTypeDimension$')                                                           and                                                            matches(.,'^DeclarationType\.\d{2}\.\d{2}:TrueAndCorrect$')                                                       ]                                                       and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                           and                                                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:Intermediary$')                                                                                      ]                                                    ]                                     ]"/><xsl:variable name="INTTAC.ContextId" select="$INTTAC.Context/@id"/><xsl:variable name="RPTAC.Context" select="$PARENTFORM/xbrli:context[                                        ./xbrli:period/xbrli:startDate                                        and ./xbrli:period/xbrli:endDate                                       and ./xbrli:entity/                                       xbrli:segment[                                                       count(./xbrldi:explicitMember) = 2 and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^DeclarationType\.\d{2}\.\d{2}:DeclarationTypeDimension$')                                                           and                                                            matches(.,'^DeclarationType\.\d{2}\.\d{2}:TrueAndCorrect$')                                                       ]                                                       and                                                       xbrldi:explicitMember                                                       [                                                           matches(@dimension,'^RprtPyType\.\d{2}\.\d{2}:ReportPartyTypeDimension$')                                                           and                                                            matches(.,'^RprtPyType\.\d{2}\.\d{2}:ReportingParty$')                                                                                      ]                                                    ]                                     ]"/><xsl:variable name="RPTAC.ContextId" select="$RPTAC.Context/@id"/><xsl:variable name="currentContextId" select="xbrli:xbrl/xbrli:context/@id"/><xsl:variable name="chtwthhld2" select="key('RPfacts', concat('OrganisationNameDetails.OrganisationalName.Text', 'RP'))"/><xsl:variable name="chtwthhld9" select="key('RPfacts', concat('IncomeTax.PayAsYouGoWithholding.PaymentGross.Amount', 'RP'))"/><xsl:variable name="chtwthhld10" select="key('RPfacts', concat('IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount','RP'))"/><xsl:variable name="chtwthhld3" select="key('RPPOSfacts', concat('AddressDetails.Line1.Text', 'RPPOS'))"/><xsl:variable name="chtwthhld4" select="key('RPPOSfacts', concat('AddressDetails.Line2.Text', 'RPPOS'))"/><xsl:variable name="chtwthhld5" select="key('RPPOSfacts', concat('AddressDetails.LocalityName.Text', 'RPPOS'))"/><xsl:variable name="chtwthhld6" select="key('RPPOSfacts', concat('AddressDetails.StateOrTerritory.Code', 'RPPOS'))"/><xsl:variable name="chtwthhld7" select="key('RPPOSfacts', concat('AddressDetails.Postcode.Text', 'RPPOS'))"/><xsl:variable name="chtwthhld8" select="key('RPPOSfacts', concat('AddressDetails.Country.Code', 'RPPOS'))"/><xsl:variable name="chtwthhld11" select="key('TRUSfacts', concat('PersonNameDetails.Title.Text','TRUS'))"/><xsl:variable name="chtwthhld12" select="key('TRUSfacts', concat('PersonNameDetails.FamilyName.Text', 'TRUS'))"/><xsl:variable name="chtwthhld13" select="key('TRUSfacts', concat('PersonNameDetails.NameSuffix.Text', 'TRUS'))"/><xsl:variable name="chtwthhld14" select="key('TRUSfacts', concat('PersonNameDetails.GivenName.Text', 'TRUS'))"/><xsl:variable name="chtwthhld15" select="key('TRUSfacts', concat('PersonNameDetails.OtherGivenName.Text', 'TRUS'))"/><xsl:variable name="chtwthhld16" select="key('TRUSfacts', concat('OrganisationNameDetails.OrganisationalName.Text', 'TRUS'))"/><xsl:variable name="chtwthhld18" select="key('TRUSfacts', concat('ElectronicContact.Telephone.Area.Code', 'TRUS'))"/><xsl:variable name="chtwthhld19" select="key('TRUSfacts', concat('ElectronicContact.Telephone.Minimal.Number', 'TRUS'))"/><xsl:variable name="chtwthhld73RPTAC" select="key('RPTACfacts', concat('PersonUnstructuredName.FullName.Text', 'RPTAC'))"/><xsl:variable name="chtwthhld75RPTAC" select="key('RPTACfacts', concat('ElectronicContact.Telephone.Area.Code', 'RPTAC'))"/><xsl:variable name="chtwthhld76RPTAC" select="key('RPTACfacts', concat('Identifiers.TaxAgentNumber.Identifier', 'RPTAC'))"/><xsl:variable name="chtwthhld77RPTAC" select="key('RPTACfacts', concat('Declaration.Signature.Date', 'RPTAC'))"/><xsl:variable name="chtwthhld78RPTAC" select="key('RPTACfacts', concat('Declaration.StatementAccepted.Indicator', 'RPTAC'))"/><xsl:variable name="chtwthhld79RPTAC" select="key('RPTACfacts', concat('ElectronicContact.Telephone.Minimal.Number', 'RPTAC'))"/><xsl:variable name="chtwthhld73INTTAC" select="key('INTTACfacts', concat('PersonUnstructuredName.FullName.Text', 'INTTAC'))"/><xsl:variable name="chtwthhld75INTTAC" select="key('INTTACfacts', concat('ElectronicContact.Telephone.Area.Code', 'INTTAC'))"/><xsl:variable name="chtwthhld76INTTAC" select="key('INTTACfacts', concat('Identifiers.TaxAgentNumber.Identifier', 'INTTAC'))"/><xsl:variable name="chtwthhld77INTTAC" select="key('INTTACfacts', concat('Declaration.Signature.Date', 'INTTAC'))"/><xsl:variable name="chtwthhld78INTTAC" select="key('INTTACfacts', concat('Declaration.StatementAccepted.Indicator', 'INTTAC'))"/><xsl:variable name="chtwthhld79INTTAC" select="key('INTTACfacts', concat('ElectronicContact.Telephone.Minimal.Number', 'INTTAC'))"/><xsl:template match="text()" priority="-1" mode="M35"/><xsl:template match="@*|node()" priority="-2" mode="M35"><xsl:apply-templates select="*" mode="M35"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable accross all of the TD services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1004" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RP.Context) != 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430296</isns:Code><isns:Description>Invalid context. The number of Reporting party contexts must equal 1</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($RPPOS.Context) != 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500044</isns:Code><isns:Description>Invalid context. The number of RP.Postal contexts must equal 1.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($TRUS.Context) != 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500045</isns:Code><isns:Description>Invalid context. The number of Trustee contexts must not exceed 1.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $RPPOS.Context                           and                            not(xbrli:context[@id = $RPPOS.ContextId]/xbrli:entity/xbrli:identifier[upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN'])                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000127</isns:Code><isns:Description>Entity identifier scheme for ReportingParty.Postal must be "http://www.ato.gov.au/tfn"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $RP.Context                           and                            not(xbrli:context[@id = $RP.ContextId]/xbrli:entity/xbrli:identifier[upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN'])                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.438029</isns:Code><isns:Description>Entity identifier scheme for ReportingParty must be "http://www.ato.gov.au/tfn"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $TRUS.Context                           and                            not(xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $TRUS.ContextId]/xbrli:entity/xbrli:identifier[upper-case(@scheme) = 'HTTP://WWW.SBR.GOV.AU/ID'])                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000131</isns:Code><isns:Description>Entity identifier scheme for Trustee must be "http://www.sbr.gov.au/id"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:period[not(@i:nil='true' or @i:nil='1')]" priority="1003" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="xbrli:startDate[not(@i:nil='true' or @i:nil='1')]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.001001</isns:Code><isns:Description>Mandatory field not supplied</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context/xbrli:period</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]" priority="1002" mode="M36"><xsl:variable name="startDate" select="xbrli:period/xbrli:startDate"/><xsl:variable name="endDate" select="xbrli:period/xbrli:endDate"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:period/xbrli:startDate[. != $startDate]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500030</isns:Code><isns:Description>Invalid context. Period start date must be the same across all duration contexts.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         preceding-sibling::xbrli:context/xbrli:period/xbrli:endDate[. != $endDate]                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500033</isns:Code><isns:Description>Invalid context. Period end date must be the same across all duration contexts.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            @id = $RP.ContextId                            and                            not(xbrli:entity/xbrli:identifier = $RPPOS.Context/xbrli:entity/xbrli:identifier)                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000126</isns:Code><isns:Description>Check postal reporting party TFN</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>The Postal Reporting Party tax file number should be the same as the Reporting Party TFN.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true')]/xbrli:period[not(@i:nil='true')]/xbrli:startDate" priority="1001" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         function:IsDate1GreaterThanDate2(., current-date())                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500035</isns:Code><isns:Description>Invalid context. Period start date cannot be any day in the future.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:entity[not(@i:nil='true' or @i:nil='1')]/xbrli:identifier[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M36">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(../../@id = $RP.ContextId)                     or                     not(upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN')                     or                     string-length(.) = 0                     or                     function:ValidateTFN(.)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000125</isns:Code><isns:Description>Reporting Party Tax File Number has failed the algorithm check</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M36"/></xsl:template><xsl:template match="text()" priority="-1" mode="M36"/><xsl:template match="@*|node()" priority="-2" mode="M36"><xsl:apply-templates select="*" mode="M36"/></xsl:template>

<!--
                PATTERN FieldPatternsField Pattern Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1010" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches($chtwthhld2,'[{}|_\\]'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000100</isns:Code><isns:Description>Trust name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = ; : ' " , . ? / # or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches($chtwthhld16,'[{}|_\\]'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000103</isns:Code><isns:Description>Trustee non-individual name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = ; : ' " , . ? / # or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches($chtwthhld12,'[{}|_\\#]'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000110</isns:Code><isns:Description>Trustee family name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches($chtwthhld14,'[{}|_\\#]'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000111</isns:Code><isns:Description>Trustee first given name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches($chtwthhld15,'[{}|_\\#]'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000114</isns:Code><isns:Description>Trustee other given names contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.OtherGivenName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches($chtwthhld73RPTAC,'[{}|_\\#]') or matches($chtwthhld73INTTAC,'[{}|_\\#]'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500037</isns:Code><isns:Description>Declarer contact name contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonUnstructuredName.FullName.Text</xsl:text></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 @ $ % &amp; * ( ) - = ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1009" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^(.*)[a-zA-Z0-9](.*)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410039</isns:Code><isns:Description>Organisation name must contain at least one alpha or numeric character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000413</isns:Code><isns:Description>Non Individual Name cannot contain space hyphen space combinations</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000416</isns:Code><isns:Description>Non Individual Name cannot contain repeated hyphen, apostrophe, or space characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1008" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^(.*)[a-zA-Z](.*)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410040</isns:Code><isns:Description>Family name must contain at least one alphabetical character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000423</isns:Code><isns:Description>Family Name cannot contain "space hyphen space"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000427</isns:Code><isns:Description>Family name cannot contain repeated hyphen, apostrophe, or space characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1007" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^(.*)[a-zA-Z](.*)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410063</isns:Code><isns:Description>Given Name must contain at least one alphabetical character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000434</isns:Code><isns:Description>First name cannot contain space hyphen space</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000439</isns:Code><isns:Description>First name cannot contain repeated hyphen, apostrophe, or space characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1006" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^(.*)[a-zA-Z](.*)$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410131</isns:Code><isns:Description>Other Given Name must contain at least one alphabetical character</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000451</isns:Code><isns:Description>Other given name cannot contain repeated hyphen, apostrophe, or space characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(.*) - (.*)$'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000446</isns:Code><isns:Description>Other given name cannot contain space hyphen space</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.Position.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1005" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500059</isns:Code><isns:Description>Declarer position held of person making the declaration contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyin.02.00:Declaration.SignatoryIdentifier.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1004" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not(matches(.,'^[a-zA-Z0-9!@$%&amp;*()\-_''=\[\];:&#34;,.?\s/]*$'))                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500069</isns:Code><isns:Description>Declarer identifier contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - _ = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1003" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000106</isns:Code><isns:Description>Trust postal street name and number contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000107</isns:Code><isns:Description>Trust postal street name and number contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1')]" priority="1001" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="string-length(.) = 0 or matches(., '^([0][2-9]|[1-9][0-9])[0-9][0-9]$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428041</isns:Code><isns:Description>For an Australian address, postcode is invalid. Valid range is 0200 - 9999</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M37">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       (count($chtwthhld8[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) = 0                        or $chtwthhld8[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ] = 'au') and                            matches(.,'^(.*)[0-9](.*)$')                       )                         "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000410</isns:Code><isns:Description>Suburb/Town/City cannot contain numeric characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^[a-z?-\[\] -&#34;$-*\--;=]*$')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000108</isns:Code><isns:Description>Trust postal suburb/town contains invalid text</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>A text character must be one of the following: A to Z a to z 0 to 9 ! @ $ % &amp; * ( ) - = [ ] ; : ' " , . ? / or a space character.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M37"/></xsl:template><xsl:template match="text()" priority="-1" mode="M37"/><xsl:template match="@*|node()" priority="-2" mode="M37"><xsl:apply-templates select="*" mode="M37"/></xsl:template>

<!--
                PATTERN FieldLengthsField Length Validations-->


	<!--
            RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1007" mode="M38">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $TRUS.ContextId and string-length(.) &gt; 76)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000062</isns:Code><isns:Description>Trustee non-individual name must not exceed 76 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Trustee non-individual name, the maximum allowable characters for this form is 76</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $RP.ContextId and string-length(.) &gt; 76)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000029</isns:Code><isns:Description>Trust name must not exceed 76 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Trust name, the maximum allowable for this form is 76 characters</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M38"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1006" mode="M38">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $RPPOS.ContextId and string-length(.) &gt; 38)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000101</isns:Code><isns:Description>Each Trust postal street name and number must not exceed 38 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For each Trust postal street name and number, the maximum allowable characters for this form is 38</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M38"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1005" mode="M38">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $RPPOS.ContextId and string-length(.) &gt; 38)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000115</isns:Code><isns:Description>Each Trust postal street name and number must not exceed 38 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For each Trust postal street name and number, the maximum allowable characters for this form is 38</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M38"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1004" mode="M38">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $RPPOS.ContextId and string-length(.) &gt; 27)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000030</isns:Code><isns:Description>Trust postal suburb/town must not exceed 27 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Trust postal suburb/town, the maximum allowable characters for this form is 27</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M38"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1003" mode="M38">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $TRUS.ContextId and string-length(.) &gt; 30)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000032</isns:Code><isns:Description>Trustee family name must not exceed 30 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Trustee family name, the maximum allowable characters for this form is 30</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M38"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M38">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $TRUS.ContextId and string-length(.) &gt; 15)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000019</isns:Code><isns:Description>Trustee first given name must not exceed 15 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Given name, the maximum allowable characters for this form is 15</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M38"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M38">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $TRUS.ContextId and string-length(.) &gt; 30)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000055</isns:Code><isns:Description>Trustee other given names must not exceed 30 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Trustee other given names, the maximum allowable characters for this form is 30</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M38"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M38">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(@contextRef = $TRUS.ContextId and string-length(.) &gt; 15)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000093</isns:Code><isns:Description>Telephone numbers must not exceed 15 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Telephone numbers, the maximum allowable characters for this form is 15</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M38"/></xsl:template><xsl:template match="text()" priority="-1" mode="M38"/><xsl:template match="@*|node()" priority="-2" mode="M38"><xsl:apply-templates select="*" mode="M38"/></xsl:template>

<!--
                PATTERN MandatoriesMandatory Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M39">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="$chtwthhld5[string-length(.) != 0]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430245</isns:Code><isns:Description>Suburb/Town/City must be present in an address</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.LocalityName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="$chtwthhld2[string-length(.) != 0]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410215</isns:Code><isns:Description>Organisation name must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="$chtwthhld3[string-length(.) != 0]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428023</isns:Code><isns:Description>Current postal address must be supplied.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.Line1.Text</xsl:text></Location><isns:LongDescription>Only one instance of current postal address must be supplied.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M39"/></xsl:template><xsl:template match="text()" priority="-1" mode="M39"/><xsl:template match="@*|node()" priority="-2" mode="M39"><xsl:apply-templates select="*" mode="M39"/></xsl:template>

<!--
                PATTERN ContentContent Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1014" mode="M40">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count($chtwthhld12[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0                     or                     count($chtwthhld16[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0 "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000034</isns:Code><isns:Description>Name must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><isns:LongDescription>Trustee family name or Trustee non-individual name must be present.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           count($chtwthhld12[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0                            and                           count($chtwthhld16[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0)                        "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000035</isns:Code><isns:Description>Both family name and company name present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.FamilyName.Text</xsl:text></Location><isns:LongDescription>Trustee family name and Trustee non-individual name are both present. Only family or non-individual name for Trustee may be present.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($chtwthhld13[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0                          and                         count($chtwthhld12[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) = 0                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000469</isns:Code><isns:Description>Suffix is provided without Family Name</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.NameSuffix.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($chtwthhld11[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0                          and                         count($chtwthhld12[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) = 0                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000470</isns:Code><isns:Description>Title is provided without Family Name</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.Title.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($chtwthhld14[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0                          and                         count($chtwthhld12[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) = 0                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000471</isns:Code><isns:Description>First name is provided without Family name</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.GivenName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($chtwthhld15[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0                          and                         count($chtwthhld12[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) = 0                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000475</isns:Code><isns:Description>Other given name is provided without Family name</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonNameDetails.OtherGivenName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="count($chtwthhld6[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0                     or                    count($chtwthhld7[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0                     or                     (count($chtwthhld8[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0 and $chtwthhld8 != 'au')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000010</isns:Code><isns:Description>State and postcode are required for Australian addresses</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:AddressDetails.StateOrTerritory.Code</xsl:text></Location><isns:LongDescription>State, postcode, or country are required in the Trust postal address field.  Determine whether the address is Australian or overseas and correct accordingly.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (count($chtwthhld18[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0                           and                          not(count($chtwthhld19[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000104</isns:Code><isns:Description>Telephone number is required, if an area code is provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Minimal.Number</xsl:text></Location><isns:LongDescription>Trustee daytime phone number is required when Trustee daytime phone area code is provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (count($chtwthhld19[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0                           and                          not(count($chtwthhld18[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000037</isns:Code><isns:Description>Area code is required, if a Telephone number is provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Area.Code</xsl:text></Location><isns:LongDescription>Trustee daytime phone area code is required when Trustee daytime phone number is provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M40"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1013" mode="M40">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            @contextRef = $RPPOS.ContextId                             and                            matches(upper-case(.),'^(.*)(C/-)(.*)$')                             and                             not(count($chtwthhld4[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0)                          )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428026</isns:Code><isns:Description>C/- must be followed by a Name and the Address on line 2</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(.*)UNKNOWN(.*)$','i')                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000405</isns:Code><isns:Description>Address line 1 cannot contain "UNKNOWN"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                      matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or                      matches(.,'^(.*)( C/O | C/ | Care Of )(.*)$','i') or                      matches(.,'^(.*)( C/O| C/| Care Of)$','i') or                      matches(.,'^(C/O|C/|Care Of|CO)$','i')                  )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000406</isns:Code><isns:Description>Address line 1 contains incorrect 'care of' reference.  The only acceptable 'care of' reference is C/-</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M40"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1012" mode="M40">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           @contextRef = $TRUS.ContextId                            and                            matches(.,'^(T/A )(.*)$', 'i')                            and                            matches(.,'^(.*)( Pship| P''ship| P/ship)$', 'i')                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410038</isns:Code><isns:Description>Non-individual name field cannot start with 'T/A' and end with 'Pship, P'ship or P/Ship'</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="val410206" select="self::node()[@contextRef = $RP.ContextId]"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           matches($val410206,'^(The trustee |The Exec |exec |The TTE )(.*)$','i') or                           matches($val410206,'^(.*)( The trustee | The Exec | exec | The TTE )(.*)$','i') or                           matches($val410206,'^(.*)( The trustee| The Exec| exec| The TTE)$','i') or                           matches($val410206,'^(The trustee|The Exec|exec|The TTE)$','i')                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428042</isns:Code><isns:Description>Non Individual Name cannot contain "The trustee", "The Exec", "exec" or "the TTE"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                            @contextRef = $TRUS.ContextId                            and                            matches(.,'^(.*)(P/L)(.*)$')                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000414 </isns:Code><isns:Description>Non Individual Name cannot contain "P/L"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           @contextRef = $TRUS.ContextId                            and                            matches(.,'^(.*)( T/A| T/A Pship| T/A P''ship| T/A P/ship| T/A Partnership)$', 'i')                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000417</isns:Code><isns:Description>Non Individual Name cannot end with "T/A", "T/A P'ship", "T/A Pship", "T/A P/Ship" or "T/A Partnership"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M40"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]" priority="1011" mode="M40">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           matches(.,'^(.*)UNKNOWN(.*)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000407</isns:Code><isns:Description>Address line 2 cannot contain "UNKNOWN"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(matches(.,'^(C/- |C/O |C/ |Care Of |CO )(.*)$','i') or                     matches(.,'^(.*)( C/- | C/O | C/ | Care Of )(.*)$','i') or                     matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or                     matches(.,'^(C/-|C/O|C/|Care Of|CO)$','i'))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000408</isns:Code><isns:Description>'Care of' is not valid for address line 2</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M40"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1010" mode="M40">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           matches(.,'^(.*)UNKNOWN(.*)$','i')                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000409</isns:Code><isns:Description>Suburb/Town/City cannot contain "UNKNOWN"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (count($chtwthhld8[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) = 0                           or                           $chtwthhld8[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ] = 'au')                           and                           matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)', 'i')                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000411</isns:Code><isns:Description>Suburb/Town/City cannot contain state code</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M40"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.08:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1009" mode="M40">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         @contextRef = $RPPOS.ContextId                          and                         (                           count(.) != 0                            and                           (                               count($chtwthhld6[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) != 0                                or                               count($chtwthhld7[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) != 0                           )                         )                          and                           . != 'au'                                                )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000007</isns:Code><isns:Description>State and postcode must not be present for non-Australian addresses</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Country name is present with State or Postcode in the Trust postal address field.  Determine whether the address is Australian or overseas and correct accordingly.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M40"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1008" mode="M40">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@contextRef = $RPPOS.ContextId                     and                    count(.) != 0                     and                    count($chtwthhld7[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) != 0              "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410055</isns:Code><isns:Description>Postcode must be present if State is present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="matches(.,'^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(.*)$', 'i')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.428036</isns:Code><isns:Description>Invalid State code</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>The State code in the Current address is not Valid (Valid States are "QLD", "NSW", "VIC", "SA", "WA", "NT", "ACT", "TAS")</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M40"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1007" mode="M40">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="@contextRef = $RPPOS.ContextId                     and                    count(.) != 0                     and                    count($chtwthhld6[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) != 0"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410017</isns:Code><isns:Description>State must be present if Postcode is present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>If the address is an Australian address, then state and postcode must be present. If the address is an overseas address, then country must be present.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M40"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.NameSuffix.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1006" mode="M40"><xsl:variable name="ucName" select="upper-case(.)"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test=" $ucName = 'ESQ' or                     $ucName = 'II' or                     $ucName = 'III' or                     $ucName = 'IV' or                     $ucName = 'JNR' or                     $ucName = 'JP' or                     $ucName = 'MHA' or                     $ucName = 'MHR' or                     $ucName = 'MLA' or                     $ucName = 'MLC' or                     $ucName = 'MP' or                     $ucName = 'QC' or                     $ucName = 'SNR' "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000458</isns:Code><isns:Description>Suffix is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M40"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.Title.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1005" mode="M40"><xsl:variable name="ucName" select="upper-case(.)"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test=" $ucName = '2LT' or                     $ucName = 'AB' or                     $ucName = 'ABBOT' or                     $ucName = 'AC' or                     $ucName = 'ACM' or                     $ucName = 'ADM' or                     $ucName = 'AIR CDRE' or                     $ucName = 'ALDERMAN' or                     $ucName = 'AM' or                     $ucName = 'ARCHBISHOP' or                     $ucName = 'ARCHDEACON' or                     $ucName = 'ASSOC PROF' or                     $ucName = 'AVM' or                     $ucName = 'BARON' or                     $ucName = 'BARONESS' or                     $ucName = 'BISHOP' or                     $ucName = 'BR' or                     $ucName = 'BRIG' or                     $ucName = 'CANON' or                     $ucName = 'CAPT' or                     $ucName = 'CARDINAL' or                     $ucName = 'CDRE' or                     $ucName = 'CDT' or                     $ucName = 'CHAP' or                     $ucName = 'CMDR' or                     $ucName = 'CMM' or                     $ucName = 'COL' or                     $ucName = 'CONST' or                     $ucName = 'COUNT' or                     $ucName = 'COUNTESS' or                     $ucName = 'CPL' or                     $ucName = 'CPO' or                     $ucName = 'DAME' or                     $ucName = 'DEACON' or                     $ucName = 'DEACONESS' or                     $ucName = 'DEAN' or                     $ucName = 'DEPUTY SUPT' or                     $ucName = 'DR' or                     $ucName = 'DUCHESS' or                     $ucName = 'DUKE' or                     $ucName = 'EARL' or                     $ucName = 'EF' or                     $ucName = 'FLGOFF' or                     $ucName = 'FLT LT' or                     $ucName = 'FR' or                     $ucName = 'FSGT' or                     $ucName = 'GEN' or                     $ucName = 'GNR' or                     $ucName = 'GP CAPT' or                     $ucName = 'HON' or                     $ucName = 'HON JUDGE' or                     $ucName = 'HON JUST' or                     $ucName = 'HRH' or                     $ucName = 'INSP' or                     $ucName = 'JUDGE' or                     $ucName = 'JUST' or                     $ucName = 'LAC' or                     $ucName = 'LACW' or                     $ucName = 'LADY' or                     $ucName = 'LBDR' or                     $ucName = 'LCPL' or                     $ucName = 'LORD' or                     $ucName = 'LS' or                     $ucName = 'LT' or                     $ucName = 'LT CMDR' or                     $ucName = 'LT COL' or                     $ucName = 'LT GEN' or                     $ucName = 'MADAM' or                     $ucName = 'MAJ' or                     $ucName = 'MAJ GEN' or                     $ucName = 'MASTER' or                     $ucName = 'MATRON' or                     $ucName = 'MAYOR' or                     $ucName = 'MAYORESS' or                     $ucName = 'MIDN' or                     $ucName = 'MISS' or                     $ucName = 'MON' or                     $ucName = 'MOST REV' or                     $ucName = 'MR' or                     $ucName = 'MRS' or                     $ucName = 'MS' or                     $ucName = 'PASTOR' or                     $ucName = 'PATRIARCH' or                     $ucName = 'PLT OFF' or                     $ucName = 'PO' or                     $ucName = 'PRIOR' or                     $ucName = 'PROF' or                     $ucName = 'PTE' or                     $ucName = 'RABBI' or                     $ucName = 'RADM' or                     $ucName = 'RECTOR' or                     $ucName = 'REV' or                     $ucName = 'RF' or                     $ucName = 'RT HON' or                     $ucName = 'RT REV' or                     $ucName = 'RTREV BISHOP' or                     $ucName = 'RT REV MON' or                     $ucName = 'SBLT' or                     $ucName = 'SEN' or                     $ucName = 'SGT' or                     $ucName = 'SIR' or                     $ucName = 'SMN' or                     $ucName = 'SNR CONST' or                     $ucName = 'SQN LDR' or                     $ucName = 'SR' or                     $ucName = 'SSGT' or                     $ucName = 'SUPR' or                     $ucName = 'SWAMI' or                     $ucName = 'TF' or                     $ucName = 'VADM' or                     $ucName = 'VERY REV' or                     $ucName = 'VICAR' or                     $ucName = 'VISCOUNT' or                     $ucName = 'WG CDR' or                     $ucName = 'WO' or                     $ucName = 'WO1' or                     $ucName = 'WO2' "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000459</isns:Code><isns:Description>Title is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M40"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1004" mode="M40"><xsl:variable name="val410200" select="self::node()[@contextRef = $TRUS.ContextId]"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches($val410200,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                         matches($val410200,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                         matches($val410200,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                         matches($val410200,'^(Exec for|Rep for|Trustee for)$','i')                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000424</isns:Code><isns:Description>Family name cannot contain "Exec for", "Rep for" or "Trustee for"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                         matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                         matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                         matches(.,'^(MR|MRS|MISS|MS)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000426</isns:Code><isns:Description>Family name cannot contain "MR", "MRS", "MISS" or "MS"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                         matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                         matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                         matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000422</isns:Code><isns:Description>Family name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M40"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1003" mode="M40"><xsl:variable name="val410203" select="self::node()[@contextRef = $TRUS.ContextId]"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches($val410203,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                         matches($val410203,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                         matches($val410203,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                         matches($val410203,'^(Exec for|Rep for|Trustee for)$','i')                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000437</isns:Code><isns:Description>First name cannot contain "Exec for", "Rep for" or "Trustee for"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                        matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                        matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                        matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                        matches(.,'^(MR|MRS|MISS|MS)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000438</isns:Code><isns:Description>First name cannot contain "MR", "MRS", "MISS" or "MS"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                         matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                         matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                         matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000436</isns:Code><isns:Description>First name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M40"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.OtherGivenName.Text[not(@i:nil='true' or @i:nil='1')]" priority="1002" mode="M40"><xsl:variable name="val410208" select="self::node()[@contextRef = $TRUS.ContextId]"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches($val410208,'^(Exec for |Rep for |Trustee for )(.*)$','i') or                         matches($val410208,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or                         matches($val410208,'^(.*)( Exec for| Rep for| Trustee for)$','i') or                         matches($val410208,'^(Exec for|Rep for|Trustee for)$','i')                     )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000449</isns:Code><isns:Description>Other given name cannot contain "Exec for", "Rep for" or "Trustee for"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or                         matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or                         matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or                         matches(.,'^(MR|MRS|MISS|MS)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000450</isns:Code><isns:Description>Other given name cannot contain "MR", "MRS", "MISS" or "MS"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                          matches(.,'^(ESQ |II |III |IV |JNR |JP |MHA |MHR |MLA |MLC |MP |QC |SNR )(.*)$','i') or                          matches(.,'^(.*)( ESQ | II | III | IV | JNR | JP | MHA | MHR | MLA | MLC | MP | QC | SNR )(.*)$','i') or                          matches(.,'^(.*)( ESQ| II| III| IV| JNR| JP| MHA| MHR| MLA| MLC| MP| QC| SNR)$','i') or                          matches(.,'^(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)$','i')                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000448</isns:Code><isns:Description>Other given name cannot contain suffix ESQ, II, III, IV, JNR, JP, MHA, MHR, MLA, MLC, MP, QC or SNR</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           @contextRef = $TRUS.ContextId and string-length(.) != 0                            and                           not($chtwthhld14[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0])                         )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000472</isns:Code><isns:Description>First name is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>Other given name is provided without First name</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M40"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyin.02.00:Declaration.Signature.Date[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M40">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                                         function:IsDate1GreaterThanDate2                     (                       ., current-date()                     ))"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.430255</isns:Code><isns:Description>Signature date must not be later than today</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M40"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M40">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         not(function:ValidateABN(.))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.000477</isns:Code><isns:Description>ABN is invalid</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M40"/></xsl:template><xsl:template match="text()" priority="-1" mode="M40"/><xsl:template match="@*|node()" priority="-2" mode="M40"><xsl:apply-templates select="*" mode="M40"/></xsl:template>

<!--
                PATTERN ContentContent Validations for the TD Declaration-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1005" mode="M41">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $currentContextId = $RPTAC.ContextId                          and                                     count($RPTAC.ContextId) != 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500046</isns:Code><isns:Description>Invalid context. The number of RP.TrueAndCorrect contexts must not exceed 1.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $currentContextId = $INTTAC.ContextId                          and                                     count($INTTAC.ContextId) != 1                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500047</isns:Code><isns:Description>Invalid context. The number of Intermediary.TrueAndCorrect contexts must not exceed 1.</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           not($INTTAC.Context)                              and                           not($RPTAC.Context)                        )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500050</isns:Code><isns:Description>Invalid context. At least one declaration is required from either Intermediary or Reporting Party. </isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="$chtwthhld77RPTAC[string-length(.) != 0]                      or                     $chtwthhld77INTTAC[string-length(.) != 0]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.307004</isns:Code><isns:Description>Declaration Signature Date is required</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Declaration.Signature.Date</xsl:text></Location><isns:LongDescription>Intermediary or Report Party declaration signatory date is required</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="$chtwthhld78RPTAC[string-length(.) != 0]                      or                     $chtwthhld78INTTAC[string-length(.) != 0]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410078</isns:Code><isns:Description>Declaration Statement Accepted Indicator must be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyin.02.00:Declaration.StatementAccepted.Indicator</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="$chtwthhld73RPTAC[string-length(.) != 0]                      or                     $chtwthhld73INTTAC[string-length(.) != 0]"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500056</isns:Code><isns:Description>Declarer contact name must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:PersonUnstructuredName.FullName.Text</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="(                         (                           count($chtwthhld75RPTAC[string-length(.) != 0]) != 0                            and                           count($chtwthhld79RPTAC[string-length(.) != 0]) != 0                       )                       or                       (                           count($chtwthhld75INTTAC[string-length(.) != 0]) != 0                            and                           count($chtwthhld79INTTAC[string-length(.) != 0]) != 0                       )                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500060</isns:Code><isns:Description>Contact telephone details must be provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Area.Code</xsl:text></Location><isns:LongDescription>Declarer telephone area code and telephone number must be provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                           $INTTAC.Context                           and                            not(xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $INTTAC.ContextId]/xbrli:entity/xbrli:identifier[upper-case(@scheme) = 'HTTP://WWW.ABR.GOV.AU/ABN'])                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500051</isns:Code><isns:Description>Entity identifier scheme for Intermediary.TrueAndCorrect must be "http://www.abr.gov.au/abn"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                       $RPTAC.Context                       and                       not(xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $RPTAC.ContextId]/xbrli:entity/xbrli:identifier[upper-case(@scheme) = 'HTTP://WWW.ATO.GOV.AU/TFN'])                    )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500053</isns:Code><isns:Description>Entity identifier scheme for ReportingParty.TrueAndCorrect must be "http://www.ato.gov.au/tfn"</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:variable name="rptacEntity" select="xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $RPTAC.ContextId]/                                     xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                                     xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme)='http://www.ato.gov.au/tfn']"/><xsl:variable name="inttacEntity" select="xbrli:context[not(@i:nil='true' or @i:nil='1') and @id = $INTTAC.ContextId]/                                     xbrli:entity[not(@i:nil='true' or @i:nil='1')]/                                     xbrli:identifier[not(@i:nil='true' or @i:nil='1') and lower-case(@scheme)='http://www.abr.gov.au/abn']"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($inttacEntity) != 0                          and                          not(function:ValidateABN($inttacEntity[1]))                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500054</isns:Code><isns:Description>Intermediary declarer Australian Business Number has failed the algorithm check</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         count($rptacEntity) != 0                          and                          not(function:ValidateTFN($rptacEntity[1]))                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000090</isns:Code><isns:Description>Reporting Party declarer Tax File Number has failed the algorithm check</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/xbrli:context/xbrli:entity/xbrli:identifier</xsl:text></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             count($chtwthhld79RPTAC[string-length(.) != 0]) != 0                              and                             not(count($chtwthhld75RPTAC[string-length(.) != 0]) != 0)                         )                         or                         (                             count($chtwthhld79INTTAC[string-length(.) != 0]) != 0                              and                             not(count($chtwthhld75INTTAC[string-length(.) != 0]) != 0)                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500062</isns:Code><isns:Description>Area code is required, if a Telephone number is provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Area.Code</xsl:text></Location><isns:LongDescription>Declarer daytime phone area code is required when Declarer daytime phone number is provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (                             count($chtwthhld75RPTAC[string-length(.) != 0]) != 0                              and                             not(count($chtwthhld79RPTAC[string-length(.) != 0]) != 0)                         )                         or                         (                             count($chtwthhld75INTTAC[string-length(.) != 0]) != 0                              and                             not(count($chtwthhld79INTTAC[string-length(.) != 0]) != 0)                         )                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500061</isns:Code><isns:Description>Telephone number is required, if an area code is provided</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyde.02.00:ElectronicContact.Telephone.Area.Code</xsl:text></Location><isns:LongDescription>Declarer telephone number is required when Declarer telephone area code is provided</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         $RPTAC.Context                          and                         count($chtwthhld76RPTAC[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]) != 0                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500065</isns:Code><isns:Description>Declarer tax agent number must not be present for Reporting Party</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/pyid.02.00:Identifiers.TaxAgentNumber.Identifier</xsl:text></Location><isns:LongDescription>Declarer tax agent number is only applicable for an Intermediary tax agent</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M41"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1004" mode="M41">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (@contextRef = $RPTAC.ContextId                           or                           @contextRef = $INTTAC.ContextId)                           and                           string-length(.) &gt; 15)"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000093</isns:Code><isns:Description>Telephone numbers must not exceed 15 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Telephone numbers, the maximum allowable characters for this form is 15</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M41"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1003" mode="M41">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (@contextRef = $RPTAC.ContextId                           or                           @contextRef = $INTTAC.ContextId)                           and                           matches(.,'^(.*) - (.*)$')                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500057</isns:Code><isns:Description>Declarer Contact Name cannot contain space hyphen space combinations</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (@contextRef = $RPTAC.ContextId                           or                           @contextRef = $INTTAC.ContextId)                           and                           string-length(.) &gt; 200                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500055</isns:Code><isns:Description>Declarer Contact Name must not exceed 200 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Declarer Contact Name, the maximum allowable characters for this form is 200</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M41"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyde.02.00:PersonNameDetails.Position.Text[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1002" mode="M41">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (@contextRef = $RPTAC.ContextId                           or                           @contextRef = $INTTAC.ContextId)                           and                           string-length(.) &gt; 50                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.500058</isns:Code><isns:Description>Declarer position must not exceed 50 characters</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>For Declarer position, the maximum allowable characters for this form is 50</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M41"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyid.02.00:Identifiers.TaxAgentNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1001" mode="M41">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (@contextRef = $RPTAC.ContextId                           or                           @contextRef = $INTTAC.ContextId)                           and                           not(function:ValidateTAN(.))                       )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410009</isns:Code><isns:Description>The Tax Agent number has failed the Tax Agent number algorithm check</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M41"/></xsl:template>

	<!--
            RULE -->
<xsl:template match="pyin.02.00:Declaration.StatementAccepted.Indicator[not(@i:nil='true' or @i:nil='1') and string-length(.) != 0]" priority="1000" mode="M41">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                         (@contextRef = $RPTAC.ContextId                           or                           @contextRef = $INTTAC.ContextId)                           and . = 'false'                      )"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.GEN.410128</isns:Code><isns:Description>Declaration Statement Accepted Indicator must be 'TRUE'</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M41"/></xsl:template><xsl:template match="text()" priority="-1" mode="M41"/><xsl:template match="@*|node()" priority="-2" mode="M41"><xsl:apply-templates select="*" mode="M41"/></xsl:template>

<!--
                PATTERN ContextValidations for contexts that are applicable across all of the WTHHLD services.-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl/xbrli:context[not(@i:nil='true' or @i:nil='1')]/xbrli:period[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M43"><xsl:variable name="VR.ATO.CHTWTHHLD.000005_start_year" select="year-from-date(xbrli:startDate)"/><xsl:variable name="VR.ATO.CHTWTHHLD.000005_end_year" select="year-from-date(xbrli:endDate)"/><xsl:variable name="VR.ATO.CHTWTHHLD.000005_start_day" select="number(day-from-date(xbrli:startDate))"/><xsl:variable name="VR.ATO.CHTWTHHLD.000005_end_day" select="number(day-from-date(xbrli:endDate))"/><xsl:variable name="VR.ATO.CHTWTHHLD.000005_start_month" select="number(month-from-date(xbrli:startDate))"/><xsl:variable name="VR.ATO.CHTWTHHLD.000005_end_month" select="number(month-from-date(xbrli:endDate))"/>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not(                     ($VR.ATO.CHTWTHHLD.000005_start_day != 1) or                     ($VR.ATO.CHTWTHHLD.000005_start_month != 1 and                       $VR.ATO.CHTWTHHLD.000005_start_month != 4 and                       $VR.ATO.CHTWTHHLD.000005_start_month != 7 and                       $VR.ATO.CHTWTHHLD.000005_start_month != 10) or                     ($VR.ATO.CHTWTHHLD.000005_start_year != $VR.ATO.CHTWTHHLD.000005_end_year) or                     ($VR.ATO.CHTWTHHLD.000005_start_month = 7 and                     ($VR.ATO.CHTWTHHLD.000005_end_month != 9 or $VR.ATO.CHTWTHHLD.000005_end_day != 30)) or                     ($VR.ATO.CHTWTHHLD.000005_start_month = 10 and                     ($VR.ATO.CHTWTHHLD.000005_end_month != 12 or $VR.ATO.CHTWTHHLD.000005_end_day != 31)) or                     ($VR.ATO.CHTWTHHLD.000005_start_month = 1 and                     ($VR.ATO.CHTWTHHLD.000005_end_month != 3 or $VR.ATO.CHTWTHHLD.000005_end_day != 31)) or                     ($VR.ATO.CHTWTHHLD.000005_start_month = 4 and                     ($VR.ATO.CHTWTHHLD.000005_end_month != 6 or $VR.ATO.CHTWTHHLD.000005_end_day != 30)))                  "/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000005</isns:Code><isns:Description>TFN report period dates are not for a quarter</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>The TFN report is a quarterly report. The dates provided must be one of the four following periods for a year: 1 July - 30 September; 1 October - 31 December; 1 January - 31 March or 1 April - 30 June.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose>

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="function:IsDate1GreaterOrEqualToDate2(xbrli:startDate,'2010-07-01')"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000006</isns:Code><isns:Description>The TFN report period must not be earlier than July 2010</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/></Location><isns:LongDescription>The TFN report Reporting period from date must not be earlier than July 2010 as the requirement for trustees to withhold tax only came into effect from 1 July 2010.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M43"/></xsl:template><xsl:template match="text()" priority="-1" mode="M43"/><xsl:template match="@*|node()" priority="-2" mode="M43"><xsl:apply-templates select="*" mode="M43"/></xsl:template>

<!--
                PATTERN ContentContext Validations-->


	<!--
            RULE -->
<xsl:template match="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]" priority="1000" mode="M44">

		<!--
            ASSERT -->
<xsl:choose><xsl:when test="not($chtwthhld10[string-length(.) != 0]) and                    not($chtwthhld9[string-length(.) != 0])"/><xsl:otherwise> <ProcessMessage xmlns="http://www.ato.gov.au/IS/2009/02" xmlns:isns="http://www.ato.gov.au/IS/2009/02"><CategoryCode>Syntax</CategoryCode><isns:Code>CMN.ATO.CHTWTHHLD.000016</isns:Code><isns:Description>Total amount withheld and Total amount of payments must not be present</isns:Description><Location><xsl:apply-templates select="." mode="schematron-get-full-path-2"/><xsl:text>/rvctc2.02.12:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount</xsl:text></Location><isns:LongDescription>Trust total amount withheld and Trust total amount of payments must not be present for the TFN report.</isns:LongDescription><PropertyName i:nil="true"/><isns:Severity>Error</isns:Severity></ProcessMessage></xsl:otherwise></xsl:choose><xsl:apply-templates select="*" mode="M44"/></xsl:template><xsl:template match="text()" priority="-1" mode="M44"/><xsl:template match="@*|node()" priority="-2" mode="M44"><xsl:apply-templates select="*" mode="M44"/></xsl:template></xsl:stylesheet>