﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ContentCommon" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Generic Content Validations</title>


<rule abstract="true" id="VR-ATO-GEN-001007">
<!--
        IF (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> SET("NSW","VIC","ACT","QLD","TAS","SA","WA","NT"))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.001007" diagnostics="DVR.ATO.GEN.001007" test="not( not(matches(.,'^(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)$')) )"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-000405">
<!--
        IF (pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "UNKNOWN")
               RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.000405" diagnostics="DVR.ATO.GEN.000405" test="not(matches(.,'^(.*)UNKNOWN(.*)$','i'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-000407">
<!--
        IF (pyde.xx.xx:AddressDetails.Line2.Text CONTAINS "UNKNOWN")
               RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.000407" diagnostics="DVR.ATO.GEN.000407" test="not(matches(.,'^(.*)UNKNOWN(.*)$','i'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-000409">
<!--
        IF (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS "UNKNOWN")
           RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.000409" diagnostics="DVR.ATO.GEN.000409" test="not(matches(.,'^(.*)UNKNOWN(.*)$','i'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-000410">
<!--
        IF (pyde.xx.xx:AddressDetails.LocalityName.Text CONTAINS NUMERICS SET(0-9))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.000410" diagnostics="DVR.ATO.GEN.000410" test="not(matches(.,'^(.*)[0-9](.*)$'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-000413">
<!--
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  " - " )
              RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.000413" diagnostics="DVR.ATO.GEN.000413.0" test="not(matches(.,'^(.*) - (.*)$'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-000414">
<!--
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS "P/L")
           RETURN VALIDATION MESSAGE
        ENDIF
         -->


<assert  id="VR.ATO.GEN.000414" diagnostics="DVR.ATO.GEN.000414" test="not(matches(.,'^(.*)P/L(.*)$'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-000416">
<!--
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("- -", """", "  "))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.000416" diagnostics="DVR.ATO.GEN.000416" test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-000417">
<!--
    IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))
      RETURN VALIDATION MESSAGE
    ENDIF
    -->


<assert  id="VR.ATO.GEN.000417" diagnostics="DVR.ATO.GEN.000417" test="not(matches(.,'^(.*)( T/A| T/A P''ship| T/A Pship| T/A P/Ship| T/A Partnership)$'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-410205">
<!--
        IF (pyde.xx.xx:AddressDetails.Line1.Text = FOUND("AS ABOVE"))
          RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.410205" diagnostics="DVR.ATO.GEN.410205" test="not(matches(.,'^(AS ABOVE )(.*)$','i') or
                          matches(.,'^(.*)( AS ABOVE )(.*)$','i') or
                          matches(.,'^(.*)( AS ABOVE)$','i') or
                          matches(.,'^(AS ABOVE)$','i'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-410206">
<!--
            Rule ID:  VR.ATO.GEN.410206
        
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = FOUND("The trustee","The Exec","exec","The TTE"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.410206" diagnostics="DVR.ATO.GEN.410206" test="not(
                            matches(.,'^(The trustee |The Exec |exec |The TTE )(.*)$','i')
                            or
                            matches(.,'^(.*)( The trustee | The Exec | exec | The TTE )(.*)$','i')
                            or
                            matches(.,'^(.*)( The trustee| The Exec| exec| The TTE)$','i')
                            or
                            matches(.,'^(The trustee|The Exec|exec|The TTE)$','i')               
                        )"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-000406">
  <!--
            Rule ID: VR.ATO.GEN.428240 Deleted due to PBI000000062329
            Rule ID: VR.ATO.GEN.000406 Added to replace VR.ATO.GEN.428240
			
			IF (pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK) 
            AND (pyde.xx.xx:AddressDetails.Line1.Text STARTSWITH SET("C/O ","C/ ","Care Of ","CO ")) 
            OR (pyde.xx.xx:AddressDetails.Line1.Text CONTAINS SET(" C/O "," C/ "," Care Of "))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
  <assert id="VR.ATO.GEN.000406" diagnostics="DVR.ATO.GEN.000406"
          test="not(
                        matches(.,'^(C/O |C/ |Care Of |CO )(.*)$','i') or
                        matches(.,'^(.*)( C/O | C/ | Care Of )(.*)$','i') or
                        matches(.,'^(.*)( C/O| C/| Care Of)$','i') or
                        matches(.,'^(C/O|C/|Care Of|CO)$','i')
                      )"/>
</rule>

<rule abstract="true" id="VR-ATO-GEN-000408">
  <!--
            Rule ID: VR.ATO.GEN.428241 Deleted due to PBI000000062329
            Rule ID: VR.ATO.GEN.000408 Added to replace VR.ATO.GEN.428241
			
			IF (pyde.xx.xx:AddressDetails.Line2.Text <> NULLORBLANK) 
            AND (pyde.xx.xx:AddressDetails.Line2.Text STARTSWITH SET("C/- ","C/O ","C/ ","Care Of ","CO ") 
            OR pyde.xx.xx:AddressDetails.Line2.Text CONTAINS SET(" C/- "," C/O "," C/ "," Care Of "))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
  <assert id="VR.ATO.GEN.000408" diagnostics="DVR.ATO.GEN.000408"
          test="not(matches(.,'^(C/- |C/O |C/ |Care Of |CO )(.*)$','i') or
                              matches(.,'^(.*)( C/- | C/O | C/ | Care Of )(.*)$','i') or
                              matches(.,'^(.*)( C/-| C/O| C/| Care Of)$','i') or
                              matches(.,'^(C/-|C/O|C/|Care Of|CO)$','i'))"/>
</rule>

<rule abstract="true" id="VR-ATO-GEN-000423">
<!--
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS " - ")
               RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.000423" diagnostics="DVR.ATO.GEN.000423" test="not(matches(.,'^(.*) - (.*)$'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-000427">
<!--
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text CONTAINS SET("-_-", """", "  "))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.000427" diagnostics="DVR.ATO.GEN.000427" test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-000434">
<!--
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS  " - ")
               RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.000434" diagnostics="DVR.ATO.GEN.000434" test="not(matches(.,'^(.*) - (.*)$'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-000439">
<!--
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text CONTAINS SET("-_-","'’","  ") )
               RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.000439" diagnostics="DVR.ATO.GEN.000439" test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-000446">
<!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS  " - ")
               RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.000446" diagnostics="DVR.ATO.GEN.000446" test="not(matches(.,'^(.*) - (.*)$'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-000451">
<!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text CONTAINS SET("-_-","'’","  ") )
               RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.000451" diagnostics="DVR.ATO.GEN.000451" test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-410038">
<!--
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text STARTSWITH "T/A ") AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" Pship"," P'ship"," P/ship"))
          RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.410038" diagnostics="DVR.ATO.GEN.410038" test="not(matches(.,'^(T/A)(.*)( Pship| P''ship| P/ship)$'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-410039">
<!--
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.text <> NULLORBLANK) AND (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.text DOES NOT CONTAIN SET('a-z', 'A-Z', '0-9'))
               RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.410039" diagnostics="DVR.ATO.GEN.410039" test="not(not(matches(.,'^(.*)[a-zA-Z0-9](.*)$')))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-410040">
<!--
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.FamilyName.Text <> SET("A-Z","a-z"))
               RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.410040" diagnostics="DVR.ATO.GEN.410040" test="not(not(matches(.,'^(.*)[a-zA-Z](.*)$')))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-410063">
<!--
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) AND (pyde.xx.xx:PersonNameDetails.GivenName.Text <> SET("A-Z","a-z"))
               RETURN VALIDATION MESSSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.410063" diagnostics="DVR.ATO.GEN.410063" test="not(not(matches(.,'^(.*)[a-zA-Z](.*)$')))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-410200">
<!--
        IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("Exec for","Rep for","Trustee for"))
           RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.410200" diagnostics="DVR.ATO.GEN.410200" test="not(
                            matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i')
                            or
                            matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i')
                            or
                            matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i')
                            or
                            matches(.,'^(Exec for|Rep for|Trustee for)$','i')               
                        )"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-410201">
<!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("MR","MRS","MISS","MS"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.410201" diagnostics="DVR.ATO.GEN.410201" test="
                    not(
                      matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                      matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                      matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                      matches(.,'^(MR|MRS|MISS|MS)$','i'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-428230">
<!--
            IF (pyde.xx.xx:AddressDetails.LocalityName.Text = FOUND("QLD","NSW”,"VIC","SA","WA","NT","ACT","TAS"))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.428230" diagnostics="DVR.ATO.GEN.428230" test="not(matches(.,'(\s+|^)(QLD|NSW|VIC|SA|WA|NT|ACT|TAS)(\s+|$)','i'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-428231">
<!--
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
                   RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.428231" diagnostics="DVR.ATO.GEN.428231" test="not(matches(.,'^(.*)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)(.*)$'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-410202">
<!--
            IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
                   RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.410202" diagnostics="DVR.ATO.GEN.410202" test="not(matches(.,'^(.*)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)(.*)$'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-410203">
<!--
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
               RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.410203" diagnostics="DVR.ATO.GEN.410203" test="
                    not(
                      matches(.,'^(Exec for |Rep for |Trustee for )(.*)$','i') or
                      matches(.,'^(.*)( Exec for | Rep for | Trustee for )(.*)$','i') or
                      matches(.,'^(.*)( Exec for| Rep for| Trustee for)$','i') or
                      matches(.,'^(Exec for|Rep for|Trustee for)$','i'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-410204">
<!--
        IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = FOUND("MR","MRS","MISS","MS"))
               RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.410204" diagnostics="DVR.ATO.GEN.410204" test="not(
                      matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                      matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                      matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                      matches(.,'^(MR|MRS|MISS|MS)$','i'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-410207">
<!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("ESQ","II","III","IV","JNR","JP","MHA","MHR","MLA","MLC","MP","QC","SNR"))
               RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.410207" diagnostics="DVR.ATO.GEN.410207" test="not(matches(.,'^(.*)(ESQ|II|III|IV|JNR|JP|MHA|MHR|MLA|MLC|MP|QC|SNR)(.*)$'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-410208">
<!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("Exec for","Rep for","Trustee for"))
               RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.410208" diagnostics="DVR.ATO.GEN.410208" test="not(matches(.,'^(.*)(Exec for|Rep for|Trustee for)(.*)$'))"></assert>
</rule>

<rule abstract="true" id="VR-ATO-GEN-410209">
<!--
        IF (pyde.xx.xx:PersonNameDetails.OtherGivenName.Text = FOUND("MR","MRS","MISS","MS"))
               RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.410209" diagnostics="DVR.ATO.GEN.410209" test="not(
                      matches(.,'^(MR |MRS |MISS |MS )(.*)$','i') or
                      matches(.,'^(.*)( MR | MRS | MISS | MS )(.*)$','i') or
                      matches(.,'^(.*)( MR| MRS| MISS| MS)$','i') or
                      matches(.,'^(MR|MRS|MISS|MS)$','i'))"></assert>
</rule>
</pattern>