﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ElementVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL element variables that are applicable accross the IDS service.</title>

<let name="CTR2" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyin.02.00:Report.TargetFinancial.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR3" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxAgentNumber.Identifier[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR10" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationDetails.OrganisationActivityStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR12" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'P' and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR13" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianRegisteredBodyNumber.Identifier[@contextRef=$RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR14" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianCompanyNumber.Identifier[@contextRef=$RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR42" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyin.02.00:Lodgment.FinalReturn.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<!--<let name="CTR43" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/ctr.0005.lodge.req.02.00:UltimateHoldingCompany[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR44" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/ctr.0005.lodge.req.02.00:UltimateHoldingCompany[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR45" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/ctr.0005.lodge.req.02.00:UltimateHoldingCompany[not(@i:nil='true' or @i:nil='1')]/pyde.02.08:Residency.TaxPurposesCountry.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR46" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/ctr.0005.lodge.req.02.00:ImmediateHoldingCompany[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = 'MN' and ../pyde.02.00:OrganisationNameDetails.Currency.Code = 'C' and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR47" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/ctr.0005.lodge.req.02.00:ImmediateHoldingCompany[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />-->
<let name="CTR48" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.05:OrganisationDetails.MainIncomeActivity.Description[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR49" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.14:OrganisationDetails.OrganisationIndustry2006Extended.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR50" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo2.02.00:Equity.ContributedEquity.NonAustralianShareholding.Percent[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR51" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.10:Residency.TaxPurposesOrganisationStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR52" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR53" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyde.02.03:OrganisationDetails.TaxConsolidationStatus.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR55" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Elections.InterposedEntityElectionStatus.Year[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR56" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:Elections.InterposedEntityElectionOrRevocation.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR57" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.PaymentToForeignResidentGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR58" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR59" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.02:Income.SaleOfGoodsAndServices.Other.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR60" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR61" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/ctr.0005.lodge.req.02.00:TrustDistributionIncome[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.TrustDistributionGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<!--<let name="CTR62" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/ctr.0005.lodge.req.02.00:TrustDistributionIncome[not(@i:nil='true' or @i:nil='1')]/pyde.02.03:OrganisationDetails.OrganisationType.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />-->
<let name="CTR63" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR64" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR65" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR66" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.05:Income.DividendsTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR67" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.FringeBenefits.EmployeeContribution.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR68" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsAssessable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR69" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagg.02.00:GovernmentFunding.GovernmentIndustryPaymentsIncludesFuel.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR70" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.AssetRevaluationsUnrealisedGains.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR71" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.OtherGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR72" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.ForeignResidentWithholding.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR73" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.CostOfSales.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR74" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.05:Remuneration.WagesAndSalaries.ContractorandConsultantPayments.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR75" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/emsup.02.02:SuperannuationContribution.EmployerContributions.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR76" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.BadDebts.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR77" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.Lease.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR78" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.Lease.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR79" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.Rent.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR80" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.02:Expense.Operating.Interest.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR81" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.02:Expense.Operating.Interest.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR82" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef=$RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR83" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.RoyaltiesTotal.Amount[@contextRef=$RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR84" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Expense.DepreciationandAmortisation.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR85" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.MotorVehicle.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR86" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.00:Expense.Operating.RepairsAndMaintenance.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR87" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.AssetRevaluationsUnrealisedLosses.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR88" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Expense.Other.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR89" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR91" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR92" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.12:Expense.NonDeductibleExemptIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR93" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR94" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR95" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.AssessableOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR96" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.NonDeductible.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR97" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.05:TaxConcession.ResearchAndDevelopment.WriteBackOfAccountingExpenditure.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR98" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.FlowOnDividendDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR99" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR100" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR101" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.CapitalExpenditureImmediateDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR102" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.ProjectPoolAllowableDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR103" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR104" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.CapitalExpenditureSpecifiedAllowableDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR111" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.00:TaxConcession.ImmediateAllowableTaxDeductionLandcareOperationsExpenditureAndDeductionForDeclineInValueOfWaterFacility.Amount[@contextRef=$RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR112" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.EnvironmentalProtectionDeduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR113" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.00:TaxConcession.OffshoreBankingUnitAdjustment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR114" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.Exempt.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR115" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.NotincludedInAssessableOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR116" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR117" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR118" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.00:IncomeTax.TaxLossesTransferredIn.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR120" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.Taxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR121" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.12:Miscellaneous.CurrencyTranslation.Rate[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR123" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef=$RPI.Opening.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR124" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.02:Expense.Purchases.AndOtherCosts.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR125" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo7.02.04:Assets.Inventories.Total.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR126" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo7.02.02:Assets.Inventories.ValuationMethod.Code[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR128" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.13:Assets.TradeandReceivablesOther.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR129" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.00:Assets.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR130" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.13:Assets.Total.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR131" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.00:Liabilities.NonCurrentTradeAndOtherPayables.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR132" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.00:Liabilities.CurrentTotal.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR133" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.13:Liabilities.Total.Amount[@contextRef=$RPI.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR134" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.02:Liabilities.DebtTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR135" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.02:Liabilities.CommercialDebtForgiveness.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR137" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR138" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR139" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo2.02.02:Equity.Dividends.FrankingAccountBalance.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR142" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.01:IncomeTax.FrankingCredits.ExcessFrankingOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR145" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo5.02.01:Assets.LoansAndReceivables.RelatedParties.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR146" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo1.02.02:Assets.LoansAndReceivablesAction.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR147" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Expense.DepreciatingAssets.IntangibleFirstDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR148" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Expense.DepreciatingAssets.OtherFirstDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR149" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo7.02.02:Assets.DepreciatingAssets.IntangibleTerminationValue.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR150" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo7.02.02:Assets.DepreciatingAssets.OtherTerminationValue.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR151" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.05:Remuneration.WagesAndSalaries.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR152" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.05:Remuneration.WagesAndSalariesAction.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR153" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/lrla.02.00:Remuneration.PaymentToRelatedPartiesGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR154" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.14:Income.InternationalDealings.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR156" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR157" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR158" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef=$RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR159" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.TransferorTrustAttributedForeignIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR168" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount[@contextRef=$RP.LowCost.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR169" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.11:Expense.DepreciatingAssets.SmallBusinessEntity.Amount[@contextRef=$RP.GeneralPool.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR175" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR176" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR177" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.13:Income.PersonalServicesIncomeIncluded.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR178" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Income.NonMembers.Percent[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR179" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.Insurance.Taxable.Amount[@contextRef=$RP.CMPLY.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR180" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.CMPLY.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR181" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef=$RP.ORD.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR182" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.Insurance.Taxable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR183" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.Insurance.FeesAndCharges.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR184" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.PooledDevelopmentFundsSmallToMediumEnterprises.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR185" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.PooledDevelopmentFundsUnregulatedInvestment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR190" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.05:Income.RetirementSavingsAccountsTaxableNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR193" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR194" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR195" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR196" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpo6.02.09:Liabilities.ThinCapitalisation.ProvisionsApplied.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR198" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.TransactionswithTaxHavenCountries.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR199" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR201" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR202" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfati.02.01:TaxOffsetClaim.FrankingDeficit.Amount[@contextRef=$RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR203" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR204" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR205" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR206" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<!--<let name="CTR207" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/ctr.0005.lodge.req.02.00:ITPAYGWithholdingDetails[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.ContextId and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DFRW' and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR208" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/ctr.0005.lodge.req.02.00:ITPAYGWithholdingDetails[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheld.Amount[@contextRef=$RP.ContextId and ../rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.PaymentType.Code = 'DNOABN' and not(@i:nil='true' or @i:nil='1')]" />-->
<let name="CTR209" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.TaxWithheldFromInvestmentIncomeAndInterest.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR210" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetRefundable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR211" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.00:IncomeTax.PayAsYouGoWithholding.CreditsRefundableOther.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR212" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.01:IncomeTax.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR213" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:Identifiers.TaxAgentClientReference.Text[@contextRef=$INT.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR214" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef=$INT.ContextId and ../pyde.02.05:PersonUnstructuredName.Usage.Code = 'Contact' and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR215" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Area.Code[@contextRef=$INT.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR216" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Minimal.Number[@contextRef=$INT.ContextId and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code = '03' and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR217" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyin.02.00:Report.CompletionHours.Number[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR219" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'DeclarationSignatory' and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR221" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'DeclarationSignatory' and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR222" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef=$RP.ContextId and ../pyde.02.00:PersonNameDetails.PersonNameType.Code = 'LGL' and ../pyde.02.05:PersonNameDetails.Usage.Code = 'DeclarationSignatory' and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR244" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.10:Miscellaneous.FunctionalCurrency.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR246" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfati.02.01:TaxOffsetClaim.NationalRentalAffordabilitySchemeEntitlement.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR247" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.FirstHomeSaverAccountCredited.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR248" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Expense.FirstHomeSaverAccountFeesAndCharges.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR249" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.FirstHomeSaverAccountCreditedNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR252" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.Total.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR253" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR254" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.16:Expense.Total.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR255" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.OtherTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR256" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR260" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR290" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.02:Income.FinancialArrangementsUnrealisedGains.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR295" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]/pyid.02.00:FinancialInstitutionAccount.FinancialInstitutionAccountName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR298" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/pyin.02.07:Report.Amendment.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR299" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustTFNNotQuoted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR300" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.05:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundableUtilised.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR302" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef=$RP.Y0Plus1.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR308" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.05:Income.RetirementSavingsAccountTFNNotQuotedContributionsIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR309" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.04:IncomeTax.RetirementSavingsAccountTFNNotQuotedContributionsIncomeTaxPayable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR310" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Income.GainsTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR311" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef=$RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR313" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonUnstructuredName.FullName.Text[@contextRef=$RP.ContextId and ../pyin.02.03:Declaration.StatementType.Code = 'TrueAndCorrect' and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR316" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR317" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR318" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc4.02.04:InternationalDealings.ForeignIncomeGross.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR319" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafot.02.10:RegulatoryDisclosures.ReportableTaxPosition.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR320" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR321" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.08:IncomeTax.ResearchAndDevelopmentRecoupment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR322" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableSubTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR323" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.08:IncomeTax.TaxOffsetNonRefundableCarryForward.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR324" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.08:IncomeTax.TaxOffsetCarriedForwardSubTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR325" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.08:IncomeTax.TaxOffsetRefundableSubTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR326" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR327" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR328" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR330" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR336" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Expense.DepreciatingAssets.ProjectPoolAllocationsForMiningAndTransportCapitalExpenditure.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR337" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Expense.DepreciatingAssets.IntangibleAssetsDeclineInValueOfExplorationOrProspecting.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR338" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.02:Expense.DepreciatingAssets.OtherAssetsDeclineInValueOfExplorationOrProspecting.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR342" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef=$RP.YMiddle.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR344" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.00:IncomeTax.Liability.Amount[@contextRef=$RP.MiddleYear.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR345" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.11:Tax.Losses.CarryBackOffset.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR346" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.11:Income.PersonalServicesIncome.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR347" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.11:Expense.PersonalServicesIncome.Deduction.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR348" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualResultsTestSatisfied.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR349" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc2.02.01:IncomeTax.PersonalServicesIncome.IndividualPersonalServiceBusinessDeterminationHeld.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR353" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.04:TaxConcession.ResearchAndDevelopment.TaxOffsetNonRefundable.Amount[@contextRef=$RP.YPrevious.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR354" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr3.02.11:Income.ResearchAndDevelopment.FeedstockAdjustment.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR355" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.13:Income.ExemptNet.Amount[@contextRef=$RP.MiddleYear.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR356" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef=$RP.YEarliestFromMiddle.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR357" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef=$RP.YEarliestFromCurrent.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR358" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/bafpr1.02.13:Income.ExemptNet.Amount[@contextRef=$RP.EarliestYear.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR359" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.00:IncomeTax.Liability.Amount[@contextRef=$RP.EarliestYear.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR360" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR361" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/gfagc.02.08:TaxConcession.ResearchAndDevelopment.CreditReceivedNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR24" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'P']/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR25" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'P']/pyde.02.00:AddressDetails.Line2.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR28" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'P']/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR29" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'P']/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR30" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'P']/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR32" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'P']/pyde.02.08:AddressDetails.Country.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR265" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'P']/pyde.02.08:AddressDetails.CountryName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />

<let name="CTR15" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'C']/pyde.02.00:AddressDetails.Line1.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR16" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'C']/pyde.02.00:AddressDetails.Line2.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]"  />
<let name="CTR17" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'C']/pyde.02.00:AddressDetails.Line3.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR18" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'C']/pyde.02.00:AddressDetails.Line4.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR19" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'C']/pyde.02.00:AddressDetails.LocalityName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR21" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'C']/pyde.02.00:AddressDetails.Postcode.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR20" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'C']/pyde.02.00:AddressDetails.StateOrTerritory.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR264" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'C']/pyde.02.08:AddressDetails.CountryName.Text[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="CTR23" value="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]/address2.02.02:AddressDetails[./pyde.02.01:AddressDetails.Usage.Code = 'POS' and ./pyde.02.00:AddressDetails.Currency.Code = 'C']/pyde.02.08:AddressDetails.Country.Code[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />

</pattern>