﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
</rule>

<rule context="address1.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]">
<!--
            Rule ID: VR.ATO.DIS.406022
            
            IF (pyde.xx.xx:AddressDetails.Line1.Text = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.DIS.406022" diagnostics="DVR.ATO.DIS.406022" test="not(count(pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)"></assert>
<!--
            Rule ID: VR.ATO.GEN.000460
        
            IF (pyde.xx.xx:AddressDetails.Postcode.Text <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Postcode.Text  <> SET(0200-9999))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000460" diagnostics="DVR.ATO.GEN.000460" test="not(count(pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            and not(pyde.02.00:AddressDetails.Postcode.Text[matches(.,'^([0][2-9]|[1-9][0-9])[0-9][0-9]$')]))"></assert>
<!--
            Rule ID: VR.ATO.GEN.000500
            
            IN TUPLE(address1.xx.xx:AddressDetails)
                IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000500" diagnostics="DVR.ATO.GEN.000500" test="not(count(pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1')]) = 0)"></assert>
<!--
            Rule ID: VR.ATO.GEN.000501
        
            IN TUPLE(address1.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.Line1.Text = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000501" diagnostics="DVR.ATO.GEN.000501" test="not(count(./pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)"></assert>
<!--        
            Rule ID: VR.ATO.GEN.000502
            
            WHERE IN TUPLE(address1.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.Country.Code <> NULLORBLANK) 
                AND (pyde.xx.xx:AddressDetails.Country.Code <> "au") 
                AND  (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = FALSE) 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000502" diagnostics="DVR.ATO.GEN.000502" test="not
                        ( 
                             count(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                             and
                             not(upper-case(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 'AU')
                             and        
                             pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                        )"></assert>
<!--        
            Rule ID: VR.ATO.GEN.000503
            
            WHERE IN TUPLE(address1.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = TRUE) AND (pyde.xx.xx:AddressDetails.Country.Code = NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000503" diagnostics="DVR.ATO.GEN.000503" test="not
                        (  
                              pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                              and
                              not(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                        )"></assert>
<!--        
            Rule ID: VR.ATO.GEN.000506
            
            IN TUPLE(address1.xx.xx:AddressDetails)
            IF ((pyde.xx.xx:AddressDetails.Line1.Text CONTAINS "C/-") AND (pyde.xx.xx:AddressDetails.Line2.Text = NULLORBLANK))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000506" diagnostics="DVR.ATO.GEN.000506" test="not
                        ( 
                             pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and matches(.,'^(.*)(C/-)(.*)$','i')]
                             and
                             count(pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                        )"></assert>
<!--
            Rule ID: VR.ATO.GEN.000507
            
            IN TUPLE(address1.xx.xx:AddressDetails)
            IF ((pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> NULLORBLANK) OR (pyde.xx.xx:AddressDetails.Postcode.Text <> NULLORBLANK)) AND ((pyde.xx.xx:AddressDetails.LocalityName.Text = NULLORBLANK))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000507" diagnostics="DVR.ATO.GEN.000507" test="not
                       (
                            (
                                count(pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                                or
                                count(pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            )
                                and
                                count(pyde.02.00:AddressDetails.LocalityName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                       )"></assert>
<!--
            Rule ID: VR.ATO.GEN.000508
            
            N TUPLE(address1.xx.xx:AddressDetails)
            IF ((pyde.xx.xx:AddressDetails.Line1.Text <> NULLORBLANK) OR (pyde.xx.xx:AddressDetails.LocalityName.Text <> NULLORBLANK)) 
            AND ((pyde.xx.xx:AddressDetails.StateOrTerritory.Code = NULLORBLANK) 
            AND (pyde.xx.xx:AddressDetails.Postcode.Text = NULLORBLANK) 
            AND (pyde.xx.xx:AddressDetails.CountryName.Text = NULLORBLANK))
               RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000508" diagnostics="DVR.ATO.GEN.000508" test="not
                       (
                            count(pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                            and
                            count(pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                            and
                            count(pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                            and
                            count(pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0                        
                       )"></assert>
<!--        
            Rule ID: VR.ATO.GEN.000509
            
            IN TUPLE(address1.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.Country.Code = "au") AND  (pyde.xx.xx:AddressDetails.OverseasAddress.Indicator = TRUE) 
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000509" diagnostics="DVR.ATO.GEN.000509" test="not( 
                             pyde.02.00:AddressDetails.Country.Code[not(@i:nil='true' or @i:nil='1') and matches(.,'^(au)$','i')] 
                             and
                             pyde.02.00:AddressDetails.OverseasAddress.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])"></assert>
<!--        
            Rule ID: VR.ATO.GEN.000510
            
            IN TUPLE(address1.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.StateOrTerritory.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Postcode.Text = NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF
       -->


<assert  id="VR.ATO.GEN.000510" diagnostics="DVR.ATO.GEN.000510" test="not(string-length(pyde.02.00:AddressDetails.Postcode.Text) = 0
                         and count(pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0)"></assert>
<!--        
            Rule ID: VR.ATO.GEN.000511
            
            IN TUPLE(address1.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.Postcode.Text <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.StateOrTerritory.Code = NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF
       -->


<assert  id="VR.ATO.GEN.000511" diagnostics="DVR.ATO.GEN.000511" test="not(count(pyde.02.00:AddressDetails.Postcode.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                         and string-length(pyde.02.00:AddressDetails.StateOrTerritory.Code) = 0)"></assert>
<!--        
            Rule ID: VR.ATO.GEN.000512
            
            IN TUPLE(address1.xx.xx:AddressDetails)
            IF (pyde.xx.xx:AddressDetails.StateOrTerritory.Code = NULLORBLANK) 
            AND (pyde.xx.xx:AddressDetails.Postcode.Text = NULLORBLANK) 
            AND (pyde.xx.xx:AddressDetails.CountryName.Text = NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF
       -->


<assert  id="VR.ATO.GEN.000512" diagnostics="DVR.ATO.GEN.000512" test="not(string-length(pyde.02.00:AddressDetails.Postcode.Text) = 0
                         and string-length(pyde.02.00:AddressDetails.StateOrTerritory.Code) = 0
                         and string-length(pyde.02.00:AddressDetails.Country.Code) = 0)"></assert>
<!--        
            Rule ID: VR.ATO.GEN.000513
            
            IF (pyde.xx.xx:AddressDetails.Line4.Text <> NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF
       -->


<assert  id="VR.ATO.GEN.000513" diagnostics="DVR.ATO.GEN.000513" test="not(count(pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)"></assert>
<!--        
            Rule ID: VR.ATO.GEN.410194
            
            IF (pyde.xx.xx:AddressDetails.Line1.Text > LENGTH(38))
                 RETURN VALIDATION MESSAGE
            ENDIF
       -->


<assert  id="VR.ATO.GEN.410194" diagnostics="DVR.ATO.GEN.410194" test="not(string-length(pyde.02.00:AddressDetails.Line1.Text[not(@i:nil='true' or @i:nil='1')]) &gt; 38)"></assert>
<!--        
            Rule ID: VR.ATO.GEN.410195
            
            IF (pyde.xx.xx:AddressDetails.Line2.Text > LENGTH(38))
                 RETURN VALIDATION MESSAGE
            ENDIF
       -->


<assert  id="VR.ATO.GEN.410195" diagnostics="DVR.ATO.GEN.410195" test="not(string-length(pyde.02.00:AddressDetails.Line2.Text[not(@i:nil='true' or @i:nil='1')]) &gt; 38)"></assert>
<!--        
            Rule ID: VR.ATO.GEN.410008
            
            IF (pyde.xx.xx:AddressDetails.Line3.Text <> NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.410008" diagnostics="DVR.ATO.GEN.410008" test="not(count(pyde.02.00:AddressDetails.Line3.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0)"></assert>
<!--        
            Rule ID: VR.ATO.GEN.410013
            
            IF (pyde.xx.xx:AddressDetails.Line4.Text <> NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.410013" diagnostics="DVR.ATO.GEN.410013" test="not(count(pyde.02.00:AddressDetails.Line4.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 ]) &gt; 0)"></assert>
<!--        
            Rule ID: VR.ATO.GEN.410213
            
            IF (pyde.xx.xx:AddressDetails.CountryName.Text <> NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.410213" diagnostics="DVR.ATO.GEN.410213" test="not(count(pyde.02.00:AddressDetails.CountryName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0)"></assert>
</rule>

<rule context="dis.0001.lodge.req.02.00:Investor[not(@i:nil='true' or @i:nil='1')]">
<!--
            Rule ID: VR.ATO.DIS.406010
               
            IF ([DIS41] = FALSE AND [DIS12] <> NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF

            [DIS41] = DIS:RP:pyde.xx.xx:AddressDetails.OverseasAddress.Indicator 
                WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") IN TUPLE(address1.xx.xx:AddressDetails) IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)

            [DIS12] = DIS:RP:pyde.xx.xx:AddressDetails.CountryName.Text 
                WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") IN TUPLE(address1.xx.xx:AddressDetails) IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)

        -->


<assert  id="VR.ATO.DIS.406010" diagnostics="DVR.ATO.DIS.406010" test="not
                        (
                        count(address1.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')
                           and( count(pyde.02.00:AddressDetails.OverseasAddress.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') 
                            and string-length(normalize-space(.)) != 0
                            and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS'
                            and matches(.,'^(false|0)$')]) &gt; 0)
                            and
                           ( count(pyde.02.00:AddressDetails.CountryName.Text
                            [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0
                             and upper-case(../pyde.02.01:AddressDetails.Usage.Code) = 'POS']) &gt; 0)
                             ]) &gt; 0
                             )"></assert>
<!--
            Rule Id: VR.ATO.DIS.406015

            IF ([DIS15] <>SET (""117"", ""060"") AND [DIS3] = NULLORBLANK)
                RETURN VALIDATION ERROR
            ENDIF

            [DIS15] = DIS:RP:pyde.xx.xx:Party.Type.Code IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
            [DIS3] = DIS:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
            WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = ""MN"") 
            IN TUPLE(orgname1.xx.xx:OrganisationNameDetails) TUPLE(dis.0001.lodge.req.xx.xx:Investor)
        -->


<assert  id="VR.ATO.DIS.406015" diagnostics="DVR.ATO.DIS.406015" test="not(
                                (count(pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and not(matches(.,'^(117|060)$'))]) &gt; 0)
                                and (count (orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') and (count(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1' and upper-case(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code)='MN') and string-length(normalize-space(.)) != 0]) = 0)])&gt; 0)
                               )"></assert>
<!--
            Rule Id: VR.ATO.DIS.406002
            
            IF ([DIS17] > 2 AND [DIS16] < 1)
                RETURN VALIDATION MESSAGE
            ENDIF

            [DIS17] = DIS:RP:bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
            [DIS16] = DIS:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
        -->


<assert  id="VR.ATO.DIS.406002" diagnostics="DVR.ATO.DIS.406002" subject="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount" test="not
                        (
	                        number(bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 2
                            and
                            sum(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt; 1
                        )"></assert>
<!--
            Rule Id: VR.ATO.DIS.406003
            
            IF ([DIS16] > 0 AND [DIS17] = NULL)
                RETURN VALIDATION MESSAGE
            ENDIF

            [DIS16] = DIS:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
            [DIS17] = DIS:RP:bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)"	VR.ATO.DIS.406003	CMN.ATO.DIS.406003	CrossField-->


<assert  id="VR.ATO.DIS.406003" diagnostics="DVR.ATO.DIS.406003" subject="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount" test="not
                        (
	                        number(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and
                            count(bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        )"></assert>
<!--
            Rule Id: VR.ATO.DIS.406004
                        
            IF ([DIS16] <= 1 AND [DIS17] <= 1 AND [DIS18] <= 1 AND [DIS19] <= 1 AND [DIS20] <= 1)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [DIS16] = DIS:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
            [DIS17] = DIS:RP:bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
            [DIS18] = DIS:RP.NONCFI:bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount IN TUPLE(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier)
            [DIS19] = DIS:RP.CFI:bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount IN TUPLE(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier)
            [DIS20] = DIS:RP:bafpr2.02.02:Expense.Interest.Paid.Amount IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
            
            I think this is broken,
            [DIS18] = DIS:RP.NONCFI:bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount IN TUPLE(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier)
            [DIS19] = DIS:RP.CFI:bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount IN TUPLE(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier)
            shouldbe
            [DIS18] = DIS:RP.NONCFI:bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount IN TUPLE(dis.0001.lodge.req.02.00:UnfrankedDividends)
            [DIS19] = DIS:RP.CFI:bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount IN TUPLE(dis.0001.lodge.req.02.00:UnfrankedDividends)
        -->


<assert  id="VR.ATO.DIS.406004" diagnostics="DVR.ATO.DIS.406004" subject="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount" test="not
	                    (
                            (sum(rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) &lt;= 1)
	                        and
	                        (sum(bafpo2.02.02:Equity.Dividends.FrankedPaid.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) &lt;= 1)
	                        and
	                        (sum(dis.0001.lodge.req.02.00:UnfrankedDividends[not(@i:nil='true' or @i:nil='1')]/bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount[@contextRef = $RP.NONCFI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ])  &lt;= 1)
	                        and
	                        (sum(dis.0001.lodge.req.02.00:UnfrankedDividends[not(@i:nil='true' or @i:nil='1')]/bafpo2.02.02:Equity.Dividends.UnfrankedPaid.Amount[@contextRef = $RP.CFI.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ])  &lt;= 1)
	                        and
	                        (sum(bafpr2.02.02:Expense.Interest.Paid.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(.) != 0 ]) &lt;= 1)
	                    )"></assert>
<!--
            Rule Id: VR.ATO.DIS.406006
                
            IF ([DIS44] = TRUE AND [DIS15] <> "060")
                RETURN VALIDATION MESSAGE
            ENDIF

            [DIS44] = DIS:RP:pyde.02.00:PersonDemographicDetails.Deceased.Indicator IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
            [DIS15] = DIS:RP:pyde.02.03:Party.Type.Code IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
        -->


<assert  id="VR.ATO.DIS.406006" diagnostics="DVR.ATO.DIS.406006" subject="rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromAustralianCompanies.Amount" test="not
                        (
                            count(pyde.02.00:PersonDemographicDetails.Deceased.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]) &gt; 0
                            and
                            pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] != '060'
                        )"></assert>
<!--
            Rule Id: VR.ATO.DIS.406020
           
            IF ([DIS13] > CURRENTDATE)
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [DIS13] = DIS:RP:pyde.02.00:PersonDemographicDetails.Birth.Date IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)"
        -->

<!-- pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and
                            function:IsDate1GreaterThanDate2(pyde.02.00:PersonDemographicDetails.Birth.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')], fn:current-dateTime())-->
<assert  id="VR.ATO.DIS.406020" diagnostics="DVR.ATO.DIS.406020" subject="pyde.02.00:PersonDemographicDetails.Birth.Date" test="not
                        (
                            pyde.02.00:PersonDemographicDetails.Birth.Date[
                                                                            @contextRef = $RP.ContextId 
                                                                            and 
                                                                            not(@i:nil='true' or @i:nil='1')
                                                                            and
                                                                            function:IsDate1GreaterThanDate2(., fn:current-dateTime())
                                                                          ]
                        )"></assert>
<!--
            Rule Id: VR.ATO.DIS.406016
            IF ([DIS15] = SET("117", "060") AND [DIS4] = NULLORBLANK)
                RETURN VALIDATION ERROR
            ENDIF
            [DIS15] = DIS:RP:pyde.xx.xx:Party.Type.Code IN TUPLE(dis.0001.lodge.req.xx.xx:Investor)
            [DIS4] = DIS:RP:pyde.02.00:PersonNameDetails.FamilyName.Text IN TUPLE(prsnstrcnm1.02.00:PersonNameDetails)
        -->


<assert  id="VR.ATO.DIS.406016" diagnostics="DVR.ATO.DIS.406016" test="not
                        (
                            count(pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(117|060)$')]) &gt; 0
                            and 
                            count(prsnstrcnm1.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                        )"></assert>
<!-- 
 
            IF [DIS3] <> NULLORBLANK AND ([DIS4] <> NULLORBLANK OR [DIS5] <> NULLORBLANK OR [DIS6] <> NULLORBLANK)
              RETURN VALIDATION MESSAGE
            ENDIF
 
            [DIS3] DIS:RP:pyde.02.00:OrganisationNameDetails.OrganisationalName.Text WHERE (pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code = "MN") IN TUPLE(orgname1.02.00:OrganisationNameDetails) IN TUPLE(dis.0001.lodge.req.02.00:Investor)
 
            [DIS4] DIS:RP:pyde.02.00:PersonNameDetails.FamilyName.Text IN TUPLE(prsnstrcnm1.02.00:PersonNameDetails) IN TUPLE(dis.0001.lodge.req.02.00:Investor)
 
            [DIS5] DIS:RP:pyde.02.00:PersonNameDetails.GivenName.Text IN TUPLE(prsnstrcnm1.02.00:PersonNameDetails) IN TUPLE(dis.0001.lodge.req.02.00:Investor)
 
            [DIS6] DIS:RP:pyde.02.00:PersonNameDetails.OtherGivenName.Text IN TUPLE(prsnstrcnm1.02.00:PersonNameDetails) IN TUPLE(dis.0001.lodge.req.02.00:Investor)
 
 -->


<assert  id="VR.ATO.DIS.406023" diagnostics="DVR.ATO.DIS.406023" test="not(
                    (count (orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1') and (count(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1' and upper-case(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code)='MN') and string-length(normalize-space(.)) != 0]) &gt; 0)]) &gt; 0)
                    and
                    (
                    count(prsnstrcnm1.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                    or 
                    count(prsnstrcnm1.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0
                    or
                    count(prsnstrcnm1.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) &gt; 0 
                    )
                       )"></assert>
</rule>

<rule context="orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
<!--orgname1.02.00:OrganisationNameDetails
            IF ([DIS24] = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF

            [DIS24] = DIS:RP:pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text 
            WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
            IN TUPLE(orgname1.xx.xx:OrganisationNameDetails)
        -->


<assert  id="VR.ATO.DIS.406005" diagnostics="DVR.ATO.DIS.406005" test="not(
                            pyde.02.00:OrganisationNameDetails.OrganisationalName.Text
                            [@contextRef = $RP.ContextId and 
                            (@i:nil='true' or @i:nil='1' or string-length(normalize-space(.)) = 0)]
                            and upper-case(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code) = 'MN'
                            )"></assert>
<!--        
            Rule ID: VR.ATO.GEN.000520
            
            IN TUPLE(orgname2.xx.xx:OrganisationNameDetails)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = NULLORBLANK) 
               RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000520" diagnostics="DVR.ATO.GEN.000520" test="not(string-length(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]) = 0)"></assert>
<!--
            Rule ID: VR.ATO.GEN.000521
        
            IN TUPLE(orgname1.xx.xx:OrganisationNameDetails)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000521" diagnostics="DVR.ATO.GEN.000521" test="not(count(./pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0)"></assert>
</rule>

<rule context="pyde.02.05:PersonUnstructuredName.Usage.Code[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
<!--
            Rule Id: VR.ATO.GEN.428209 

            IF((pyde.02.05:PersonUnstructuredName.Usage.Code) <> NULLORBLANK) AND
                ((pyde.02.05:PersonUnstructuredName.Usage.Code) <> "Contact")
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.428209" diagnostics="DVR.ATO.GEN.428209" test="upper-case(.) = 'CONTACT'"></assert>
</rule>

<rule context="phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]">
<!--
            Rule ID: VR.ATO.GEN.307006

            IF (pyde.xx.xx:ElectronicContact.Telephone.Minimal.Number = NULLORBLANK)
            AND (pyde.xx.xx:ElectronicContact.Telephone.Area.Code <> NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.307006" diagnostics="DVR.ATO.GEN.307006" subject="pyde.02.00:ElectronicContact.Telephone.Area.Code" test="not(string-length(normalize-space(pyde.02.00:ElectronicContact.Telephone.Minimal.Number[not(@i:nil='true' or @i:nil='1')])) = 0
                        and
                        (string-length(normalize-space(pyde.02.00:ElectronicContact.Telephone.Area.Code[not(@i:nil='true' or @i:nil='1')])) != 0))"></assert>
</rule>

<rule context="pyde.02.00:PersonDemographicDetails.Sex.Code[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
<!--
            Rule ID: VR.ATO.DIS.406001
        
            IF (pyde.xx.xx:Person Demographic Details.Sex.Code <> NULLORBLANK AND pyde.xx.xx:Person Demographic Details.Sex.Code <> SET("1","2","3","0"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.DIS.406001" diagnostics="DVR.ATO.DIS.406001" test="not(
                          not(matches(.,'^(1|2|3|0)$'))
                          and not(@i:nil='true' or @i:nil='1')
                          and not(string-length(normalize-space(.)) = 0))"></assert>
</rule>

<rule context="prsnstrcnm1.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">
<!--
            Rule ID: VR.ATO.GEN.000530
        
            IN TUPLE(prsnstrcnm1.xx.xx:PersonNameDetails)
            IF (pyde.xx.xx:PersonNameDetails.FamilyName.Text = NULLORBLANK) 
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000530" diagnostics="DVR.ATO.GEN.000530" test="pyde.02.00:PersonNameDetails.FamilyName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            Rule ID: VR.ATO.GEN.000531
        
            IN TUPLE(prsnstrcnm1.xx.xx:PersonNameDetails)
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text = NULLORBLANK)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.000531" diagnostics="DVR.ATO.GEN.000531" test="not
                            (
                                count(./pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                            )"></assert>
</rule>

<rule context="prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">
<!--
            IF ([DIS25] <> NULL) AND ([DIS25 > TEXT (200))
                RETURN VALIDATION MESSAGE
            ENDIF

            [DIS25] = DIS:RP:pyde.xx.xx:PersonUnstructuredName.FullName.Text 
            WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonUnstructuredName.Usage.Code = "Contact") 
            IN TUPLE(prsnunstrcnm1.xx.xx:PersonUnstructuredName)
        -->


<assert  id="VR.ATO.DIS.406021" diagnostics="DVR.ATO.DIS.406021" test="not( 
                          string-length(pyde.02.00:PersonUnstructuredName.FullName.Text[not(@i:nil='true' or @i:nil='1')]) &gt; 200
                          and upper-case(pyde.02.05:PersonUnstructuredName.Usage.Code) = 'CONTACT'
                          )"></assert>
</rule>
<!-- xsd-datatype-VR.ATO.GEN.0001007 -->

<rule name="VR.ATO.GEN.001007" context="address1.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.StateOrTerritory.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) &gt; 0]">
<extends rule="VR-ATO-GEN-001007" />
</rule>
<!-- xsd-datatype-VR.ATO.GEN.000405, 000406, 410205 -->

<rule name="VR.ATO.GEN.000405" context="address1.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line1.Text[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
<extends rule="VR-ATO-GEN-000405" />
<extends rule="VR-ATO-GEN-000406" />
<extends rule="VR-ATO-GEN-410205" />
</rule>
<!-- xsd-datatype-VR.ATO.GEN.000407, 000408-->

<rule name="VR.ATO.GEN.000407" context="address1.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Line2.Text[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
<extends rule="VR-ATO-GEN-000407" />
<extends rule="VR-ATO-GEN-000408" />
</rule>
<!-- xsd-datatype-VR.ATO.GEN.000409, 000410-->

<rule name="VR.ATO.GEN.000409" context="address1.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.LocalityName.Text[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
<extends rule="VR-ATO-GEN-000409" />
<extends rule="VR-ATO-GEN-000410" />
<extends rule="VR-ATO-GEN-428230" />
</rule>

<rule context="address1.02.01:AddressDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:AddressDetails.Country.Code[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
<!--
        WHERE IN TUPLE(address1.xx.xx:AddressDetails)
        IF (pyde.xx.xx:AddressDetails.Country.Code <> NULLORBLANK) AND (pyde.xx.xx:AddressDetails.Country.Code <> SET(DOMAIN(COUNTRY CODES)))
        RETURN VALIDATION MESSAGE
        ENDIF
        -->

<let name="ucvalue" value="upper-case(.)" />


<assert  id="VR.ATO.GEN.000504" diagnostics="DVR.ATO.GEN.000504" test="@i:nil='true' or @i:nil='1' or
                    $ucvalue = 'AD' or
                    $ucvalue = 'AE' or
                    $ucvalue = 'AF' or
                    $ucvalue = 'AG' or
                    $ucvalue = 'AI' or
                    $ucvalue = 'AL' or
                    $ucvalue = 'AM' or
                    $ucvalue = 'AN' or
                    $ucvalue = 'AO' or
                    $ucvalue = 'AQ' or
                    $ucvalue = 'AR' or
                    $ucvalue = 'AS' or
                    $ucvalue = 'AT' or
                    $ucvalue = 'AU' or
                    $ucvalue = 'AW' or
                    $ucvalue = 'AX' or
                    $ucvalue = 'AZ' or
                    $ucvalue = 'BA' or
                    $ucvalue = 'BB' or
                    $ucvalue = 'BD' or
                    $ucvalue = 'BE' or
                    $ucvalue = 'BF' or
                    $ucvalue = 'BG' or
                    $ucvalue = 'BH' or
                    $ucvalue = 'BI' or
                    $ucvalue = 'BJ' or
                    $ucvalue = 'BL' or
                    $ucvalue = 'BM' or
                    $ucvalue = 'BN' or
                    $ucvalue = 'BO' or
                    $ucvalue = 'BR' or
                    $ucvalue = 'BS' or
                    $ucvalue = 'BT' or
                    $ucvalue = 'BV' or
                    $ucvalue = 'BW' or
                    $ucvalue = 'BY' or
                    $ucvalue = 'BZ' or
                    $ucvalue = 'CA' or
                    $ucvalue = 'CC' or
                    $ucvalue = 'CD' or
                    $ucvalue = 'CF' or
                    $ucvalue = 'CG' or
                    $ucvalue = 'CH' or
                    $ucvalue = 'CI' or
                    $ucvalue = 'CK' or
                    $ucvalue = 'CL' or
                    $ucvalue = 'CM' or
                    $ucvalue = 'CN' or
                    $ucvalue = 'CO' or
                    $ucvalue = 'CR' or
                    $ucvalue = 'CU' or
                    $ucvalue = 'CV' or
                    $ucvalue = 'CX' or
                    $ucvalue = 'CY' or
                    $ucvalue = 'CZ' or
                    $ucvalue = 'DE' or
                    $ucvalue = 'DJ' or
                    $ucvalue = 'DK' or
                    $ucvalue = 'DM' or
                    $ucvalue = 'DO' or
                    $ucvalue = 'DZ' or
                    $ucvalue = 'EC' or
                    $ucvalue = 'EE' or
                    $ucvalue = 'EG' or
                    $ucvalue = 'EH' or
                    $ucvalue = 'ER' or
                    $ucvalue = 'ES' or
                    $ucvalue = 'ET' or
                    $ucvalue = 'FI' or
                    $ucvalue = 'FJ' or
                    $ucvalue = 'FK' or
                    $ucvalue = 'FM' or
                    $ucvalue = 'FO' or
                    $ucvalue = 'FR' or
                    $ucvalue = 'GA' or
                    $ucvalue = 'GB' or
                    $ucvalue = 'GD' or
                    $ucvalue = 'GE' or
                    $ucvalue = 'GF' or
                    $ucvalue = 'GG' or
                    $ucvalue = 'GH' or
                    $ucvalue = 'GI' or
                    $ucvalue = 'GL' or
                    $ucvalue = 'GM' or
                    $ucvalue = 'GN' or
                    $ucvalue = 'GP' or
                    $ucvalue = 'GQ' or
                    $ucvalue = 'GR' or
                    $ucvalue = 'GS' or
                    $ucvalue = 'GT' or
                    $ucvalue = 'GU' or
                    $ucvalue = 'GW' or
                    $ucvalue = 'GY' or
                    $ucvalue = 'HK' or
                    $ucvalue = 'HM' or
                    $ucvalue = 'HN' or
                    $ucvalue = 'HR' or
                    $ucvalue = 'HT' or
                    $ucvalue = 'HU' or
                    $ucvalue = 'ID' or
                    $ucvalue = 'IE' or
                    $ucvalue = 'IL' or
                    $ucvalue = 'IM' or
                    $ucvalue = 'IN' or
                    $ucvalue = 'IO' or
                    $ucvalue = 'IQ' or
                    $ucvalue = 'IR' or
                    $ucvalue = 'IS' or
                    $ucvalue = 'IT' or
                    $ucvalue = 'JE' or
                    $ucvalue = 'JM' or
                    $ucvalue = 'JO' or
                    $ucvalue = 'JP' or
                    $ucvalue = 'KE' or
                    $ucvalue = 'KG' or
                    $ucvalue = 'KH' or
                    $ucvalue = 'KI' or
                    $ucvalue = 'KM' or
                    $ucvalue = 'KN' or
                    $ucvalue = 'KP' or
                    $ucvalue = 'KR' or
                    $ucvalue = 'KW' or
                    $ucvalue = 'KY' or
                    $ucvalue = 'KZ' or
                    $ucvalue = 'LA' or
                    $ucvalue = 'LB' or
                    $ucvalue = 'LC' or
                    $ucvalue = 'LI' or
                    $ucvalue = 'LK' or
                    $ucvalue = 'LR' or
                    $ucvalue = 'LS' or
                    $ucvalue = 'LT' or
                    $ucvalue = 'LU' or
                    $ucvalue = 'LV' or
                    $ucvalue = 'LY' or
                    $ucvalue = 'MA' or
                    $ucvalue = 'MC' or
                    $ucvalue = 'MD' or
                    $ucvalue = 'ME' or
                    $ucvalue = 'MF' or
                    $ucvalue = 'MG' or
                    $ucvalue = 'MH' or
                    $ucvalue = 'MK' or
                    $ucvalue = 'ML' or
                    $ucvalue = 'MM' or
                    $ucvalue = 'MN' or
                    $ucvalue = 'MO' or
                    $ucvalue = 'MP' or
                    $ucvalue = 'MQ' or
                    $ucvalue = 'MR' or
                    $ucvalue = 'MS' or
                    $ucvalue = 'MT' or
                    $ucvalue = 'MU' or
                    $ucvalue = 'MV' or
                    $ucvalue = 'MW' or
                    $ucvalue = 'MX' or
                    $ucvalue = 'MY' or
                    $ucvalue = 'MZ' or
                    $ucvalue = 'NA' or
                    $ucvalue = 'NC' or
                    $ucvalue = 'NE' or
                    $ucvalue = 'NF' or
                    $ucvalue = 'NG' or
                    $ucvalue = 'NI' or
                    $ucvalue = 'NL' or
                    $ucvalue = 'NO' or
                    $ucvalue = 'NP' or
                    $ucvalue = 'NR' or
                    $ucvalue = 'NU' or
                    $ucvalue = 'NZ' or
                    $ucvalue = 'OM' or
                    $ucvalue = 'PA' or
                    $ucvalue = 'PE' or
                    $ucvalue = 'PF' or
                    $ucvalue = 'PG' or
                    $ucvalue = 'PH' or
                    $ucvalue = 'PK' or
                    $ucvalue = 'PL' or
                    $ucvalue = 'PM' or
                    $ucvalue = 'PN' or
                    $ucvalue = 'PR' or
                    $ucvalue = 'PS' or
                    $ucvalue = 'PT' or
                    $ucvalue = 'PW' or
                    $ucvalue = 'PY' or
                    $ucvalue = 'QA' or
                    $ucvalue = 'RE' or
                    $ucvalue = 'RO' or
                    $ucvalue = 'RS' or
                    $ucvalue = 'RU' or
                    $ucvalue = 'RW' or
                    $ucvalue = 'SA' or
                    $ucvalue = 'SB' or
                    $ucvalue = 'SC' or
                    $ucvalue = 'SD' or
                    $ucvalue = 'SE' or
                    $ucvalue = 'SG' or
                    $ucvalue = 'SH' or
                    $ucvalue = 'SI' or
                    $ucvalue = 'SJ' or
                    $ucvalue = 'SK' or
                    $ucvalue = 'SL' or
                    $ucvalue = 'SM' or
                    $ucvalue = 'SN' or
                    $ucvalue = 'SO' or
                    $ucvalue = 'SR' or
                    $ucvalue = 'ST' or
                    $ucvalue = 'SV' or
                    $ucvalue = 'SY' or
                    $ucvalue = 'SZ' or
                    $ucvalue = 'TC' or
                    $ucvalue = 'TD' or
                    $ucvalue = 'TF' or
                    $ucvalue = 'TG' or
                    $ucvalue = 'TH' or
                    $ucvalue = 'TJ' or
                    $ucvalue = 'TK' or
                    $ucvalue = 'TL' or
                    $ucvalue = 'TM' or
                    $ucvalue = 'TN' or
                    $ucvalue = 'TO' or
                    $ucvalue = 'TR' or
                    $ucvalue = 'TT' or
                    $ucvalue = 'TV' or
                    $ucvalue = 'TW' or
                    $ucvalue = 'TZ' or
                    $ucvalue = 'UA' or
                    $ucvalue = 'UG' or
                    $ucvalue = 'UM' or
                    $ucvalue = 'US' or
                    $ucvalue = 'UY' or
                    $ucvalue = 'UZ' or
                    $ucvalue = 'VA' or
                    $ucvalue = 'VC' or
                    $ucvalue = 'VE' or
                    $ucvalue = 'VG' or
                    $ucvalue = 'VI' or
                    $ucvalue = 'VN' or
                    $ucvalue = 'VU' or
                    $ucvalue = 'WF' or
                    $ucvalue = 'WS' or
                    $ucvalue = 'YE' or
                    $ucvalue = 'YT' or
                    $ucvalue = 'ZA' or
                    $ucvalue = 'ZM' or
                    $ucvalue = 'ZW'"></assert>
</rule>
<!-- xsd-datatype-VR.ATO.GEN.428231, 000423, 410040, 410200, 410201 -->

<rule name="VR.ATO.GEN.410040" context="prsnstrcnm1.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.FamilyName.Text[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
<extends rule="VR-ATO-GEN-000423" />
<extends rule="VR-ATO-GEN-000427" />
<extends rule="VR-ATO-GEN-410040" />
<extends rule="VR-ATO-GEN-410200" />
<extends rule="VR-ATO-GEN-410201" />
<extends rule="VR-ATO-GEN-428231" />
</rule>
<!-- xsd-datatype-VR.ATO.GEN.00434, 000439, 410202 ,410203 ,410204 ,410063 -->

<rule name="VR.ATO.GEN.000434" context="prsnstrcnm1.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.GivenName.Text[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
<extends rule="VR-ATO-GEN-000434" />
<extends rule="VR-ATO-GEN-000439" />
<extends rule="VR-ATO-GEN-410202" />
<extends rule="VR-ATO-GEN-410203" />
<extends rule="VR-ATO-GEN-410204" />
<extends rule="VR-ATO-GEN-410063" />
</rule>
<!-- xsd-datatype-VR.ATO.GEN.00446, 410131, 410207, 410208, 410209 -->

<rule name="VR.ATO.GEN.000446" context="prsnstrcnm1.02.00:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.OtherGivenName.Text[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
<extends rule="VR-ATO-GEN-000446" />
<extends rule="VR-ATO-GEN-000451" />
<extends rule="VR-ATO-GEN-410207" />
<extends rule="VR-ATO-GEN-410208" />
<extends rule="VR-ATO-GEN-410209" />
</rule>
<!-- xsd-datatype-VR.ATO.GEN.000413, 000414, 000416, 000417, 410038, 410039, 410206 -->

<rule name="VR.ATO.GEN.000413" context="orgname1.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not((@i:nil='true' or @i:nil='1') or string-length(normalize-space(.)) = 0)]">
<extends rule="VR-ATO-GEN-000413" />
<extends rule="VR-ATO-GEN-000414" />
<extends rule="VR-ATO-GEN-000416" />
<extends rule="VR-ATO-GEN-000417" />
<extends rule="VR-ATO-GEN-410038" />
<extends rule="VR-ATO-GEN-410039" />
<extends rule="VR-ATO-GEN-410206" />
</rule>
</pattern>