﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Content" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>Content Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">

  <!-- 
            IF [FITR75] <> NULL AND [FITR75] <> ABSVALUE([FITR199] + [FITR69] - ([FITR201] + [FITR185] + [FITR74]))
                RETURN VALIDATION MESSAGE
            ENDIF 

            [FITR69] = FITR:RP:rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount
            [FITR74] = FITR:RP:rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount
            [FITR75] = FITR:RP:rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount
            [FITR185] = FITR:RP:rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
            [FITR199] = FITR:RP:rvctc1.02.01:IncomeTax.Payable.Amount
            [FITR201] = FITR:RP:rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount

        -->
  <assert id="VR.ATO.FITR.434271" diagnostics="DVR.ATO.FITR.434271"
          test="not(
                            rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            and
                            (
                                round(100 * sum(rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                !=

                                    round(100 * sum(rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    | rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                    -
                                    round(100 * sum(rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    | rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                    | rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))

                            )
                        )"/>
  
<!-- 
            IF ([FITR199] + [FITR69] - ([FITR201] + [FITR185] + [FITR74])) >= 0.50
            AND [FITR75] <> ROUNDDOWN (0.05, ([FITR199] + [FITR69] - ([FITR201] + [FITR185] + [FITR74])))
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR69] = FITR:RP:rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount
            [FITR74] = FITR:RP:rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount
            [FITR75] = FITR:RP:rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount
            [FITR185] = FITR:RP:rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
            [FITR199] = FITR:RP:rvctc1.02.01:IncomeTax.Payable.Amount
            [FITR201] = FITR:RP:rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount
        -->
<let name="commonSum434296" value="sum(($FITR199|$FITR69)) - (sum($FITR201|$FITR185|$FITR74))" />
<!-- 
            IF (RP:rvctc1.xx.xx:IncomeTax.PayableOrRefundableTotal.Amount < 0) AND
            COUNT TUPLE (fininstacc1.xx.xx:FinancialInstitutionAccount) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
<let name="part_a" value="
                    sum(
                        bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.04:Income.TrustDistributionUnfranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.04:Income.TrustDistributionFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                        |rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                        |bafpr1.02.00:Income.TrustDistributionOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])  
     " />
<!--
          IF (([FITR199] + [FITR69] - ([FITR201] + [FITR185] + [FITR74])) < 0.50 OR ([FITR199] + [FITR69] - ([FITR201] + [FITR185] + [FITR74])) > - 0.50)
          AND [FITR75] <> 0
            RETURN VALIDATION MESSAGE
          ENDIF

          [FITR69] = FITR:RP:rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount
          [FITR74] = FITR:RP:rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount
          [FITR75] = FITR:RP:rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount
          [FITR185] = FITR:RP:rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
          [FITR199] = FITR:RP:rvctc1.02.01:IncomeTax.Payable.Amount
          [FITR201] = FITR:RP:rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount
        -->
<let name="part_b" value="
                    sum(  
                        emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                        |emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                        |emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                   - sum(  
                        emsup.02.00:SuperannuationContribution.ContributionsExcludedByTrustee.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                        |emsup.02.00:SuperannuationContribution.ReducedContributions.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                        |emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])                 
     " />
<!-- 
            IF ([FITR199] + [FITR69] - ([FITR201] + [FITR185] + [FITR74])) < - 0.50
            AND [FITR75] <> ([FITR199] + [FITR69] - ([FITR201] + [FITR185] + [FITR74]))
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR69] = FITR:RP:rvctc4.02.00:InternationalDealings.AAMInterestSection102.Amount
            [FITR74] = FITR:RP:rvctc1.02.00:IncomeTax.LiabilityInstalmentsTotal.Amount
            [FITR75] = FITR:RP:rvctc1.02.03:IncomeTax.PayableOrRefundableTotal.Amount
            [FITR185] = FITR:RP:rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
            [FITR199] = FITR:RP:rvctc1.02.01:IncomeTax.Payable.Amount
            [FITR201] = FITR:RP:rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount
        -->
<let name="part_c" value="
                    sum(
                        bafpr1.02.09:Income.ForeignExchangeGains.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]   
                        |bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]  
                        |bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                   
     
     " />
<let name="part_d" value="
                    sum(
                        gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
     " />
<!--
        IF pyin.xx.xx:Report.Amendment.Indicator = TRUE 
        AND (
                pyin.xx.xx:Report.AmendmentSequence.Number = NULL 
                OR 
                pyin.xx.xx:Report.AmendmentType.Code = NULLORBLANK 
                OR 
                pyin.xx.xx:Report.AmendmentReason.Text = NULLORBLANK
            )
            
        RETURN VALIDATION MESSAGE
        ENDIF        
        -->
<let name="part_e" value="
                    sum(
                        bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |lrla.02.00:Remuneration.WagesandSalaries.Payments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.05:Expense.Investment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr2.02.10:Expense.Operating.ManagementExpense.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr2.02.09:Expense.Operating.AdministrativeExpense.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.09:Income.ForeignExchangeLosses.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        |rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
    
          " />
<!--
            IF pyin.xx.xx:Report.Amendment.Indicator <> TRUE 
            AND 
                (   pyin.xx.xx:Report.AmendmentSequence.Number <> NULL 
                    OR pyin.xx.xx:Report.AmendmentType.Code <> NULLORBLANK 
                    OR pyin.xx.xx:Report.AmendmentReason.Text <> NULLORBLANK
                )
            RETURN VALIDATION MESSAGE
            ENDIF
        -->
<let name="prev_year" value="if (pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])  then 
                                number(pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])-1
                           else 1900 "/>
<!--
            IF pyin.xx.xx:Report.AmendmentSequence.Number <> NULL 
                AND pyin.xx.xx:Report.AmendmentSequence.Number <> SET(1-9)
               RETURN VALIDATION MESSAGE
            ENDIF
        -->
<let name="curr_year"  value="if (pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])  then 
                                number(pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                           else 1900 "/>
<!--            
            IF (pyid.xx.xx:IdentifiersAustralianBusinessNumberIdentifer <> NULLORBLANK) 
                and (ABNALGORITHM(pyid.xx.xx:IdentifiersAustralianBusinessNumber.Identifer) = FALSE)
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
<let name="year_begin" value="xs:date(concat($prev_year, '-07-01'))" />
<!--
            IF emsup.xx.xx:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount > 0 
                AND rvctc1.xx.xx:IncomeTax.TaxableGross.Amount = 0
                RETURN VALIDATION MESSAGE
            ENDIF
        -->
<let name="year_end" value="xs:date(concat($curr_year, '-06-30'))" />
<!--
            IF [FITR65] < 0 AND ([FITR51] = 0 OR [FITR51] = NULL) AND ([FITR76] = 0 OR [FITR76] = NULL)  
                RETURN VALIDATION MESSAGE
            ENDIF^^
            [FITR65] = FITR:RP:Income.Taxable.Amount
            [FITR51] = FITR:RP:Expense.PensionIncomeExemptDeduction.Amount
            [FITR76] = FITR:RP.Closing:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount
        -->
<let name="status_date" value="pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<!--
        IF COUNT([FITR159]) > 1
        RETURN VALIDATION MESSAGE
        [FITR159] = FITR:INT:pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code IN TUPLE(organisationname1.xx.xx:OrganisationNameDetails )
        -->
<!--
        IF [FITR65] <> NULL AND ([FITR65] <> 

        ([FITR23] + [FITR24] + [FITR25] + [FITR26] + [FITR28] + [FITR29] + [FITR30] + [FITR32] + [FITR33] + [FITR34] + [FITR35] + [FITR36] + [FITR37] + [FITR38] + [FITR39] + [FITR40] + 
        ([FITR41] + [FITR42] + [FITR43] - [FITR44] - [FITR45] - [FITR46]) + [FITR186] + [FITR47] + [FITR49] + [FITR50])
        - [FITR200] - 
        ([FITR52] + [FITR53] + [FITR54] + [FITR55] + [FITR56] + [FITR130] + [FITR57] + [FITR58] + [FITR59] + [FITR190] + [FITR188] + [FITR61] + [FITR187] + [FITR62] + [FITR64]))
            RETURN VALIDATION MESSAGE
        ENDIF


        [FITR23] = FITR:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount    
        [FITR24] = FITR:RP:bafpr1.02.02:Income.RentLeasingHiringGross.Amount 
        [FITR25] = FITR:RP:bafpr2.02.02:Income.Interest.Gross.Amount 
        [FITR26] = FITR:RP:bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount 
        [FITR28] = FITR:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount 
        [FITR29] = FITR:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount 
        [FITR30] = FITR:RP:bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount 
        [FITR32] = FITR:RP:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount  
        [FITR33] = FITR:RP:bafpr1.02.02:Income.PartnershipDistributionGross.Amount 
        [FITR34] = FITR:RP:bafpr1.02.05:Income.DividendsUnfranked.Amount 
        [FITR35] = FITR:RP:bafpr1.02.00:Income.DividendsFranked.Amount  
        [FITR36] = FITR:RP:rvctc1.02.03:IncomeTax.FrankingCredits.Amount   
        [FITR37] = FITR:RP:bafpr1.02.04:Income.TrustDistributionUnfranked.Amount  
        [FITR38] = FITR:RP:bafpr1.02.04:Income.TrustDistributionFranked.Amount   
        [FITR39] = FITR:RP:rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount   
        [FITR40] = FITR:RP:bafpr1.02.00:Income.TrustDistributionOther.Amount   
        [FITR41] = FITR:RP:emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount  
        [FITR42] = FITR:RP:emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount  
        [FITR43] = FITR:RP:emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount 
        [FITR44] = FITR:RP:emsup.02.00:SuperannuationContribution.ContributionsExcludedByTrustee.Amount  
        [FITR45] = FITR:RP:emsup.02.00:SuperannuationContribution.ReducedContributions.Amount     
        [FITR46] = FITR:RP:emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount  
        [FITR47] = FITR:RP:bafpr1.02.04:Income.Other.Amount  
        [FITR49] = FITR:RP:bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount  
        [FITR50] = FITR:RP:bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount  
        [FITR52] = FITR:RP.JAUS:bafpr1.02.05:Expense.Interest.Amount  
        [FITR53] = FITR:RP.JFOREIGN:bafpr1.02.05:Expense.Interest.Amount  
        [FITR54] = FITR:RP:lrla.02.00:Remuneration.WagesandSalaries.Payments.Amount  
        [FITR55] = FITR:RP:bafpr1.02.02:Expense.CapitalWorksDeduction.Amount   
        [FITR56] = FITR:RP:bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount  
        [FITR57] = FITR:RP:bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount  
        [FITR58] = FITR:RP:bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount 
        [FITR59] = FITR:RP:bafpr1.02.05:Expense.Investment.Amount  
        [FITR61] = FITR:RP:bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount  
        [FITR62] = FITR:RP:bafpr1.02.04:Expense.DeductibleOther.Amount  
        [FITR64] = FITR:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount  
        [FITR65] = FITR:RP:bafpr1.02.02:Income.Taxable.Amount  
        [FITR186] = FITR:RP:bafpr1.02.09:Income.ForeignExchangeGains.Amount   
        [FITR187] = FITR:RP:bafpr1.02.09:Income.ForeignExchangeLosses.Amount  
        [FITR188] = FITR:RP:bafpr2.02.09:Expense.Operating.AdministrativeExpense.Amount 
        [FITR190] = FITR:RP:bafpr2.02.10:Expense.Operating.ManagementExpense.Amount  
        [FITR200] = FITR:RP:gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount  


        -->
<let name="curr_year_434024" value="number(pyin.02.00:Report.TargetFinancial.Year[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])" />
<let name="year_end_434024" value="concat($curr_year_434024, '-06-30')" />
<let name="base_date_434024" value="pyde.02.00:OrganisationDetails.Establishment.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')][1]" />
<let name="_434243_FITR43" value="sum(emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])" />
<let name="_434243_FITR181" value="sum(rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])" />
<let name="_434244_FITR43" value="sum(emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])" />
<let name="_434244_FITR181" value="sum(rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])" />

<!--
            IF [FITR65] > 0 AND [FITR66] <> NULL AND ([FITR66] < ([FITR65] * 0.15) - 1)  
                RETURN VALIDATION MESSAGE
            ENDIF
            [FITR65] = FITR:RP:Income.Taxable.Amount
            [FITR66] = FITR:RP:IncomeTax.TaxableGross.Amount
        -->

<assert  id="VR.ATO.GEN.432268" diagnostics="DVR.ATO.GEN.432268" test="not(
                        sum($FITR75) &lt; 0
                        and
                        count(fininstacc1.02.00:FinancialInstitutionAccount[not(@i:nil='true' or @i:nil='1')]) != 1
                    )"></assert>
<!--
            IF ([FITR43] = 0 OR [FITR43] = NULL) AND ([FITR65] = 0 OR [FITR65] = NULL) AND [FITR66] > 0
            RETURN VALIDATION MESSAGE
            ENDIF

            [FITR43] = FITR:RP:emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
            [FITR65] = FITR:RP:bafpr1.02.02:Income.Taxable.Amount
            [FITR66] = FITR:RP:rvctc1.02.01:IncomeTax.TaxableGross.Amount
        -->
<!-- Rule disabled
<assert  id="VR.ATO.FITR.434294" diagnostics="DVR.ATO.FITR.434294" test="not(     
                        abs
                        (
                        round(100 * (sum($FITR199 | $FITR69) - sum($FITR201 | $FITR185 | $FITR74)))
                        ) &lt; 50
                        
                        and
                        sum($FITR75) != 0 
               )"></assert>
               
-->               
<!-- Rule disabled
        Rule ID: VR.ATO.FITR.434102
        
        IF [FITR84] = FALSE AND (COUNT(TUPLE(fitr.0003.lodge.req.xx.xx:Transferee)) > 0) 
            RETURN VALIDATION MESSAGE
        ENDIF
        [FITR84] = FITR:RP:IncomeTax.Superannuation.TransferredAssessable.Indicator   
    

<assert  id="VR.ATO.FITR.434296" diagnostics="DVR.ATO.FITR.434296" test="not(
                            round(100 * $commonSum434296) &lt; round(100 * -0.5)
                            and
                            sum($FITR75) != $commonSum434296
                    )"></assert>
     -->                   
<!--
        Rule ID: VR.ATO.FITR.434100
        
        IF [FITR84] = True AND (COUNT(TUPLE(fitr.0003.lodge.req.xx.xx:Transferee)) = 0) 
            RETURN VALIDATION MESSAGE
        ENDIF
        [FITR84] = FITR:RP:IncomeTax.Superannuation.TransferredAssessable.Indicator   
        -->

<assert  id="VR.ATO.GEN.010028" diagnostics="DVR.ATO.GEN.010028" test="not(
                        pyin.02.07:Report.Amendment.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')]
                        and(
                            not(pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')])
                            or not(pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                            or not(pyin.02.08:Report.AmendmentReason.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0])
                            ))"></assert>
<!--
        Rule ID: VR.ATO.FITR.434103
        
        IF [FITR46] > 0 AND [FITR84] = FALSE 
            RETURN VALIDATION MESSAGE
        ENDIF^^
        [FITR46] = FITR:RP:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount
        [FITR84] = FITR:RP:IncomeTax.Superannuation.TransferredAssessable.Indicator     
        -->

<assert  id="VR.ATO.GEN.010029" diagnostics="DVR.ATO.GEN.010029" test="not(
                        not(pyin.02.07:Report.Amendment.Indicator[not(@i:nil='true' or @i:nil='1') and matches(.,'^(true|1)$')])
                        and(
                            pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]
                            or pyin.02.08:Report.AmendmentType.Code[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                            or pyin.02.08:Report.AmendmentReason.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) !=0]
                            ))"></assert>
<!--
        Rule ID: VR.ATO.FITR.434138
        
        IF [FITR137] = TRUE AND 
        ([FITR134] = NULL OR [FITR134] = 0) AND ([FITR135] = NULL OR [FITR135] = 0) AND ([FITR136] = NULL OR [FITR136] = 0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [FITR137] = FITR:RP:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
        [FITR134] = FITR:RP.TOFA:Income.GainsTotal.Amount
        [FITR135] = FITR:RP.TOFA:Expense.LossesTotal.Amount
        [FITR136] = FITR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount
        CMN.ATO.GEN.430170	A TOFA gain, loss or balancing adjustment amount must be present
        -->

<!--<assert  id="VR.ATO.GEN.010030" diagnostics="DVR.ATO.GEN.010030" test="not(
                       pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1')]
                       and not (matches(pyin.02.08:Report.AmendmentSequence.Number,'^(1|2|3|4|5|6|7|8|9)$'))
                     )"></assert>-->
    
    <assert  id="VR.ATO.GEN.010030" diagnostics="DVR.ATO.GEN.010030" test="not(
                       pyin.02.08:Report.AmendmentSequence.Number[not(@i:nil='true' or @i:nil='1') and not(matches(.,'^(1|2|3|4|5|6|7|8|9)$'))]
                     )"></assert>
<!--
        Rule ID: VR.ATO.FITR.434139
        
        IF [FITR137] <> TRUE AND ([FITR134] > 0 OR [FITR135] > 0 OR ([FITR136] <> 0 AND [FITR136] <> NULL))
        RETURN VALIDATION MESSAGE
        ENDIF
        
        [FITR137] = FITR:RP:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
        [FITR134] = FITR:RP.TOFA:Income.GainsTotal.Amount
        [FITR135] = FITR:RP.TOFA:Expense.LossesTotal.Amount
        [FITR136] = FITR:RP.TOFA:Income.BalancingAdjustmentTotal.Amount

        -->

<!--<assert  id="VR.ATO.GEN.434223" diagnostics="DVR.ATO.GEN.434223" 
         test="function:ValidateABN(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])
                    or count(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0"></assert>-->

    <assert  id="VR.ATO.GEN.434223" diagnostics="DVR.ATO.GEN.434223"
         test="pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and function:ValidateABN(.)]
                    or count(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0])=0"></assert>
<!--
        Rule ID: VR.ATO.FITR.434141
        
        IF ([FITR48] = ""T"" OR [FITR63] = ""T"") AND [FITR137] <> TRUE
        RETURN VALIDATION MESSAGE
        ENDIF
        [FITR48] = FITR:RP:Income.Other.Code
        [FITR63] = FITR:RP:Expense.DeductibleOther.Code
        [FITR137] = FITR:RP:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator
        -->

<assert  id="VR.ATO.GEN.434224" diagnostics="DVR.ATO.GEN.434224" test="not(
                            sum(emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0
                            and
                            sum(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        )"></assert>
<!--
        Rule ID: VR.ATO.FITR.434168
        
        IF COUNT([FITR86]) > 99
        RETURN VALIDATION MESSAGE
        ENDIF
        [FITR86] = FITR:RP:Identifiers.AustralianBusinessNumber.Identifier IN TUPLE(fitr.0003.lodge.req.xx.xx:Transferee)
        	CMN.ATO.FITR.434168
        -->

<assert  id="VR.ATO.FITR.434073" diagnostics="DVR.ATO.FITR.434073" test="not(
                         sum(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &lt; 0
                         and (
                            sum(gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            or
                            count(gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0 
                             )
                         and (
                            sum(rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                            or
                            count(rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef = $RP.Closing.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0  
                            )
                        )"></assert>
<!--
        Rule ID: VR.ATO.FITR.434229
        IF COUNT([FITR161]) > 1
          RETURN VALIDATION MESSAGE
        ENDIF
        [FITR161] = FITR:RP:pyin.xx.xx:Declaration.StatementType.Code IN TUPLE(declaration2.xx.xx:Declaration )

        -->

<assert  id="VR.ATO.FITR.323235" diagnostics="DVR.ATO.FITR.323235" test="not(count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/
                      pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 1)"></assert>
<!--
            Rule ID: VR.ATO.FITR.434231
            CMN.ATO.FITR.434231
            IF COUNT([FITR141]) <> 1
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR141] = FITR:RP:pyde.xx.xx:ElectronicContact.Telephone.Usage.Code IN TUPLE(electroniccontacttelephone1.xx.xx:ElectronicContactTelephone )
        -->

<assert  id="VR.ATO.FITR.434072" diagnostics="DVR.ATO.FITR.434072" test="not(
                bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                and
                round(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')][1] * 100)
                !=
                round(($part_a + $part_b + $part_c - $part_d - $part_e) * 100)
               )"></assert>
<!--
        IF COUNT TUPLE(RP:ElectronicContactElectronicMail1.xx.xx:ElectronicContactElectronicMail) > 1
            RETURN VALIDATION MESSAGE
        END IF
        -->

<assert  id="VR.ATO.FITR.434269" diagnostics="DVR.ATO.FITR.434269" test="not(
                           ( round(sum(($FITR184)) * 100) &gt;=  round(sum($FITR183) * 100) ) 
                           and 
                           ( round(sum(($FITR185)) * 100) != round(sum(($FITR184)) * 100) - round(sum($FITR183) * 100)  )
                        )"></assert>
<!--
        IF COUNT([FITR164]) > 1
          RETURN VALIDATION MESSAGE
        ENDIF^^
        [FITR164] = FITR:INT:pyin.xx.xx:Declaration.StatementType.Code IN TUPLE(declaration2.xx.xx:Declaration )        
        -->

<assert  id="VR.ATO.FITR.434074" diagnostics="DVR.ATO.FITR.434074" test="not(
                        sum(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                        and
                        (
                        round(100 * sum(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        &lt;
                        (round(100 * sum(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 0.15) - (100 * 1)
                        )                      
                    )"></assert>
<!--
        Rule ID: VR.ATO.FITR.434236
         IF COUNT([FITR156]) > 1
         RETURN VALIDATION MESSAGE
        [FITR156] = FITR:INT:pyde.xx.xx:ElectronicContact.Telephone.Usage.Code IN TUPLE(electroniccontacttelephone1.xx.xx:ElectronicContactTelephone )
        CMN.ATO.FITR.434236
        -->

<assert  id="VR.ATO.FITR.434075" diagnostics="DVR.ATO.FITR.434075" test="not(
                        sum(emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and
                        sum(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        and
                        sum(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0)"></assert>
<!--
        
        Rule ID: VR.ATO.FITR.434055
        
        IF [FITR48] <> NULL AND ([FITR47] = NULL OR [FITR47] = 0)
        RETURN VALIDATION MESSAGE
        ENDIF
        [FITR48] = FITR:RP:Income.Other.Code
        [FITR47] = FITR:RP:Income.Other.Amount
        CMN.ATO.GEN.434055	
        -->

<assert  id="VR.ATO.FITR.434102" diagnostics="DVR.ATO.FITR.434102" test="not(     
                    rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                    and count(fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]) &gt; 0
                )"></assert>
<!--
        Rule ID: VR.ATO.FITR.434079
        
        IF [FITR70] <> NULL AND [FITR70] < 0.50  
        RETURN VALIDATION MESSAGE
        ENDIF
        [FITR70] = FITR:RP:Income.Interest.EarlyPaymentCredit.Amount
        CMN.ATO.GEN.434079	
        -->

<assert  id="VR.ATO.FITR.434100" diagnostics="DVR.ATO.FITR.434100" test="not(     
                    rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='TRUE' or .='1')]
                    and count(fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]) = 0
                )"></assert>
<!--
        Rule ID: VR.ATO.FITR.434110
        
        IF [FITR91] = TRUE AND [FITR90] = FALSE
        RETURN VALIDATION MESSAGE
        ENDIF
        [FITR91] = FITR:RP:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
        [FITR90] = FITR:RP:InternationalDealings.RelatedPartiesTransactions.Indicator
        CMN.ATO.GEN.434110
        -->

<assert  id="VR.ATO.FITR.434103" diagnostics="DVR.ATO.FITR.434103" test="not(     
                    sum(emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    and
                    rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and matches(.,'^(false|0)$')]
                )"></assert>
<!--
            IF ([FITR78] > 0 OR [FITR79] > 0 OR [FITR80] > 0) AND [FITR92] = FALSE
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR78] = FITR:RP.CFCLC:Income.InternationalDealings.Attributed.Amount
            [FITR79] = FITR:RP.CFC404:Income.InternationalDealings.Attributed.Amount
            [FITR80] = FITR:RP.CFCUC:Income.InternationalDealings.Attributed.Amount
            [FITR92] = FITR:RP:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator
        -->

<assert  id="VR.ATO.FITR.434138" diagnostics="DVR.ATO.FITR.434138" test="not(
               rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='TRUE' or .='1']
               and(
                    sum(bafpr1.02.04:Income.GainsTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] )=0
                    and sum(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] )=0
                    and sum(bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')])=0
                  ))"></assert>
<!--
			IF CONTEXT(INT) = NULL AND RP:pyid.xx.xx:Identifiers.AustralianBusinessNumber.Identifier = NULLORBLANK
				RETURN VALIDATION MESSAGE
			ENDIF
        -->

<assert  id="VR.ATO.FITR.434139" diagnostics="DVR.ATO.FITR.434139" test="not(
                        not(rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='TRUE' or .='1'])
                        and
                        (
                            sum(bafpr1.02.04:Income.GainsTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] ) &gt; 0
                            or 
                            sum(bafpr1.02.04:Expense.LossesTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] )  &gt; 0
                            or 
                            sum(bafpr1.02.05:Income.BalancingAdjustmentTotal.Amount[@contextRef = $RP.TOFA.ContextId and not(@i:nil='true' or @i:nil='1')] ) != 0
                        )
                       )"></assert>
<!--
        Rule ID: VR.ATO.FITR.434123
        
        IF [FITR96] = TRUE AND [FITR97] = NULL
        RETURN VALIDATION MESSAGE
        ENDIF
        [FITR96] = FITR:RP:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionWhichRequiresCertificate.Indicator
        [FITR97] = FITR:RP:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionCertificateObtained.Indicator
        CMN.ATO.FITR.434123
        -->

<assert  id="VR.ATO.FITR.434141" diagnostics="DVR.ATO.FITR.434141" test="not((bafpr1.02.05:Income.Other.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='T']
                        or bafpr1.02.04:Expense.DeductibleOther.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='T'])
                        and not(rvctc1.02.01:IncomeTax.FinancialArrangementRelatedGainLossOrBalancingAdjustmentsSubjectToTOFARules.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='TRUE' or .='1']))"></assert>
<!--
        Rule ID: VR.ATO.FITR.434124

        IF [FITR96] = FALSE AND [FITR97] <> NULL
        RETURN VALIDATION MESSAGE
        ENDIF
        [FITR96] = FITR:RP:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionWhichRequiresCertificate.Indicator
        [FITR97] = FITR:RP:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionCertificateObtained.Indicator
        CMN.ATO.FITR.434124
        -->

<assert  id="VR.ATO.FITR.434168" diagnostics="DVR.ATO.FITR.434168" test="not(count(fitr.0003.lodge.req.02.00:Transferee/pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier) &gt; 99)"></assert>
<!--        
            IF (pyin.xx.xx:Report.TargetFinancial.Year <> NULL) AND (pyin.xx.xx:Report.TargetFinancial.Year <> 2014)
               RETURN VALIDATION MESSAGE
            ENDIF

        -->

<assert  id="VR.ATO.FITR.434229" diagnostics="DVR.ATO.FITR.434229" test="count(declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.03:Declaration.StatementType.Code[@contextRef = $RP.ContextId ])&lt;= 1"></assert>
<!--
            IF [FITR36] > 0 AND (([FITR35] * 0.48) < ([FITR36] - 1)) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR36] = FITR:RP:IncomeTax.FrankingCredits.Amount (rvctc1.02.03)
            [FITR35] = FITR:RP:Income.DividendsFranked.Amount (bafpr1.02.00)
        -->

<assert  id="VR.ATO.FITR.434231" diagnostics="DVR.ATO.FITR.434231" test="count(phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/
                pyde.02.00:ElectronicContact.Telephone.Usage.Code[@contextRef = $RP.ContextId ])= 1"></assert>
<!--
        Rule ID: VR.ATO.FITR.434051
        
        IF [FITR35] > 0 AND [FITR36] = NULL 
            RETURN VALIDATION MESSAGE
        ENDIF
        
        [FITR35] = FITR:RP:Income.DividendsFranked.Amount
        [FITR36] = FITR:RP:IncomeTax.FrankingCredits.Amount
        -->

<assert  id="VR.ATO.FITR.434232" diagnostics="DVR.ATO.FITR.434232" test="not
                (
                    count(email1.02.00:ElectronicContactElectronicMail[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.ElectronicMail.Usage.Code[@contextRef = $RP.ContextId ])&gt; 1
                )"></assert>
<!--
        Rule ID: VR.ATO.FITR.434053
        
        IF [FITR46] > ([FITR41] + [FITR42])  
            RETURN VALIDATION MESSAGE
        ENDIF
        
        [FITR46] = FITR:RP:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount
        [FITR41] = FITR:RP:SuperannuationContribution.EmployerAssessable.Amount emsup.02.01
        [FITR42] = FITR:RP:SuperannuationContribution.PersonalAssessable.Amount emsup.02.01
        -->

<assert  id="VR.ATO.FITR.434233" diagnostics="DVR.ATO.FITR.434233" test="count(declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/pyin.02.03:Declaration.StatementType.Code[@contextRef = $INT.ContextId ])&lt;= 1"></assert>
<!--
        Rule ID: VR.ATO.FITR.434054
        
        IF [FITR84] = TRUE AND ([FITR46] = 0 OR [FITR46] = NULL) 
            RETURN VALIDATION MESSAGE
        ENDIF 
        
        [FITR84] = FITR:RP:IncomeTax.Superannuation.TransferredAssessable.Indicator
        [FITR46] = FITR:RP:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount
        -->

<assert  id="VR.ATO.FITR.434236" diagnostics="DVR.ATO.FITR.434236" test="count(phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:ElectronicContact.Telephone.Usage.Code[@contextRef = $INT.ContextId ])&lt;= 1"></assert>
<!--
            Rule ID: VR.ATO.FITR.434035
            
            IF [FITR23] > 0 AND [FITR21] = FALSE  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR23] = FITR:RP:Income.CapitalGainsNet.Amount
            [FITR21] = FITR:RP:CapitalGainsTax.Event.Indicator
        -->

<assert  id="VR.ATO.FITR.434055" diagnostics="DVR.ATO.FITR.434055" test="not(bafpr1.02.05:Income.Other.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                      and (not(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                      or sum(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0))"></assert>
<!-- 
            IF [FITR200] > 
                ([FITR23] + [FITR24] + [FITR25] + [FITR26] + [FITR28] + [FITR29] + [FITR30] + [FITR32] + [FITR33] + [FITR34] + [FITR35] + [FITR36] + [FITR37] + [FITR38] + [FITR39] + [FITR40] + [FITR41] + [FITR42] + [FITR43]
                - [FITR44] - [FITR45] - [FITR46] 
                + [FITR186] + [FITR47] + [FITR49] + [FITR50])  
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR23] = FITR:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [FITR24] = FITR:RP:bafpr1.02.02:Income.RentLeasingHiringGross.Amount
            [FITR25] = FITR:RP:bafpr2.02.02:Income.Interest.Gross.Amount
            [FITR26] = FITR:RP:bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount
            [FITR28] = FITR:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [FITR29] = FITR:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [FITR30] = FITR:RP:bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount
            [FITR32] = FITR:RP:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [FITR33] = FITR:RP:bafpr1.02.02:Income.PartnershipDistributionGross.Amount
            [FITR34] = FITR:RP:bafpr1.02.05:Income.DividendsUnfranked.Amount
            [FITR35] = FITR:RP:bafpr1.02.00:Income.DividendsFranked.Amount
            [FITR36] = FITR:RP:rvctc1.02.03:IncomeTax.FrankingCredits.Amount
            [FITR37] = FITR:RP:bafpr1.02.04:Income.TrustDistributionUnfranked.Amount
            [FITR38] = FITR:RP:bafpr1.02.04:Income.TrustDistributionFranked.Amount
            [FITR39] = FITR:RP:rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount
            [FITR40] = FITR:RP:bafpr1.02.00:Income.TrustDistributionOther.Amount
            [FITR41] = FITR:RP:emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount
            [FITR42] = FITR:RP:emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount
            [FITR43] = FITR:RP:emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
            [FITR44] = FITR:RP:emsup.02.00:SuperannuationContribution.ContributionsExcludedByTrustee.Amount
            [FITR45] = FITR:RP:emsup.02.00:SuperannuationContribution.ReducedContributions.Amount
            [FITR46] = FITR:RP:emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount
            [FITR47] = FITR:RP:bafpr1.02.04:Income.Other.Amount
            [FITR49] = FITR:RP:bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount
            [FITR50] = FITR:RP:bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount
            [FITR186] = FITR:RP:bafpr1.02.09:Income.ForeignExchangeGains.Amount
            [FITR200] = FITR:RP:gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount            
            
        -->

<assert  id="VR.ATO.FITR.434079" diagnostics="DVR.ATO.FITR.434079" test="not(
                         $FITR70 
                         and 
                         round(100 * sum($FITR70)) &lt; (100 * 0.5)
                         )"></assert>
<!-- 
                        
            IF [FITR200] = ([FITR23] + [FITR24] + [FITR25] + [FITR26] + [FITR28] + [FITR29] + [FITR30] + 
            [FITR32] + [FITR33] + [FITR34] + [FITR35] + [FITR36] + [FITR37] + [FITR38] + [FITR39] + 
            [FITR40] + [FITR41] + [FITR42] + [FITR43] - [FITR44] - [FITR45] - [FITR46] + [FITR186] + 
            [FITR47] + [FITR49] + [FITR50]) AND ([FITR52] > 0 OR [FITR53] > 0 OR [FITR54] > 0 OR 
            [FITR55] > 0 OR [FITR56] > 0 OR [FITR57] > 0 OR [FITR58] > 0 OR [FITR59] > 0 OR [FITR190] > 0 OR 
            [FITR188] > 0 OR [FITR61] > 0  OR [FITR187] > 0 OR [FITR62] > 0 OR [FITR64] > 0)  
                RETURN VALIDATION MESSAGE
            ENDIF

            [FITR23] = FITR:RP:bafpr1.02.00:Income.CapitalGainsNet.Amount
            [FITR24] = FITR:RP:bafpr1.02.02:Income.RentLeasingHiringGross.Amount
            [FITR25] = FITR:RP:bafpr2.02.02:Income.Interest.Gross.Amount
            [FITR26] = FITR:RP:bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount
            [FITR28] = FITR:RP.JFOREIGN:bafpr1.02.09:Income.Net.Amount
            [FITR29] = FITR:RP:rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount
            [FITR30] = FITR:RP:bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount
            [FITR32] = FITR:RP:lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount
            [FITR33] = FITR:RP:bafpr1.02.02:Income.PartnershipDistributionGross.Amount
            [FITR34] = FITR:RP:bafpr1.02.05:Income.DividendsUnfranked.Amount
            [FITR35] = FITR:RP:bafpr1.02.00:Income.DividendsFranked.Amount
            [FITR36] = FITR:RP:rvctc1.02.03:IncomeTax.FrankingCredits.Amount
            [FITR37] = FITR:RP:bafpr1.02.04:Income.TrustDistributionUnfranked.Amount
            [FITR38] = FITR:RP:bafpr1.02.04:Income.TrustDistributionFranked.Amount
            [FITR39] = FITR:RP:rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount
            [FITR40] = FITR:RP:bafpr1.02.00:Income.TrustDistributionOther.Amount
            [FITR41] = FITR:RP:emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount
            [FITR42] = FITR:RP:emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount
            [FITR43] = FITR:RP:emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
            [FITR44] = FITR:RP:emsup.02.00:SuperannuationContribution.ContributionsExcludedByTrustee.Amount
            [FITR45] = FITR:RP:emsup.02.00:SuperannuationContribution.ReducedContributions.Amount
            [FITR46] = FITR:RP:emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount
            [FITR47] = FITR:RP:bafpr1.02.04:Income.Other.Amount
            [FITR49] = FITR:RP:bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount
            [FITR50] = FITR:RP:bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount
            [FITR52] = FITR:RP.JAUS:bafpr1.02.05:Expense.Interest.Amount
            [FITR53] = FITR:RP.JFOREIGN:bafpr1.02.05:Expense.Interest.Amount
            [FITR54] = FITR:RP:lrla.02.00:Remuneration.WagesandSalaries.Payments.Amount
            [FITR55] = FITR:RP:bafpr1.02.02:Expense.CapitalWorksDeduction.Amount
            [FITR56] = FITR:RP:bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount
            [FITR57] = FITR:RP:bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount
            [FITR58] = FITR:RP:bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount
            [FITR59] = FITR:RP:bafpr1.02.05:Expense.Investment.Amount
            [FITR61] = FITR:RP:bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount
            [FITR62] = FITR:RP:bafpr1.02.04:Expense.DeductibleOther.Amount
            [FITR64] = FITR:RP:rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount
            [FITR186] = FITR:RP:bafpr1.02.09:Income.ForeignExchangeGains.Amount
            [FITR187] = FITR:RP:bafpr1.02.09:Income.ForeignExchangeLosses.Amount
            [FITR188] = FITR:RP:bafpr2.02.09:Expense.Operating.AdministrativeExpense.Amount
            [FITR190] = FITR:RP:bafpr2.02.10:Expense.Operating.ManagementExpense.Amount
            [FITR200] = FITR:RP:gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount
        -->

<assert  id="VR.ATO.FITR.434110" diagnostics="DVR.ATO.FITR.434110" test="not(rvctc4.02.05:InternationalDealings.RelatedPartiesTransactionsExcessAggregateValue.Indicator
                                [(upper-case(.)='TRUE' or .='1') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                              and
                              rvctc4.02.05:InternationalDealings.RelatedPartiesTransactions.Indicator
                                [(upper-case(.)='FALSE' or .='0') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])"></assert>
<!--
            Rule ID: VR.ATO.FITR.434068
            
            IF ([FITR62] = 0 OR [FITR62] = NULL) AND [FITR63] <> NULL
                RETURN VALIDATION MESSAGE
            ENDIF^^
            [FITR62] = FITR:RP:Expense.DeductibleOther.Amount
            [FITR63] = FITR:RP:Expense.DeductibleOther.Code
        -->

<assert  id="VR.ATO.FITR.434119" diagnostics="DVR.ATO.FITR.434119" test="not(
                            (
                                  sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCLC.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0
                               or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFC404.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                               or sum(bafpr3.02.02:Income.InternationalDealings.Attributed.Amount[@contextRef = $RP.CFCUC.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0
                             )
                         and rvctc4.02.03:InternationalDealings.DirectOrIndirectOverseasInterest.Indicator[(upper-case(.)='FALSE' or .='0') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                      )"></assert>
<!--
            Rule ID: VR.ATO.FITR.434069
            
            IF [FITR62] > 0 AND [FITR63] = NULLORBLANK  
                RETURN VALIDATION MESSAGE
            ENDIF^^
            [FITR62] = FITR:RP:Expense.DeductibleOther.Amount
            [FITR63] = FITR:RP:Expense.DeductibleOther.Code
        -->

<assert  id="VR.ATO.GEN.432417" diagnostics="DVR.ATO.GEN.432417" test="$INT.ContextId
                      or
                      pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            Rule ID: VR.ATO.FITR.434026
            
            IF [FITR19] = TRUE AND [FITR20] = NULL  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR19] = FITR:RP:OrganisationDetails.OperationCease.Indicator
            [FITR20] = FITR:RP:OrganisationDetails.OrganisationActivityStatusEnd.Date
        -->

<assert  id="VR.ATO.FITR.434123" diagnostics="DVR.ATO.FITR.434123" test="not(rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionWhichRequiresCertificate.Indicator
                                [(upper-case(.)='TRUE' or .='1') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                              and not(rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionCertificateObtained.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))"></assert>
<!--
            IF COUNT([FITR153]) > 1
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR153] = FITR:INT:PersonNameDetails.PersonNameType.Code 
            WHERE 
            (
                    (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Usage.Code = "Contact") 
                AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:PersonNameDetails.Currency.Code = "C")
            ) 
            IN TUPLE(personstructuredname3.xx.xx:PersonNameDetails)
        -->

<assert  id="VR.ATO.FITR.434124" diagnostics="DVR.ATO.FITR.434124" test="not(rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionWhichRequiresCertificate.Indicator
                                [(upper-case(.)='FALSE' or .='0') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                              and rvctc2.02.00:IncomeTax.Deduction.ClaimedDeathOrDisabilityDeductionCertificateObtained.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])"></assert>
<!--
            Rule ID: VR.ATO.FITR.434041
            
            IF [FITR27] <> NULL AND [FITR27] < [FITR28]  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR27] = FITR:RP.JForeign:Income.Gross.Amount
            [FITR28] = FITR:RP.JForeign:Income.Net.Amount
        -->

<assert  id="VR.ATO.FITR.434237" diagnostics="DVR.ATO.FITR.434237" test="not(
                            pyin.02.00:Report.TargetFinancial.Year
                                [@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and . != 2014] 
                         )"></assert>
<!--
            Rule ID: VR.ATO.FITR.434042
            
            IF [FITR28] > 0 AND [FITR27] = NULL  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR28] = FITR:RP.JForeign:Income.Net.Amount
            [FITR27] = FITR:RP.JForeign:Income.Gross.Amount
        -->

<assert  id="VR.ATO.FITR.434050" diagnostics="DVR.ATO.FITR.434050" test="not(
                        rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] &gt; 0
                        and
                        (
                            round(sum(
                                bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ) * 0.48) * 100 
                            &lt;
                            round(sum(
                                rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ) - 1) * 100
                        )
                      )"></assert>
<!--
            IF [FITR30] > 0 AND [FITR31] = NULL 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR30] = FITR:RP:Equity.InternationalDealings.ForeignFundTransfers.Amount
            [FITR31] = FITR:RP:InternationalDealings.ForeignFundTransfers.Count
        -->

<assert  id="VR.ATO.FITR.434051" diagnostics="DVR.ATO.FITR.434051" test="not(
                    sum(bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])  &gt; 0
                    and not(rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                 )"></assert>
<!--
            Rule ID: VR.ATO.FITR.434082
            
            IF [FITR32] > 0 AND [FITR72] = NULL  
              RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR32] = FITR:RP:Remuneration.ABNNotQuotedPaymentGross.Amount
            [FITR72] = FITR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount
        -->

<assert  id="VR.ATO.FITR.434053" diagnostics="DVR.ATO.FITR.434053" test="not(
                            round(100 * sum(emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                            &gt;
                            (
                              round(100 * sum(emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] | emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            )
                        )"></assert>
<!--
            IF [FITR47] > 0 AND [FITR48] = NULLORBLANK
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR47] = FITR:RP:Income.Other.Amount
            [FITR48] = FITR:RP:Income.Other.Code
        -->

<assert  id="VR.ATO.FITR.434054" diagnostics="DVR.ATO.FITR.434054" test="not(
                        rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='TRUE' or .='1')]
                        and 
                        (
                         sum(emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0 
                         or 
                         count(emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        )
                 )"></assert>
<!--
            Rule ID: VR.ATO.FITR.434071
            
            IF ([FITR15] = FALSE OR [FITR14] = "138") AND [FITR65] > 0 AND [FITR66] < ([FITR65] * 0.45)  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR15] = FITR:RP:emsup.xx.xx:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator
            [FITR14] = FITR:RP:pyde.xx.xx:Party.Type.Code
            [FITR65] = FITR:RP:bafpr1.xx.xx:Income.Taxable.Amount
            [FITR66] = FITR:RP:rvctc1.xx.xx:IncomeTax.TaxableGross.Amount
        -->

<assert  id="VR.ATO.FITR.434035" diagnostics="DVR.ATO.FITR.434035" test="not(
                    sum(bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    and
                    rvctc3.02.00:CapitalGainsTax.Event.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='FALSE' or .='0')]
                )"></assert>
<!--
            Rule ID: VR.ATO.FITR.434145
            
            IF [FITR20] < (([FITR1] - 1)&"-07-01") OR [FITR20] > ([FITR1]&"-06-30")
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR20] = FITR:RP:OrganisationDetails.OrganisationActivityStatusEnd.Date
            [FITR1] = FITR:RP:Report.TargetFinancial.Year
        -->

<assert  id="VR.ATO.FITR.434059" diagnostics="DVR.ATO.FITR.434059" test="not(
                         round(100 * sum( gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                         &gt;
                         (
                         round(100 * sum( 
                           bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]                       
                           |bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                           |bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                           |bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                           |bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]
                           |rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                           |bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                           |lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                           |bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                           |bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                           |bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                           |rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                           |bafpr1.02.04:Income.TrustDistributionUnfranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                           |bafpr1.02.04:Income.TrustDistributionFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                           |rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                           |bafpr1.02.00:Income.TrustDistributionOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                           |emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                           |emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                           |emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                            ))
                        -  round(100 * sum(  
                            emsup.02.00:SuperannuationContribution.ContributionsExcludedByTrustee.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                 |emsup.02.00:SuperannuationContribution.ReducedContributions.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                 |emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                ))
                        + round(100 * sum(   
                           bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] 
                                 |bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                 |bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                 |bafpr1.02.09:Income.ForeignExchangeGains.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                                ))
                        )                         
                 )"></assert>

<assert  id="VR.ATO.FITR.434060" diagnostics="DVR.ATO.FITR.434060" test="not(                        
                          count(gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0 
                          and
                          round(100 * sum(gfagc.02.04:TaxConcession.PensionIncomeExemptDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                          =
                          (
                           round(100 * sum(
                           bafpr1.02.00:Income.CapitalGainsNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|                           
                           bafpr1.02.02:Income.RentLeasingHiringGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           bafpr2.02.02:Income.Interest.Gross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           bafpr1.02.02:Income.ForestryManagedInvestmentScheme.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           rvctc2.02.00:IncomeTax.FrankingCredits.ReceivedFromNewZealandCompanies.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           bafpr1.02.05:Income.DividendsUnfranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           bafpr1.02.00:Income.DividendsFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           rvctc1.02.03:IncomeTax.FrankingCredits.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           bafpr1.02.04:Income.TrustDistributionUnfranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           bafpr1.02.04:Income.TrustDistributionFranked.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           rvctc2.02.00:IncomeTax.FrankingCredits.FrankingCreditShareReceivedIndirectly.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           bafpr1.02.00:Income.TrustDistributionOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           emsup.02.01:SuperannuationContribution.EmployerAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           emsup.02.02:SuperannuationContribution.PersonalAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                           -                            
                           round(100 * sum(
                           emsup.02.00:SuperannuationContribution.ContributionsExcludedByTrustee.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           emsup.02.00:SuperannuationContribution.ReducedContributions.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           emsup.02.01:SuperannuationContribution.LiabilityTransferToLifeInsuranceCompanyOrPooledSuperannuationTrustAssessable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                           +
                           round(100 * sum(
                           bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           bafpr1.02.04:Income.AssessableIncomeDueToFundTaxStatusChange.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                           bafpr1.02.04:Income.NonArmsLengthOtherNet.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                           bafpr1.02.09:Income.ForeignExchangeGains.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                           
                        ) 
                        and round(100 * sum(
                            bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JAUS.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            bafpr1.02.05:Expense.Interest.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]| 
                            lrla.02.00:Remuneration.WagesandSalaries.Payments.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpr1.02.02:Expense.CapitalWorksDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpr1.02.15:Expense.DepreciationAllowableDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpr1.02.05:Expense.PremiumsDeathOrDisability.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpr1.02.05:Expense.DeathBenefitLumpSumIncrease.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpr1.02.05:Expense.Investment.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpr2.02.10:Expense.Operating.ManagementExpense.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpr2.02.09:Expense.Operating.AdministrativeExpense.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpr1.02.02:Expense.ForestryManagedInvestmentSchemeDeduction.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpr1.02.09:Income.ForeignExchangeLosses.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|
                            rvctc2.02.00:IncomeTax.Deduction.TaxLossesDeducted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) &gt; 0
                 )"></assert>

<assert  id="VR.ATO.FITR.434068" diagnostics="DVR.ATO.FITR.434068" test="not(
                        (sum(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                        or
                        count(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0)
                        and
                        count(bafpr1.02.04:Expense.DeductibleOther.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                     )"></assert>

<assert  id="VR.ATO.FITR.434069" diagnostics="DVR.ATO.FITR.434069" test="not(
                        sum(bafpr1.02.04:Expense.DeductibleOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        count(bafpr1.02.04:Expense.DeductibleOther.Code[@contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')]) = 0
                     )"></assert>

<assert  id="VR.ATO.FITR.434026" diagnostics="DVR.ATO.FITR.434026" test="not(
                    pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='TRUE' or .='1')]
                    and
                    count(pyde.02.00:OrganisationDetails.OrganisationActivityStatusEnd.Date[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                )"></assert>
    <!--
        IF COUNT([FITR153]) > 1
        RETURN VALIDATION MESSAGE
        ENDIF
        [FITR153] = FITR:INT:pyde.02.00:PersonNameDetails.PersonNameType.Code WHERE (pyde.02.00:PersonNameDetails.PersonNameType.Code = "LGL" AND pyde.02.05:PersonNameDetails.Usage.Code = "Contact" AND pyde.02.00:PersonNameDetails.Currency.Code = "C") IN TUPLE(prsnstrcnm3.02.01:PersonNameDetails)
    -->
    <assert  id="VR.ATO.FITR.434234" diagnostics="DVR.ATO.FITR.434234"
             test="not(
                        count(prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:PersonNameDetails.PersonNameType.Code
                        [@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1')
                        and upper-case(../pyde.02.05:PersonNameDetails.Usage.Code[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'CONTACT'
                        and upper-case(../pyde.02.00:PersonNameDetails.Currency.Code[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1')]) = 'C'
                        and upper-case(.)='LGL']) &gt; 1
                      )"/>
    
<!--
            Rule ID: VR.ATO.FITR.434081
            
            IF [FITR71] > 0 AND ([FITR33] = NULL AND [FITR40] = NULL AND [FITR47] = NULL) 
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR71] = FITR:RP:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
            [FITR33] = FITR:RP:Income.PartnershipDistributionGross.Amount
            [FITR40] = FITR:RP:Income.TrustDistributionOther.Amount
            [FITR47] = FITR:RP:Income.Other.Amount
        -->

<assert  id="VR.ATO.FITR.434041" diagnostics="DVR.ATO.FITR.434041" test="not(
                    count(bafpr1.02.04:Income.Gross.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    and
                    round(100 * sum((bafpr1.02.04:Income.Gross.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]))) &lt; round(100 * sum(bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]))
                )"></assert>
<!--
            Rule ID: VR.ATO.FITR.434022
            
            IF [FITR19] = TRUE AND [FITR17] <> 0  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR19] = FITR:RP:OrganisationDetails.OperationCease.Indicator
            [FITR17] = FITR:RP:OrganisationControl.RegisteredMembers.Count
        -->

<assert  id="VR.ATO.FITR.434042" diagnostics="DVR.ATO.FITR.434042" test="not(
                    sum(bafpr1.02.09:Income.Net.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    and
                    count(bafpr1.02.04:Income.Gross.Amount[@contextRef = $RP.JFOREIGN.ContextId and not(@i:nil='true' or @i:nil='1')]) = 0
                )"></assert>
<!--
            Rule ID: VR.ATO.FITR.434024
            
            IF [FITR18] > ([FITR1]&"-06-30")  
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR18] = FITR:RP:OrganisationDetails.Establishment.Date
            [FITR1] = FITR:RP:Report.TargetFinancial.Year
        -->

<assert  id="VR.ATO.FITR.434043" diagnostics="DVR.ATO.FITR.434043" test="not(
                    sum(bafot.02.05:Equity.InternationalDealings.ForeignFundTransfers.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    and
                    not(rvctc4.02.00:InternationalDealings.ForeignFundTransfers.Count[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                )"></assert>

<assert  id="VR.ATO.FITR.434082" diagnostics="DVR.ATO.FITR.434082" test="not(
                    sum(lrla.02.00:Remuneration.ABNNotQuotedPaymentGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    and
                    not(rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                 )"></assert>

<assert  id="VR.ATO.FITR.434058" diagnostics="DVR.ATO.FITR.434058" test="not(
                        sum(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        not(bafpr1.02.05:Income.Other.Code[@contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0 and not(@i:nil='true' or @i:nil='1')])
                      )"></assert>

<assert  id="VR.ATO.FITR.434071" diagnostics="DVR.ATO.FITR.434071" test="not((
                            emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='FALSE' or .='0')]
                            or
                            pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] = '138'
                        )
                        and (
                            sum(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                            and
                            round(100 * sum(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            &lt; 
                            (round(100 * sum(bafpr1.02.02:Income.Taxable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) * 0.45)
                       ))"></assert>
<!--Rule ID: VR.ATO.FITR.434226
         IF COUNT(fitr.0003.lodge.req.xx.xx:Trustee) > 1
            RETURN VALIDATION MESSAGE
                 ENDIF^^
          -->

<!--<assert  id="VR.ATO.FITR.434145" diagnostics="DVR.ATO.FITR.434145" test="not(function:IsDate1GreaterThanDate2($year_begin, xs:date($status_date))
                     or function:IsDate1GreaterThanDate2(xs:date($status_date), $year_end))"></assert>-->

  <assert  id="VR.ATO.FITR.434145" diagnostics="DVR.ATO.FITR.434145"
         test="not( 
                        (string($year_begin) castable as xs:date) 
                    and (string($status_date) castable as xs:date)
                    and (string($year_end) castable as xs:date)
                    and(
                                function:IsDate1GreaterThanDate2($year_begin, xs:date($status_date))
                            or
                                function:IsDate1GreaterThanDate2(xs:date($status_date),$year_end)
                        )
                     )"></assert>
  
<!--Rule ID: VR.ATO.FITR.434098
        IF [FITR19] = TRUE AND [FITR83] <> NULL
        RETURN VALIDATION MESSAGE
        ENDIF^^
        [FITR19] = FITR:RP:OrganisationDetails.OperationCease.Indicator
        [FITR83] = FITR:RP:Equity.NetAssetsCalculated.Amount
        -->

<assert  id="VR.ATO.FITR.434081" diagnostics="DVR.ATO.FITR.434081" test="not(
                    sum(rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    and
                    (
                        not(bafpr1.02.02:Income.PartnershipDistributionGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(bafpr1.02.00:Income.TrustDistributionOther.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        and
                        not(bafpr1.02.04:Income.Other.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                    )
                )"></assert>
<!--
            IF [FITR12] = NULLORBLANK AND [FITR14] = SET("009","010","022","053","085","118","168","198")
                RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR12] = FITR:RP:OrganisationNameDetails.OrganisationalName.Text WHERE
                (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN")
                IN TUPLE(organisationname1.xx.xx:OrganisationNameDetails ) IN TUPLE(fitr.0003.lodge.req.xx.xx:Trustee)
            [FITR14] = FITR:RP:Party.Type.Code
      -->

<assert  id="VR.ATO.FITR.434022" diagnostics="DVR.ATO.FITR.434022" test="not(
                    pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='TRUE' or .='1')]
                    and
                    pyde.02.00:OrganisationControl.RegisteredMembers.Count[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]                      
                    
                )"></assert>

<!--
            IF CONTEXT(INT) <> NULLORBLANK AND [FITR118] = NULL
               RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR118] = FITR:INT:ElectronicContact.Telephone.Minimal.Number 
                        WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:ElectronicContact.Telephone.Usage.Code = "03") 
                        IN TUPLE(electroniccontacttelephone1.xx.xx:ElectronicContactTelephone )            
        -->

  <assert  id="VR.ATO.FITR.434024" diagnostics="DVR.ATO.FITR.434024" test="not(
                        (string($base_date_434024) castable as xs:date) 
                    and (string($year_end_434024) castable as xs:date)
                    and 
                    function:IsDate1GreaterThanDate2($base_date_434024, $year_end_434024)
                )"></assert>
<!--
            IF [FITR15] = TRUE AND  [FITR43] > 0 AND 
            [FITR181]<>[FITR43]*0.315+/-1 AND [FITR181]<>[FITR43]*0.015+/-1
             RETURN VALIDATION MESSAGE
            ENDIF

            [FITR15] = FITR:RP:emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator
            [FITR43] = FITR:RP:emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
            [FITR181] = FITR:RP:rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount
        -->

<assert  id="VR.ATO.FITR.434226" diagnostics="DVR.ATO.FITR.434226" test="not(count(fitr.0003.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]) &gt; 1)"></assert>

<assert  id="VR.ATO.FITR.434098" diagnostics="DVR.ATO.FITR.434098" test="not(pyde.02.05:OrganisationDetails.OperationCease.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='TRUE' or .='1')]
                          and  bafpo1.02.10:Equity.NetAssetsCalculated.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
                       )"></assert>

<!--<assert  id="VR.ATO.FITR.434016" diagnostics="DVR.ATO.FITR.434016" test="not
                    (
                       count(fitr.0003.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0 
                       and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]) = 'MN']) = 0
                       and
                       pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and matches(.,'^(009|010|022|053|085|118|168|198)$')]
                    )"></assert>-->

    <assert  id="VR.ATO.FITR.434016" diagnostics="DVR.ATO.FITR.434016" test="not
                    (
                       count(fitr.0003.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]/orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0 
                       and (../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'MN'])]) = 0
                       and
                       pyde.02.03:Party.Type.Code[@contextRef = $RP.ContextId and matches(.,'^(009|010|022|053|085|118|168|198)$')]
                    )"></assert>
<!--
            IF [FITR15] = FALSE AND [FITR181]<>([FITR43] * 0.015)+/-1
             RETURN VALIDATION MESSAGE
            ENDIF

            [FITR15] = FITR:RP:emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator
            [FITR43] = FITR:RP:emsup.02.05:SuperannuationContribution.EmployerContributionsTaxFileNumberNotQuoted.Amount
            [FITR181] = FITR:RP:rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount            
        -->

<assert  id="VR.ATO.FITR.434148" diagnostics="DVR.ATO.FITR.434148" test="not(
                        $INT.ContextId
                        and 
                        not(phone1.02.00:ElectronicContactTelephone[not(@i:nil='true' or @i:nil='1')]
                            /pyde.02.00:ElectronicContact.Telephone.Minimal.Number
                             [@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1')
                                and ../pyde.02.00:ElectronicContact.Telephone.Usage.Code[not(@i:nil='true' or @i:nil='1') and . = '03']])
                      )"></assert>

<assert  id="VR.ATO.FITR.434243" diagnostics="DVR.ATO.FITR.434243" test="not(
                        emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='TRUE' or .='1')]
                        and $_434243_FITR43 &gt; 0
                        and (round($_434243_FITR181 * 100) &gt; round((($_434243_FITR43 * 0.315)+1) * 100) or round($_434243_FITR181 * 100) &lt; round((($_434243_FITR43 * 0.315)-1) * 100))
                        
                        and (round($_434243_FITR181 * 100)  &gt; round((($_434243_FITR43 * 0.015)+1) * 100) or round($_434243_FITR181 * 100)  &lt; round((($_434243_FITR43 * 0.015)-1) * 100)  )
                      )"></assert>

<assert  id="VR.ATO.FITR.434244" diagnostics="DVR.ATO.FITR.434244" test="not(
                        emsup.02.00:SuperannuationFundDetails.AustralianSuperannuationFundStatus.Indicator[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and (upper-case(.)='FALSE' or .='0')]
                        and 
                        (
                           round(100 * $_434244_FITR181) &gt; round(100 * ($_434244_FITR43 * 0.015) + 1)
                           or
                           round(100 * $_434244_FITR181) &lt; round(100 * ($_434244_FITR43 * 0.015) - 1)
                        )   
                     )"></assert>
<!--
	    	IF [FITR189] <> ([FITR67] + [FITR68])
		    RETURN VALIDATION MESSAGE
		    ENDIF

		    [FITR67] = FITR:RP:bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount
		    [FITR68] = FITR:RP:rvctc1.02.03:IncomeTax.TaxOffsetsAndRebatesTotal.Amount
		    [FITR189] = FITR:RP:rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount
        -->

<assert  id="VR.ATO.FITR.434262" diagnostics="DVR.ATO.FITR.434262" test="not
                    (                  
                        round(100 * sum(rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        !=
                        (
                            round(100 * sum(bafpr3.02.02:Income.InternationalDealings.TaxOffset.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]|rvctc1.02.03:IncomeTax.TaxOffsetsAndRebatesTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        )
                    )"></assert>
<!--

            IF [FITR66] <> ([FITR182] + [FITR181])
            RETURN VALIDATION MESSAGE
            ENDIF

            [FITR66] = FITR:RP:rvctc1.02.01:IncomeTax.TaxableGross.Amount
            [FITR181] = FITR:RP:rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount
            [FITR182] = FITR:RP:rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount
        -->

<assert  id="VR.ATO.FITR.434261" diagnostics="DVR.ATO.FITR.434261" test="not(
			            round(100 * sum(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                        !=
			            (round(100 * sum(rvctc1.02.07:IncomeTax.TotalTaxOnTaxableIncome.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')] | rvctc1.02.04:IncomeTax.TFNNotQuotedContributionsTax.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])))
			        )"></assert>
<!--
            IF [FITR184] <> ([FITR73] + [FITR131] + [FITR133] +[FITR205])
               RETURN VALIDATION MESSAGE
            ENDIF

            [FITR73] = FITR:RP:rvctc2.02.02:IncomeTax.FrankingCredits.Refundable.Amount
            [FITR131] = FITR:RP:rvctc1.02.03:IncomeTax.TaxOffsetTFNNotQuoted.Amount
            [FITR133] = FITR:RP:rvctc1.02.03:IncomeTax.TaxOffsetEntitlementForNationalRentalAffordabilityScheme.Amount
            [FITR184] = FITR:RP:rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount
            [FITR205] = FITR:RP:rvctc1.02.11:IncomeTax.TaxOffsetRefundableOther.Amount

        -->

<assert  id="VR.ATO.FITR.434263" diagnostics="DVR.ATO.FITR.434263" test="not(                           
                            round(sum($FITR184) * 100) !=
                            round(sum($FITR73|$FITR131|$FITR133|$FITR205) * 100)
                         )"></assert>
<!--
                IF ([FITR189] >= [FITR66]) AND ([FITR183] <> 0)
                   RETURN VALIDATION MESSAGE
                ENDIF

                [FITR66] = FITR:RP:rvctc1.02.01:IncomeTax.TaxableGross.Amount
                [FITR183] = FITR:RP:rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount
                [FITR189] = FITR:RP:rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount
        -->

<assert  id="VR.ATO.FITR.434265" diagnostics="DVR.ATO.FITR.434265" test="not(
					             (
                                    round(100 * sum(rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                    &gt;=
					                round(100 * sum(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                  )
					             and
					            (sum(rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])!=0)
					          )"></assert>
<!--
                IF [FITR183] = 0 AND [FITR199] <> 0
                   RETURN VALIDATION MESSAGE
                ENDIF

                [FITR183] = FITR:RP:rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount
                [FITR199] = FITR:RP:rvctc1.02.01:IncomeTax.Payable.Amount

         -->

<assert  id="VR.ATO.FITR.434266" diagnostics="DVR.ATO.FITR.434266" test="not(
					            sum(rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])=0
					            and
					            sum(rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])!=0
					        )"></assert>
<!--
            IF ([FITR189] < [FITR66]) AND ([FITR183] <> ([FITR66] - [FITR189]))
               RETURN VALIDATION MESSAGE
            ENDIF

            [FITR66] = FITR:RP:rvctc1.02.01:IncomeTax.TaxableGross.Amount
            [FITR183] = FITR:RP:rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount
            [FITR189] = FITR:RP:rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount

        -->

<assert  id="VR.ATO.FITR.434264" diagnostics="DVR.ATO.FITR.434264" test="not(
					            round(100 * sum(rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                                &lt; 
					            round(100 * sum(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                and                               
					            round(100 * sum(rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                                !=
                                (
					            round(100 * sum(rvctc1.02.01:IncomeTax.TaxableGross.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                                -
                                round(100 * sum(rvctc1.02.07:IncomeTax.TaxOffsetNonRefundableNonCarryForward.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                )
					        )"></assert>
<!--
            IF ([FITR184] < [FITR183]) AND ([FITR199] <> ([FITR183] - [FITR184]))
               RETURN VALIDATION MESSAGE
            ENDIF

            [FITR183] = FITR:RP:rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount
            [FITR184] = FITR:RP:rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount
            [FITR199] = FITR:RP:rvctc1.02.01:IncomeTax.Payable.Amount

        -->

<assert  id="VR.ATO.FITR.434267" diagnostics="DVR.ATO.FITR.434267" test="not(
					            round(100 * sum(rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                                &lt; 
					            round(100 * sum(rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                and
					            round(100 * sum(rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                                !=
                                (
					            round(100 * sum(rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) -
                                round(100 * sum(rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                                )
					        )"></assert>
<!--

                IF [FITR201] <> ([FITR70] + [FITR71] + [FITR72] + [FITR175] + [FITR132])
                   RETURN VALIDATION MESSAGE
                ENDIF

                [FITR70] = FITR:RP:bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount
                [FITR71] = FITR:RP:rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount
                [FITR72] = FITR:RP:rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount
                [FITR132] = FITR:RP:rvctc1.02.03:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount
                [FITR175] = FITR:RP:rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount
                [FITR201] = FITR:RP:rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount

        -->

<assert  id="VR.ATO.FITR.434270" diagnostics="DVR.ATO.FITR.434270" test="not(
					    sum(rvctc2.02.06:IncomeTax.Deduction.CreditsEligibleTotal.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        !=
					    (
                        sum(bafpr2.02.09:Income.Interest.EarlyPaymentCredit.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
					    |rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldFromForeignResidents.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
					    |rvctc2.02.02:IncomeTax.PayAsYouGoWithholding.CreditForAmountsWithheldTFNNotQuotedAndABNNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
					    |rvctc2.02.03:IncomeTax.PayAsYouGoWithholding.CreditForTaxWithheldFromCloselyHeldTrustShareReceivedIndirectly.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]
					    |rvctc1.02.03:IncomeTax.TaxOffsetCalculatedInterestTFNNotQuoted.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                        )
					 )"></assert>
<!--

                IF ([FITR184] >= [FITR183]) AND ([FITR199] <> 0)
                   RETURN VALIDATION MESSAGE
                ENDIF

                [FITR183] = FITR:RP:rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount
                [FITR184] = FITR:RP:rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount
                [FITR199] = FITR:RP:rvctc1.02.01:IncomeTax.Payable.Amount

        -->

<assert  id="VR.ATO.FITR.434268" diagnostics="DVR.ATO.FITR.434268" test="not(
                            (
                            round(100 * sum(rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])) 
                            &gt;=					               
                            round(100 * sum(rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')]))
                            )
                            and
                            sum(rvctc1.02.01:IncomeTax.Payable.Amount[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])
                            !=
                            0
				    )"></assert>
<!--
            IF (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator = TRUE) 
            AND (COUNT(RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code <> NULL) = 0)
              RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.438019" diagnostics="DVR.ATO.GEN.438019" test="not(
                            ($FITR203[matches(.,'^(true|1)$')] ) and (count($FITR204) = 0)  
				         )"></assert>
<!-- 
            IF (COUNT(RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Code <> NULL) > 0) 
            AND (RP:rvctc3.xx.xx:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator <> TRUE)
                RETURN VALIDATION MESSAGE
            ENDIF
        
            [FITR204] = rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code
            [FITR203] = rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Indicator
        -->

<assert  id="VR.ATO.GEN.438021" diagnostics="DVR.ATO.GEN.438021" test="not(
                            (count($FITR204) &gt; 0)  and (not( $FITR203[matches(.,'^(true|1)$')]) )
				         )"></assert>
<!-- 
            IF bafpr1.xx.xx:Income.Taxable.Amount > 0 AND rvctc3.xx.xx:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount > 0
                RETURN VALIDATION MESSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.438034" diagnostics="DVR.ATO.GEN.438034.FITR" test="not(                        
                        sum(bafpr1.02.02:Income.Taxable.Amount[not(@i:nil='true' or @i:nil='1')]) &gt; 0
                        and
                        sum(rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[not(@i:nil='true' or @i:nil='1')]) &gt; 0
                    )"></assert>
<!-- 
            IF [FITR204] <> NULL AND [FITR204] = ANY OTHER OCCURRENCE OF [FITR204]
              RETURN VALIDATION MESSAGE
            ENDIF

            [FITR204] = FITR:RP:rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code
 
        -->
    <assert  id="VR.ATO.FITR.434286" diagnostics="DVR.ATO.FITR.434286"
                test="not(
                $FITR204 and 
                rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code[
                text() = preceding-sibling::rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code/text()]
                )"/>
   
<!--
            IF COUNT ([FITR204]) > 17 
              RETURN VALIDATION MESSAGE
            ENDIF

            [FITR204] = FITR:RP:rvctc3.02.11:CapitalGainsTax.ExemptionOrRolloverApplied.Code 
        -->
    <assert  id="VR.ATO.FITR.434287" diagnostics="DVR.ATO.FITR.434287" test="not(
                          count($FITR204) &gt; 17
				       )"></assert>

<!--These code is commented out due to pending approval of the legislation

            IF [FITR184] < [FITR183] AND [FITR185] > 0
             RETURN VALIDATION MESSAGE
            ENDIF


            [FITR183] = FITR:RP:rvctc1.02.07:IncomeTax.SubtotalTaxPayable.Amount
            [FITR184] = FITR:RP:rvctc1.02.07:IncomeTax.TotalRefundableTaxOffsets.Amount
            [FITR185] = FITR:RP:rvctc1.02.07:IncomeTax.TotalRemainderOfRefundableTaxOffsets.Amount
        -->

<assert  id="VR.ATO.FITR.434292" diagnostics="DVR.ATO.FITR.434292" test="not(
                          ( round(sum(($FITR184) ) * 100) &lt; round(sum($FITR183) * 100) ) 
                          and 
                          ( sum($FITR185) &gt; 0 )
				       )"></assert>
</rule>
<!--
        prsnstrcnm3.02.01:PersonNameDetails
    -->

<rule context="prsnstrcnm3.02.01:PersonNameDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
            WHERE IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails)
            IF (pyde.xx.xx:PersonNameDetails.PersonNameType.Code <> "LGL") OR 
                (pyde.xx.xx:PersonNameDetails.Currency.Code <> "C") OR 
                (pyde.xx.xx:PersonNameDetails.Usage.Code <> "Contact")
               RETURN VALIDATION MESSAGE
            ENDIF
        -->

<!--<assert  id="VR.ATO.GEN.432435" diagnostics="DVR.ATO.GEN.432435" test="not(
                        upper-case(pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1')]) != 'LGL'
                        or
                        upper-case(pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) != 'C'
                        or
                        upper-case(pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1')]) != 'CONTACT'
                      )"></assert>-->


    <assert  id="VR.ATO.GEN.432435" diagnostics="DVR.ATO.GEN.432435"
         
         test="not(
         
                        pyde.02.00:PersonNameDetails.PersonNameType.Code[not(@i:nil='true' or @i:nil='1') and upper-case(./text()) != 'LGL']
                        or
                        pyde.02.00:PersonNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and upper-case(./text()) != 'C']
                        or
                        pyde.02.05:PersonNameDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and upper-case(./text()) != 'CONTACT']
         
                 )"
         ></assert>
<!--
            Rule ID: VR.ATO.GEN.436001
            
            IF (pyde.xx.xx:PersonNameDetails.GivenName.Text <> NULLORBLANK) 
            AND (pyde.xx.xx:PersonNameDetails.GivenName.Text DOES NOT STARTWITH SET("A-Z","a-z"))
               RETURN VALIDATION MESSSAGE
            ENDIF
        -->

<assert  id="VR.ATO.GEN.436001" diagnostics="DVR.ATO.GEN.436001" test="not(
                        pyde.02.00:PersonNameDetails.GivenName.Text[@contextRef = $INT.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0 and not(matches(.,'^[a-zA-Z](.*)$'))]
                  )"></assert>
<!--
            Rule ID: VR.ATO.GEN.436004

            WHERE IN TUPLE(prsnstrcnm3.xx.xx:PersonNameDetails)
            IF pyde.xx.xx:PersonNameDetails.GivenName.Text = NULLORBLANK
               RETURN VALIDATION MESSAGE
            ENDIF
      -->

<assert  id="VR.ATO.GEN.436004" diagnostics="DVR.ATO.GEN.436004" test="not(
                        count(./pyde.02.00:PersonNameDetails.GivenName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]) = 0
                    )"></assert>
</rule>
<!--
        address2.02.02:AddressDetails
    -->

<rule context="address2.02.02:AddressDetails[not(@i:nil='true' or @i:nil='1')]">

<!--
        Rule ID: VR.ATO.GEN.432434
        
        WHERE IN TUPLE(address2.xx.xx:AddressDetails)
        IF (pyde.xx.xx:AddressDetails.Usage.Code <> ""POS"") OR (pyde.xx.xx:AddressDetails.Currency.Code <> ""C"")
        RETURN VALIDATION MESSAGE
        ENDIF
        CMN.ATO.GEN.432434
        -->

<assert  id="VR.ATO.GEN.432434" diagnostics="DVR.ATO.GEN.432434" test="pyde.02.01:AddressDetails.Usage.Code[not(@i:nil='true' or @i:nil='1') and .='POS']
                       and
                       pyde.02.00:AddressDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and .='C']"></assert>
<!--
        Rule ID: VR.ATO.FITR.434222
        
        IF [FITR143] <> NULL AND [FITR143] = TRUE
        RETURN VALIDATION MESSAGE
        END IF
        CMN.ATO.GEN.436251
          [FITR143] = FITR:RP:AddressDetails.OverseasAddress.Indicator 
          WHERE ((TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Usage.Code = "POS") 
          AND (TUPLE ELEMENT EXPLICIT pyde.xx.xx:AddressDetails.Currency.Code = "C")) 
          IN TUPLE(addressdetails2.xx.xx:AddressDetails )
        -->

<assert  id="VR.ATO.FITR.434222" diagnostics="DVR.ATO.FITR.434222" test=" not( pyde.02.01:AddressDetails.Usage.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='POS']
                      and   pyde.02.00:AddressDetails.Currency.Code[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and upper-case(.)='C']
                      and  pyde.02.00:AddressDetails.OverseasAddress.Indicator[(upper-case(.)='TRUE' or .='1') and @contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1')])"></assert>
</rule>
<!--
        fitr.0003.lodge.req.02.00:Transferee
    -->

<rule context="fitr.0003.lodge.req.02.00:Transferee[not(@i:nil='true' or @i:nil='1')]">

<!--            
            WHERE IN TUPLE(fitr.0003.lodge.req.xx.xx:Transferee)
            IF COUNT(TUPLE(orgname1.xx.xx:OrganisationNameDetails)) <> 1
                RETURN VALIDATION MESSAGE
            ENDIF            
        -->

<assert  id="VR.ATO.FITR.434167" diagnostics="DVR.ATO.FITR.434167" test="not(count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]) != 1)"></assert>
<!--
            WHERE IN TUPLE(fitr.0003.lodge.req.xx.xx:Transferee)
            IF [FITR85] = NULLORBLANK OR [FITR87] = 0 OR [FITR87] = NULL OR [FITR86] = NULLORBLANK OR [FITR88] = NULL
            RETURN VALIDATION MESSAGE
            ENDIF
            
            [FITR85] = FITR:RP:OrganisationNameDetails.OrganisationalName.Text WHERE 
                (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = ""MN"") 
                    IN TUPLE(organisationname1.xx.xx:OrganisationNameDetails ) 
                        IN TUPLE(fitr.0003.lodge.req.xx.xx:Transferee)
            [FITR87] = FITR:RP:IncomeTax.Superannuation.TransferredAssessable.Amount IN TUPLE(fitr.0003.lodge.req.xx.xx:Transferee)
            [FITR86] = FITR:RP:Identifiers.AustralianBusinessNumber.Identifier IN TUPLE(fitr.0003.lodge.req.xx.xx:Transferee)
            [FITR88] = FITR:RP:IncomeTax.Superannuation.MarketValueTransfer.Amount IN TUPLE(fitr.0003.lodge.req.xx.xx:Transferee)
        -->

<!--<assert  id="VR.ATO.FITR.434101" diagnostics="DVR.ATO.FITR.434101" test="not(
                    not(orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId 
                    and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]) ='MN'])
                    or sum(rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Amount[
                                            not(@i:nil='true' or @i:nil='1') 
                                            and @contextRef = $RP.ContextId])=0
                    or not(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[
                                not(@i:nil='true' or @i:nil='1') 
                                and @contextRef = $RP.ContextId 
                                and string-length(.)!=0])
                    or not(rvctc2.02.00:IncomeTax.Superannuation.MarketValueTransfer.Amount[
                                not(@i:nil='true' or @i:nil='1') 
                                and @contextRef = $RP.ContextId]))"></assert>-->

    <assert  id="VR.ATO.FITR.434101" diagnostics="DVR.ATO.FITR.434101" test="not(
                    not(orgname2.02.00:OrganisationNameDetails/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId 
                    and (../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) ='MN']) ])
                    or sum(rvctc2.02.00:IncomeTax.Superannuation.TransferredAssessable.Amount[
                                            not(@i:nil='true' or @i:nil='1') 
                                            and @contextRef = $RP.ContextId])=0
                    or not(pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[
                                not(@i:nil='true' or @i:nil='1') 
                                and @contextRef = $RP.ContextId 
                                and string-length(.)!=0])
                    or not(rvctc2.02.00:IncomeTax.Superannuation.MarketValueTransfer.Amount[
                                not(@i:nil='true' or @i:nil='1') 
                                and @contextRef = $RP.ContextId]))"></assert>
</rule>

<rule context="declaration2.02.01:Declaration[not(@i:nil='true' or @i:nil='1')]/prsnunstrcnm1.02.01:PersonUnstructuredName[not(@i:nil='true' or @i:nil='1')]">

<!--
            WHERE IN TUPLE (personunstructuredname1.xx.xx:PersonUnstructuredName) 
                IN TUPLE(declaration2.xx.xx:Declaration)
                IF pyde.xx.xx:PersonUnstructuredName.Usage.Code <> "DeclarationSignatory"
                    RETURN VALIDATION MESSAGE
                ENDIF
        -->

<assert  id="VR.ATO.GEN.436279" diagnostics="DVR.ATO.GEN.436279.0" test="pyde.02.05:PersonUnstructuredName.Usage.Code[not(@i:nil='true' or @i:nil='1')] = 'DeclarationSignatory'"></assert>
</rule>
<!--
        pyin.02.00:Report.CompletionHours.Number
    -->

<rule context="pyin.02.00:Report.CompletionHours.Number[not(@i:nil='true' or @i:nil='1')]">
        <!--
            IF (pyin.xx.xx:Report.CompletionHours.Number <> NULL) 
                AND (pyin.xx.xx:Report.CompletionHours.Number <> SET (1-999))
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->
    <assert  id="VR.ATO.GEN.430206" diagnostics="DVR.ATO.GEN.430206" test="number(.) &gt;=1 and number(.) &lt;=999"></assert>
    
</rule>
<!--
        emsup.02.05:SuperannuationFundDetails.FundBenefitStructure.Code
    

        fitr.0003.lodge.req.02.00:Trustee
    -->

<rule context="fitr.0003.lodge.req.02.00:Trustee[not(@i:nil='true' or @i:nil='1')]">

<!--
        IF [FITR13] <> NULLORBLANK AND [FITR12] = NULLORBLANK 
            RETURN VALIDATION MESSAGE
        ENDIF
        [FITR13] = FITR:RP:Identifiers.AustralianBusinessNumber.Identifier IN 
        TUPLE(fitr.0003.lodge.req.xx.xx:Trustee)
        [FITR12] = FITR:RP:OrganisationNameDetails.OrganisationalName.Text
        WHERE (TUPLE ELEMENT EXPLICIT pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = "MN") 
        IN TUPLE(organisationname1.xx.xx:OrganisationNameDetails )
        IN TUPLE(fitr.0003.lodge.req.xx.xx:Trustee)
      -->

<!--<assert  id="VR.ATO.FITR.434015" diagnostics="DVR.ATO.FITR.434015" test="not
                    (
                       pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                       and
                       not
                       (
                        orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0 
                        and upper-case(../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]) = 'MN']
                       )
                    )"></assert>-->

    <assert  id="VR.ATO.FITR.434015" diagnostics="DVR.ATO.FITR.434015" test="not
                    (
                       pyid.02.00:Identifiers.AustralianBusinessNumber.Identifier[@contextRef = $RP.ContextId and not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]
                       and
                       not
                       (
                        orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]/pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and @contextRef = $RP.ContextId and string-length(normalize-space(.)) != 0 
                        and (../pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'MN'])]
                       )
                    )"></assert>
<!--
        WHERE IN TUPLE (fitr.0003.lodge.req.xx.xx:Trustee)
        IF COUNT TUPLE (orgname2.xx.xx:OrganisationNameDetails) <> 1
        RETURN VALIDATION MESSAGE
        ENDIF
        -->

<assert  id="VR.ATO.FITR.434245" diagnostics="DVR.ATO.FITR.434245" test="not
                    (
                       count(orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]) != 1
                    )"></assert>
</rule>

<rule context="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
    <!--
        WHERE IN TUPLE(orgname2.xx.xx:OrganisationNameDetails)
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN") OR (pyin.xx.xx:OrganisationNameDetails.Currency.Code <> "C")
            RETURN VALIDATION MESSAGE
        ENDIF        
    -->
    <assert id="VR.ATO.GEN.438006" diagnostics="DVR.ATO.GEN.438006" subject="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text"
            test="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'MN']
                   and pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1') and upper-case(.) = 'C']"/>
</rule>
    
</pattern>