﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="ElementVariables" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>XBRL element variables that are applicable accross the LOS service.</title>

<let name="LS10" value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS11" value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS12" value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS13" value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS14" value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Y0-4.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS15" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS16" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-1.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS17" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-2.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS18" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-3.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS19" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-4.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS20" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS21" value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.DeductedContinuityOfMajorityOwnershipTestFailedButSameBusinessTestPassed.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS22" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.SameBusinessTestPassed.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS23" value="xbrli:xbrl/rvctc3.02.15:Capital.Losses.CarriedForward.SameBusinessTestPassedNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS24" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CurrentYearLossProvisionsApply.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS25" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.ChangeOfOwnershipOrControlAfterReferenceTime.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS26" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.MaximumNetAssetValueTestPassedAtChangeoverTime.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS27" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Indicator[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS28" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.UnrealisedNetLossAtChangeoverTime.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS29" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS30" value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.ComplyingSuperannuationFHSAClass.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS44" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.ControlledForeignCompanyDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS45" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.ControlledForeignCompany.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS49" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.Y0-5P.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS50" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.Total.Amount[@contextRef=$RP.ALL.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS51" value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.Y0-5P.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS52" value="xbrli:xbrl/rvctc3.02.02:Capital.Losses.CarriedForward.Net.Amount[@contextRef=$RP.ALL.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS53" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.CarriedForward.ContinuityOfMajorityOwnershipTestPassed.Indicator[@contextRef=$RP.Y0-5P.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS62" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.ForeignLossComponentExcludingControlledForeignCompanyDeducted.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS63" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.ForeignLossComponentExcludingControlledForeignCompanies.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS64" value="xbrli:xbrl/rvctc3.02.04:Tax.Losses.ControlledForeignCompany.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS65" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.BalanceOfTaxLossesBroughtForwardFromPriorYear.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS67" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.ForgivenDebtNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS68" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.Incurred.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS69" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.ConversionOfExcessFrankingOffsets.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS70" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.ExemptIncomeNet.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS71" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.Forgone.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS72" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.Total.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS73" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.TransferredOut.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS74" value="xbrli:xbrl/rvctc3.02.02:Tax.Losses.CarriedForward.LaterIncomeYearsTotal.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS76" value="xbrli:xbrl/rvctc3.02.00:Tax.Losses.Utilised.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
<let name="LS79" value="xbrli:xbrl/rvctc3.02.14:Tax.Losses.Uplift.Amount[@contextRef=$RP.ContextId and not(@i:nil='true' or @i:nil='1')]" />
</pattern>