﻿<?xml version="1.0" encoding="utf-8"?>
<pattern id="Organisation" xmlns="http://purl.oclc.org/dsdl/schematron">
    <title>RDTIS Organisation Common Validations</title>


<rule context="xbrli:xbrl[not(@i:nil='true' or @i:nil='1')]">
</rule>

<rule context="orgname2.02.00:OrganisationNameDetails[not(@i:nil='true' or @i:nil='1')]">
<!--
            IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails)
            IF (pyde.xx.xx:OrganisationNameDetails.Currency.Code = NULLORBLANK)
               RETURN VALIDATION MESSAGE
            ENDIF
   
        -->


<assert  id="VR.ATO.GEN.410140" diagnostics="DVR.ATO.GEN.410140" test="pyde.02.00:OrganisationNameDetails.Currency.Code[ not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
            WHERE IN TUPLE(organisationname1.xx.xx:OrganisationNameDetails)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code = NULLORBLANK) 
               RETURN VALIDATION MESSAGE
            ENDIF       
        -->


<assert  id="VR.ATO.GEN.410147" diagnostics="DVR.ATO.GEN.410147" test="pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[ not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!--
        WHERE IN TUPLE(organisationname2.xx.xx:OrganisationNameDetails)
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text = NULLORBLANK)
           RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.410215" diagnostics="DVR.ATO.GEN.410215" test="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1') and string-length(normalize-space(.)) != 0]"></assert>
<!-- 
            IF pyde.xx.xx:OrganisationNameDetails.Currency.Code <> NULLORBLANK AND pyde.xx.xx:OrganisationNameDetails.Currency.Code <> SET ("C", "P")
              RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.430850" diagnostics="DVR.ATO.GEN.430850" test="not(
                        pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='false' or @i:nil='0') and string-length(normalize-space(.)) != 0] and 
                        not (matches(pyde.02.00:OrganisationNameDetails.Currency.Code,'(C|P)','i'))
                      )"></assert>
<!--        
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" T/A"," T/A P'ship"," T/A Pship"," T/A P/Ship"," T/A Partnership"))
                RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.428261" diagnostics="DVR.ATO.GEN.428261" test="not(pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')and matches(.,'^(.*)( T/A| T/A P''ship| T/A Pship| T/A P/Ship| T/A Partnership)$','i')]
                  )"></assert>
<!--
            WHERE IN TUPLE(orgname2.xx.xx:OrganisationNameDetails)
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalNameType.Code <> "MN") OR 
               (pyin.xx.xx:OrganisationNameDetails.Currency.Code <> "C")
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.438006" diagnostics="DVR.ATO.GEN.438006.RDTIS" test="not(
                          upper-case(pyde.02.00:OrganisationNameDetails.OrganisationalNameType.Code[not(@i:nil='true' or @i:nil='1')]) != 'MN'
                          or
                          upper-case(pyde.02.00:OrganisationNameDetails.Currency.Code[not(@i:nil='true' or @i:nil='1')]) != 'C'
                      )"></assert>
<!--
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text STARTSWITH "T/A ") AND 
        (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text ENDSWITH SET(" Pship"," P'ship"," P/ship"))
            RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.410038" diagnostics="DVR.ATO.GEN.410038" test="not(
                         pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')
                         and matches(.,'^(T/A )(.*)$','i') and matches(.,'^(.*)( Pship| P''ship| P/ship)$','i') ]
                      )"></assert>
</rule>

<rule context="pyde.02.00:OrganisationNameDetails.OrganisationalName.Text[not(@i:nil='true' or @i:nil='1')]">
<!-- 
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS  " - " )
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.428258" diagnostics="DVR.ATO.GEN.000413" test="not(
                         matches(.,'^(.*) - (.*)$')
                      )"></assert>
<!-- Rule VR.ATO.GEN.428260
        IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS SET("-_-","'’","  ") )
           RETURN VALIDATION MESSAGE
        ENDIF
        -->


<assert  id="VR.ATO.GEN.428260" diagnostics="DVR.ATO.GEN.428260" test="not(matches(.,'^(.*)(--|('')('')|  )(.*)$'))"></assert>
<!-- 
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text CONTAINS "P/L")
                    RETURN VALIDATION MESSAGE
            ENDIF
        -->


<assert  id="VR.ATO.GEN.428259" diagnostics="DVR.ATO.GEN.428259" test="not(
                         matches(.,'^(.*)P/L(.*)$','i')
                      )"></assert>
<!--               
            IF (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  <> NULLORBLANK) AND 
               (pyde.xx.xx:OrganisationNameDetails.OrganisationalName.Text  DOES NOT CONTAIN SET("a-z", "A-Z", "0-9"))
               RETURN VALIDATION MESSAGE
            ENDIF
         -->


<assert  id="VR.ATO.GEN.410039" diagnostics="DVR.ATO.GEN.410039" test="not(
                         string-length(normalize-space(.)) != 0 and not(matches(.,'^(.*)[a-zA-Z0-9](.*)$'))
                       )"></assert>
</rule>
</pattern>